/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
// This is a sample program to test the eclipse launcher.
// The program looks for the "-endsplash" argument and its
// command string. To simulate initialization, the program
// sleeps for 10 seconds.


package org.eclipse.core.launcher;

import java.io.*;


public class Main {

private static String splashCmd = null;

public static void main( String args[] ) {

    System.out.println( "Eclipse: Program started." );

    // Extract the command to end the splash window. 
    for (int index = 0; index < args.length; index++)
    {
        System.out.println( "    args[" + index + "] = '" + args[index] + "'" );
        if (args[ index ].equals( "-endsplash" ) && (index+1) < args.length)
        {
            splashCmd = args[ index + 1 ];
        }
    }

    // Perform the initialization of eclipse.
    try {
        Thread.sleep( 5000 );
    }
    catch (Exception e) {}
    System.out.println( "Eclipse: Initialization complete!" );

    // Initialization is complete so execute the end splash command.
    if (splashCmd != null) {
        try {
            Runtime.getRuntime().exec( splashCmd );
        }
        catch (Exception e) {}
    }

    // Perform the actual work of eclipse.
    try {
        Thread.sleep( 10000 );
    }
    catch (Exception e) {}
    System.out.println( "Eclipse: Program is terminating!" );
}
}
