#!/bin/csh
#
# (c) Copyright IBM Corp, 2000, 2001.
# All Rights Reserved.
#
# Usage: csh build.csh <PROGRAM_OUTPUT> <PROGRAM_NAME>
#
#   where:
#      PROGRAM_OUTPUT - the filename of the generated executable ("eclipse" by default)
#      PROGRAM_NAME   - the title of the splash screen ("Eclipse" by default)
#
#    This script can be invoked with the "clean" argument.

#
# Seput the program attributes
#
if ( "$1" != "" & "$1" != "clean" ) then
	setenv PROGRAM_OUTPUT "$1"
else
	setenv PROGRAM_OUTPUT eclipse
endif
if ( "$2" != "" ) then
	setenv PROGRAM_NAME "$2"
else
	setenv PROGRAM_NAME Eclipse
endif

#
# Some UNIX/Linux compilers don't like <CR>'s in files (DOS format).
#
set fixup_files = `grep -l "\
" *.[ch]`
if ( "$fixup_files" != "" ) then
    echo "Converting files from DOS to UNIX format:"
    foreach file ($fixup_files)
	echo "    $file"
	ex $file << EOF >& /dev/null
g/
\$/s///
w
EOF
    end
endif

#
# Determine the operating system being built
#
set OS=`uname -s`
switch ($OS )
    case Linux:
		if ( "$1" == "clean" ) then
		    make -f make_linux.mak clean
		else
		    echo "Building Linux version the eclipse splash program"
		    make -f make_linux.mak all
		endif
		breaksw

    default:
       echo "Unknown OS -- build aborted"
       breaksw
endsw
