#
# (c) Copyright IBM Corp. 2000, 2001.
# All Rights Reserved.
#
 
# Makefile for creating the eclipse splash screen program.

# This script expects the following environment variables set:
#
# PROGRAM_OUTPUT - the filename of the output executable
# PROGRAM_NAME - the title of the splash screen

# Define the installation directories for various products.
#    X11_HOME   - X11 includes and libraries
X11_HOME = /usr/X11R6

# Define the data for the Motif version.
MOTIF_HOME = /bluebird/teamswt/swt-builddir/motif21
MOTIF_OBJS = eclipse.o eclipseMotif.o
MOTIF_EXEC = eclipse_motif
MOTIF_LIBS = -Xlinker -rpath -Xlinker . -L$(MOTIF_HOME)/lib -L$(X11_HOME)/lib -lXm -lXt -lX11

#
# The following CFLAGS are for compiling the modules.
#
CFLAGS = -O -s \
	-DPROGRAM_NAME="\"$(PROGRAM_NAME)\"" \
	-fPIC \
	-I./ \
	-I$(MOTIF_HOME)/include \
	-I$(X11_HOME)/include

all: $(MOTIF_EXEC) 

$(MOTIF_EXEC): $(MOTIF_OBJS)
	gcc -o $(PROGRAM_OUTPUT) $(MOTIF_OBJS) $(MOTIF_LIBS)

clean:
	rm -f $(PROGRAM_OUTPUT) $(MOTIF_EXEC) $(MOTIF_OBJS)
