#
# (c) Copyright IBM Corp. 2000, 2001.
# All Rights Reserved.
#

# Makefile for creating the eclipse splash screen program.

# This script expects the following environment variables set:
#
# PROGRAM_OUTPUT - the filename of the output executable
# PROGRAM_NAME - the title of the splash screen

!include <ntwin32.mak>

# Define the object modules to be compiled.
cflags = -DPROGRAM_NAME=\"$(PROGRAM_NAME)\" $(cflags) 
OBJS   = eclipse.obj eclipseWin.obj
LIBS   = kernel32.lib user32.lib gdi32.lib
LFLAGS = /INCREMENTAL:NO /NOLOGO -subsystem:windows,4.0 -entry:mainCRTStartup
#LFLAGS = /INCREMENTAL:NO /NOLOGO -subsystem:console -entry:mainCRTStartup
RES    = eclipse.res
EXEC   = eclipse.exe

all: $(EXEC)

.c.obj:
    $(cc) $(cdebug) $(cflags) $(cvars) $*.c

$(EXEC): $(OBJS) $(RES)
    $(link) $(LFLAGS) -out:$(PROGRAM_OUTPUT) $(OBJS) $(RES) $(LIBS)

$(RES): eclipse.rc
    $(rc) -r -fo $(RES) eclipse.rc

