package org.eclipse.jdt.internal.core.refactoring;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
import org.eclipse.core.runtime.IProgressMonitor;

import org.eclipse.jdt.core.IJavaElement;
import org.eclipse.jdt.internal.core.refactoring.base.Change;
import org.eclipse.jdt.internal.core.refactoring.base.IChange;
import org.eclipse.jdt.internal.core.refactoring.base.ChangeContext;

public class NullChange extends Change {

	private String fName;
	
	public NullChange(){
		this(null);
	}
	public NullChange(String name){
		fName= name;
	}
	public IJavaElement getCorrespondingJavaElement(){
		return null;
	}
	public String getName(){
		return "NullChange (" + fName + ")";  //$NON-NLS-1$ //$NON-NLS-2$
	}
	public IChange getUndoChange() {
		return new NullChange(fName);
	}
	public void perform(ChangeContext context, IProgressMonitor pm) {
	}
}
