package org.eclipse.jdt.internal.debug.core;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import java.util.Collections;
import java.util.List;
import org.eclipse.jdt.debug.core.IJavaThread;

/**
 * Represents a value of "void"
 */
public class JDIVoidValue extends JDIValue {
	
	
	public JDIVoidValue(IJavaThread thread) {
		super(null, thread);
	}
	/**
	 * @see IJavaValue
	 */
	public String evaluateToString() {
		return getValueString();
	}
	/**
	 * @see IJavaValue
	 */
	public int getArrayLength() {
		return -1;
	}
	/**
	 * @see IDebugElement
	 */
	protected List getChildren0() {
		return Collections.EMPTY_LIST;
	}
	/**
	 * @see IValue
	 */
	public String getReferenceTypeName() {
		return "void";
	}
	/**
	 * @see IJavaValue
	 */
	public String getSignature() {
		return "V";
	}
	/**
	 * @see IValue
	 */
	public String getValueString() {
		return "null";
	}
	/**
	 * @see IDebugElement
	 */
	public boolean hasChildren() {
		return false;
	}
}
