package org.eclipse.jdt.internal.ui.reorg;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import java.util.List;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;

import org.eclipse.jdt.core.JavaModelException;

/**
 * Abstraction layer for moving elements
 */
public interface IMoveSupport {
	
	/** 
	 * Return true if the element can appear above a valid destination for the move
	 * used to filter the java element tree when selecting the destination
	 */
	boolean canBeAncestor(Object ancestor);
	/**
	 * Checks if we can move the given elements to the given destination.
	 */
	boolean canMove(List elements, Object destination);
	String getElementName(Object element);
	/**
	 * returns whether this element can ever be copied by this policy. Used for 
	 * enabling/disabling
	 */
	boolean isMovable(Object element);
	/**
	 * actually does the move operation
	 */
	Object moveTo(Object source, Object destination, String newName, IProgressMonitor pm) throws JavaModelException, CoreException;
}
