package org.eclipse.jdt.internal.ui.typehierarchy;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
import org.eclipse.jface.action.Action;

import org.eclipse.jdt.internal.ui.JavaPluginImages;

/**
 * Action enable / disable member filtering
 */
public class EnableMemberFilterAction extends Action {

	private TypeHierarchyViewPart fView;	
	
	public EnableMemberFilterAction(TypeHierarchyViewPart v, boolean initValue) {
		super(TypeHierarchyMessages.getString("EnableMemberFilterAction.label")); //$NON-NLS-1$
		setDescription(TypeHierarchyMessages.getString("EnableMemberFilterAction.description")); //$NON-NLS-1$
		setToolTipText(TypeHierarchyMessages.getString("EnableMemberFilterAction.tooltip")); //$NON-NLS-1$
		
		JavaPluginImages.setImageDescriptors(this, "lcl16", "impl_co.gif"); //$NON-NLS-2$ //$NON-NLS-1$

		fView= v;
		valueChanged(initValue);
	}
	/**
	 * @see Action#actionPerformed
	 */		
	public void run() {
		valueChanged(isChecked());
	}
	private void valueChanged(boolean on) {
		setChecked(on);
		fView.enableMemberFilter(on);
		if (on) {
			setToolTipText(TypeHierarchyMessages.getString("EnableMemberFilterAction.tooltip.checked")); //$NON-NLS-1$
		} else {
			setToolTipText(TypeHierarchyMessages.getString("EnableMemberFilterAction.tooltip.unchecked")); //$NON-NLS-1$
		}
	}
}
