package org.eclipse.jdt.internal.ui.util;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
import org.eclipse.jface.text.IDocument;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;

public interface IDocumentManager {

	/**
	 * The client is about to change the document managed by this document manager.
	 */
	public void aboutToChange();
	/**
	 * The client has changed the document managed by this manager.
	 */
	public void changed();
	/**
	 * Connects the document to its underlying document sharing mechanism.
	 */
	public void connect() throws CoreException;
	/**
	 * Disconnects the document managed by this manager from its underlying
	 * document sharing mechanism.
	 */
	public void disconnect();
	/**
	 * Returns the document managed by this manager. This method returns <code>
	 * null</code> if the document is disconnected.
	 */
	public IDocument getDocument();
	/**
	 * Save the document managed by this object.
	 */
	public void save(IProgressMonitor pm) throws CoreException;
}
