package org.eclipse.jdt.internal.ui.util;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
import org.eclipse.core.resources.IResourceChangeEvent;
import org.eclipse.core.resources.IResourceChangeListener;
import org.eclipse.core.resources.IResourceDelta;

public class ResourceDeltaSpy implements IResourceChangeListener {
	protected void processDelta(String indent, IResourceDelta delta) {
		System.out.println(indent+delta);
		IResourceDelta[] subdeltas= delta.getAffectedChildren();
		for (int i= 0; i < subdeltas.length; i++)
			processDelta(indent+"   ", subdeltas[i]); //$NON-NLS-1$
	}
	public void resourceChanged(IResourceChangeEvent event) {
		IResourceDelta delta= event.getDelta();
		System.out.println("resource delta:"); //$NON-NLS-1$
		processDelta("", delta); //$NON-NLS-1$
	}
}
