package org.eclipse.scripting.internal;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 * Every UI element that displays an data element value
 * must implement the interface.
 * In this way the UI receive any model changes and can
 * synchronize it's displaed value with the one stored by the model
 */
public interface IXGRDataChangedListener
{
/**
  * The method is generated as a result of changing the value
  * of the data model dataNode element;
  * The listeners of this event will be all UI elements who
  * display this element value and will result in updating the
  * displayed value;
 */
public void dataChanged( IXGRDataNode dataNode );
}
