package org.eclipse.scripting.internal;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import java.io.PrintStream;

public class ScriptEngineException extends Exception
{

	public static int REASON_INVALID_ARGUMENT = 0;
	public static int REASON_IO_ERROR = 10;
	public static int REASON_UNKNOWN_LANGUAGE = 20;
	public static int REASON_EXECUTION_ERROR = 100;
	public static int REASON_UNSUPPORTED_FEATURE = 499;
	public static int REASON_OTHER_ERROR = 500;
	int reason;
	Throwable targetThrowable;

	public ScriptEngineException(int i, String s)
	{
		super(s);
		reason = i;
	}
	public ScriptEngineException(int i, String s, Throwable throwable)
	{
		this(i, s);
		targetThrowable = throwable;
	}
	public ScriptEngineException(String s)
	{
		this(REASON_OTHER_ERROR, s);
	}
	public int getReason()
	{
		return reason;
	}
	public Throwable getTargetException()
	{
		return targetThrowable;
	}
	public void printStackTrace()
	{
		if(targetThrowable != null)
		{
			String s = getMessage();
			if(s != null && !s.equals(targetThrowable.getMessage()))
				System.err.print(s + ": ");
			targetThrowable.printStackTrace();
		}
		else
		{
			super.printStackTrace();
		}
	}
}
