package org.eclipse.scripting.internal;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
import java.io.*;

public class ScriptReaderLineInputStream implements IXGRReader {
	protected StringBuffer _strbLine = new StringBuffer();
	protected BufferedReader _reader = null;
/**
 *
 */
public ScriptReaderLineInputStream( InputStream inputStream ) {
	super();
	
	if( inputStream != null )
		_reader = new BufferedReader( new InputStreamReader( inputStream ) );
}
/**
 *
 */
public String readLine() throws java.lang.Exception {

	// Return if no input stream
	//--------------------------
	if (_reader == null) {
		return null;
	}

	// Read a line of text
	//--------------------
	int iCharacter = -1;
	boolean bEndOfLine = false;

	_strbLine.setLength(0);

	while (bEndOfLine == false) {

		switch (iCharacter = _reader.read()) {
			case -1 :
			case '\n' :
				bEndOfLine = true;
				break;
			case '\r' :
				break;
			case '\t' :
				_strbLine.append(' ');
				break;
			default :
				_strbLine.append((char) iCharacter);
				break;
		}
	}

	if ((iCharacter == -1) && (_strbLine.length() == 0)) {
		return null;
	}

	return _strbLine.toString();
}
}
