package org.eclipse.scripting.internal;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 * This class is a script runner that supports IXGRElements.
 */
import org.eclipse.core.runtime.*;
import org.eclipse.scripting.*;
import org.eclipse.scripting.internal.*;
import org.eclipse.scripting.internal.datamodels.*;
import org.eclipse.scripting.internal.uirenderer.XGR;
import java.util.*;

public class ScriptRunnerExtended extends ScriptRunner {
/**
 * ScriptRunnerExtended constructor comment.
 */
public ScriptRunnerExtended(IConfigurationElement configElement, Object objData) {
	super(configElement, objData);
}
/**
 * This method calls another method depending on whether there
 * is a presentation filename specified or not.  This method
 * is called at runtime where the user interface is not parented
 * by a desktop composite.
 */
public void run(IXGRElement element) {

	// Run a script
	//-------------
	if (super.getScriptFilename() != null) {
		executeScript();
	}

	// Run a script with user interface
	//---------------------------------
	if (super.getPresentationFilename() != null) {
		executeScriptUI(element);
	}
}
}
