package org.eclipse.scripting.internal.datamodels;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *
 */
import org.eclipse.scripting.internal.*;

import org.eclipse.core.resources.*;
import org.eclipse.core.runtime.*;

import org.xml.sax.*;
import java.io.IOException;

public class XGRDataModelFactory
{
/**
 * XGRDataModelFactory constructor comment.
 */
public XGRDataModelFactory() 
{

}
/**
 */
public IXGRDataModel getDataModel( String strFilename ) throws IOException, SAXException
{
	IXGRDataModel dataModel = null;

	if( strFilename != null )
	{
		try
		{
			// Try the elements and attributes xml datamodel
			//----------------------------------------------
			dataModel = new XGRXmlElementsAndAttributesDataModel();
			dataModel.loadFromFilename( strFilename );
		}
	
		catch( Exception ex )
		{
			// Try the general xml data model
			//-------------------------------
//			System.out.println( ex.toString() );
			dataModel = new XGRXmlDataModel();
			dataModel.loadFromFilename( strFilename );
		}
	}
	
	return dataModel;
}
/**
 */
public IXGRDataModel getDataModel( IFile file ) throws IOException, SAXException, CoreException
{
	IXGRDataModel dataModel = null; 

	if( file != null )
	{
		try
		{
			// Try the elements and attributes xml datamodel
			//----------------------------------------------
			dataModel = new XGRXmlElementsAndAttributesDataModel();
			dataModel.loadFromFile( file );
		}
	
		catch( Exception ex )
		{
			// Try the general xml data model
			//-------------------------------
			dataModel = new XGRXmlDataModel();
			dataModel.loadFromFile( file );
		}
	}
	
	return dataModel;
}
}
