package org.eclipse.scripting.internal.datamodels;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 * Supports the RefObjectExtn interface.  This data model has only
 * one node that interfaces to StrinData.
 */
import org.eclipse.scripting.*;
import org.eclipse.scripting.internal.*;

import org.eclipse.core.resources.*;
import org.eclipse.core.runtime.*;

import java.io.*;

public class XGRStringDataModel implements IXGRDataModel
{
	XGRStringDataNode[] _dataNodes = null;
/**
 *
 */
public XGRStringDataModel()
{
	super();
}
/**
 */
public XGRStringDataModel( IStringData stringData )
{
	// For single string data, create a single data node
	//--------------------------------------------------
	if( stringData instanceof StringDataSingle )
	{
		_dataNodes = new XGRStringDataNode[1];
		_dataNodes[0] = new XGRStringDataNode( (StringDataSingle)stringData );
	}

	// For multiple string data, create a data node for each
	//------------------------------------------------------
	else if( stringData instanceof StringDataMultiple )
	{
		StringDataMultiple multiple = (StringDataMultiple)stringData;
		String[] strings = multiple.getStrings();
		Object[] objects = multiple.getObjects();

		int iNumberOfNodes = Math.min( strings.length, objects.length );
		
		_dataNodes = new XGRStringDataNode[ iNumberOfNodes ];
		
		StringDataSingle single = null;
		
		for( int i=0; i<iNumberOfNodes; ++i )
		{
			single = new StringDataSingle( strings[i], objects[i] );
			_dataNodes[i] = new XGRStringDataNode( single );
		}
	}
}
/**
 *
 */
public boolean addAttribute( String attributeName, String attributeValue )
{
	return false;
}
/**
 *
 */
public IDataElement addChildElement( String elementName )  
{
	return null;
}
/**
 *
 */
public String[] getAttributeNames()
{
	return null;
}
/**
 *
 */
public String getAttributeValue( String attributeName ) 
{
	return null;
}
/**
 *
 */
public IDataElement[] getChildElements() 
{
	return null;
}
/**
 *
 */
public IXGRDataNode[] getDataNodes( String strDataPath ) 
{
	return _dataNodes;
}
/**
 *
 */
public IXGRDataNode[] getDataNodes( String strDataPath, IXGRDataNode dataNodeStart )
{
	return _dataNodes;
}
/**
 *
 */
public Object getElementProperty( Object key )
{
	return null;
}
/**
 *
 */
public String getExtendedType() 
{
	return null;
}
/**
 *
 */
public String getName()
{
	return null;
}
/**
 *
 */
public IXGRDataNode getSearchRootNode()
{
	return null;
}
/**
 *
 */
public void loadFromFile( IFile workbenchFile ) throws IOException, org.xml.sax.SAXException, org.eclipse.core.runtime.CoreException 
{
}
/**
 *
 */
public void loadFromFilename( String fileSystemFilename ) throws IOException, org.xml.sax.SAXException
{
}
/**
 *
 */
public boolean removeAttribute( String attributeName )
{
	return false;
}
/**
 *
 */
public boolean removeChildElement( IDataElement dataElement )
{
	return false;
}
/**
 *
 */
public void save() throws IOException, CoreException 
{
}
/**
 *
 */
public void saveToFile( IFile workbenchFile ) throws CoreException 
{
}
/**
 *
 */
public void saveToFilename( String fileSystemFilename ) throws IOException 
{
}
/**
 *
 */
public boolean setAttributeValue( String attributeName, String attributeValue )
{
	return false;
}
/**
 *
 */
public void setExtendedType( String resourceExtendedType )
{
}
}
