package org.eclipse.scripting.internal.datamodels;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 * This node interfaces to RefObjectExtn interface object types.
 * As such, the only methods used in this class are getValue and setValue.
 */
import org.eclipse.scripting.*;
import org.eclipse.scripting.internal.*;
import java.util.Vector;

public class XGRStringDataNode implements IXGRDataNode,
					  IXGRDataChangedNotifier
{
  private StringDataSingle _stringDataSingle = null;
/**
 */
public XGRStringDataNode( StringDataSingle stringData )
{
  _stringDataSingle = stringData;
}
/**
 */
public boolean addAttribute( String attributeName, String attributeValue )
{
  return false;
}
/**
 */
public IDataElement addChildElement( String elementName )
{
  return null;
}
/**
 */
public void addChildNode( IXGRDataNode nodeChild )
{
}
/**
 */
public String[] getAttributeNames()
{
  return null;
}
/**
 */
public String getAttributeValue( String attributeName )
{
  return null;
}
/**
 */
public IDataElement[] getChildElements()
{
  return null;
}
/**
 */
public Vector getChildNodes()
{
  return null;
}
/**
 */
public Object getElementProperty( Object key )
{
  return null;
}
/**
 */
public String getFullyQualifiedName()
{
  return null;
}
/**
 */
public String getName()
{
  return null;
}
/**
 */
public IXGRDataNode[] getNodes( String strPath )
{
  return null;
}
/**
 */
public IXGRDataNode getParentNode()
{
  return null;
}
/**
 */
public String getValue()
{
  if( _stringDataSingle != null && _stringDataSingle.getString() != null )
  {
	return _stringDataSingle.getString();
  }
  
  return "";
}
/**
 */
public void notifyDataChanged()
{
}
/**
 */
public void registerDataChangedListener( IXGRDataChangedListener listener )
{
}
/**
 */
public boolean removeAttribute( String attributeName )
{
  return false;
}
/**
 */
public boolean removeChildElement( IDataElement dataElement )
{
  return false;
}
/**
 */
public boolean removeChildNode( IXGRDataNode nodeChild )
{
  return false;
}
/**
 */
public boolean setAttributeValue( String attributeName, String attributeValue )
{
  return false;
}
/**
 */
public void setParentNode( IXGRDataNode nodeParent )
{
}
/**
 */
public void setValue( String strValue )
{
  if( _stringDataSingle != null )
  {
	_stringDataSingle.setString( strValue );
  }
}
/**
 */
public void unregisterDataChangedListener( IXGRDataChangedListener listener )
{
}
}
