package org.eclipse.scripting.internal.datamodels;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *  
 */
import org.eclipse.scripting.internal.*;


public class XGRXmlElementsAndAttributesDataNode extends XGRXmlDataNode
{
/**
 */
public XGRXmlElementsAndAttributesDataNode( IXGRDataNode nodeParent, String strName, String strValue, int iXmlType) 
{
	super( nodeParent, strName, strValue, iXmlType );
}
/**
 */
public boolean addAttribute( String strAttributeName, String strAttributeValue) 
{
	if( strAttributeName != null && strAttributeValue != null )
	{
		if( getAttribute( strAttributeName ) == null )
		{
			XGRXmlElementsAndAttributesDataNode nodeNew = new XGRXmlElementsAndAttributesDataNode( this, strAttributeName, strAttributeValue, ATTRIBUTE );
			super.addChildNode( nodeNew );
			return true;
		}
	}
	
	return false;
}
/**
 */
public String getFullyQualifiedName()
{
//	Trace.functionEntry( this, "getFullyQualifiedName" );
	
	StringBuffer strbufName = new StringBuffer( getName() );

	IXGRDataNode nodeParent = this;
	
	while( ( nodeParent = nodeParent.getParentNode() ) != null )
	{
		strbufName.insert( 0, nodeParent.getName() + "." );
	}

//	Trace.functionExit( this, "getFullyQualifiedName" );
	
	// Strip off the beginning root element "itpsea."
	//-----------------------------------------------
	return strbufName.toString().substring( 7 );
}
}
