package org.eclipse.scripting.internal.uirenderer;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import org.eclipse.jface.preference.IPreferencePage;
import org.eclipse.swt.graphics.Image;

public interface IScriptPreferenceNode extends IScriptContributionNode {

/**
 * Returns the icon used to present this node in the preference dialog.
 */
public Image getImage();
/**
 * Returns the label used to present this node in the preference dialog.
 */
public String getLabel();
/**
 * Returns the preference page this node stands for.
 */ 
public IPreferencePage getPreferencePage();
/**
 * Returns <code>true</code>, if a preference page has been created
 * for this node. Otherwise <code>false</code> is returned.
 */
public boolean isPageCreated();
/**
 * Release the page managed by this node.
 */
public void release();
}
