package org.eclipse.scripting.internal.uirenderer;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *
 */
import org.eclipse.scripting.internal.*;

public class XGRElementScript implements IXGRElement,
										 IXGRElementScriptElement
{
	ScriptDescriptor _scriptDescriptor = null;
	ScriptManager    _scriptManager    = null;
/**
 * initialize method comment.
 */
public void initialize()
{
}
/**
 * This method is called for each "script" xhtml element.  If the
 * language specified is not "java", the script is evaluated by
 * the script manager.
 */
public void setScriptDescriptor( ScriptDescriptor scriptDescriptor )
{
//	Trace.functionEntry( this, "setScriptDescriptor" );
	
	_scriptDescriptor = scriptDescriptor;

//	Trace.string( _scriptDescriptor.toString() );
	
	// Determine whether to evaluate the script
	//-----------------------------------------
	if( _scriptDescriptor != null && _scriptManager != null )
	{
		boolean bDoEvaluation = true;
		
		// Do not do evaluation for "java" language
		//-----------------------------------------
		if( _scriptDescriptor._strScriptLanguage != null )
		{
			if( _scriptDescriptor._strScriptLanguage.toLowerCase().equals( "java" ) == true )
			{
				bDoEvaluation = false;
			}
		}

		if( bDoEvaluation == true )
		{
			// Evaluate the script
			// A null language string is ok
			//-----------------------------
			_scriptManager.evaluateScript( scriptDescriptor, null );
		}
	}
	
//	Trace.functionExit( this, "setScriptDescriptor" );
}
/**
 */
public void setScriptManager( ScriptManager scriptManager )
{
	_scriptManager = scriptManager;
}
}
