package org.eclipse.scripting.internal.uirenderer;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *
 */
import org.eclipse.core.resources.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.scripting.internal.*;

public class XGRElementUISwtCompositePanel extends XGRElementUISwtComposite implements IXGRElementEventGeneratorOnLoad,
																					   IXGRElementEventGeneratorOnUnload
{
	private   ScriptDescriptor _scriptDescriptorOnLoad   = null;
	private   ScriptDescriptor _scriptDescriptorOnUnload = null;
/**
 */
public XGRElementUISwtCompositePanel() 
{
	super();
}
/**
 */
public XGRElementUISwtCompositePanel( Composite compositeParent ) 
{
	super( compositeParent );
}
/**
 */
public void doSave()
{
	if( _scriptManager != null )
	{
		_scriptManager.evaluateScript( _scriptDescriptorOnUnload, this );
	}
}
/**
 */
public void doSaveAs(Object object) {

	if (_scriptManager != null) {
		_scriptManager.declareElement("savefile", object);
		_scriptManager.evaluateScript(_scriptDescriptorOnUnload, this);
		_scriptManager.undeclareElement("savefile");
	}

	return;
}
/**
 */
public void initialize()
{
	super.initialize();

	// Trigger onload event
	//---------------------
	if( _scriptManager != null )
	{
		_scriptManager.evaluateScript( _scriptDescriptorOnLoad, this );
	}
}
/**
 */
public void setOnLoadScriptDescriptor( ScriptDescriptor scriptDescriptor )
{
	_scriptDescriptorOnLoad = scriptDescriptor;
}
/**
 */
public void setOnUnloadScriptDescriptor( ScriptDescriptor scriptDescriptor )
{
	_scriptDescriptorOnUnload = scriptDescriptor;
}
}
