package org.eclipse.scripting.internal.uirenderer;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *
 */
import org.eclipse.scripting.internal.uirenderer.*;
import org.eclipse.scripting.internal.*;
import org.eclipse.swt.*;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.widgets.*;

public class XGRElementUISwtGroupBox extends XGRElementUISwtComposite  implements IXGRElementUILayoutElement,
																				  IXGRElementCaption,
																				  IXGRElementUITextPresentationElement
{
	private String         _strCaption  = null;
	private XGRFontManager _fontManager = null;
/**
 */
public XGRElementUISwtGroupBox()
{
//	Trace.functionEntry( this, "XGRElementUISwtGroupBox" );

	super._iHorizontalIndent = 0;
	
//	Trace.functionExit( this, "XGRElementUISwtGroupBox" );
}
/**
 */
public Object createWidget( Object objParent)
{
//	Trace.functionEntry( this, "createWidget" );
	
	if( objParent instanceof Composite )
	{
		// Create the component
		//---------------------
		_composite = new Group( (Composite) objParent, SWT.NULL );
		
		// Initialize myself
		//------------------
		initialize();
		
		// Create and initialize the component's children
		//-----------------------------------------------
		IXGRElementUI elementChild = null;

		for( int i=0; i<_vectorChildren.size(); ++i )
		{
			elementChild = (IXGRElementUI)_vectorChildren.elementAt( i );
			elementChild.createWidget( _composite );
		}
	}

//	Trace.functionExit( this, "createWidget" );

	return _composite;
}
/**
 */
public Object getWidget() 
{
	return (Group)_composite;
}
/**
 */
public String getWidgetType()
{
	return "org.eclipse.swt.widgets.Group";
}
/**
 */
public void initialize()
{
//	Trace.functionEntry( this, "initialize" );

	if( _composite != null )
	{
		// Font
		//-----
//		_composite.setFont( _fontManager.getDefaultFont( _composite ) );
		
		// Create a grid layout
		// Reset its margin width (default is 5)
		//--------------------------------------
		_gridLayout = new GridLayout();
		_gridLayout.marginWidth = 16;
		_gridLayout.numColumns  = _iNumberOfColumns;

		//	Trace.value( "_iNumberOfColumns", _iNumberOfColumns );
	
		_composite.setLayout( _gridLayout );

		// Set the grid data
		//------------------
		GridData gridData = new GridData();

		gridData.horizontalIndent    = _iHorizontalIndent;
		gridData.horizontalAlignment = GridData.FILL;
		
		if( _dimSpan != null )
		{
			gridData.horizontalSpan = _dimSpan.x;
			gridData.verticalSpan   = _dimSpan.y;
		}
				
		_composite.setLayoutData( gridData );
		
		if( _strCaption != null )
		{
			((Group)_composite).setText( _strCaption );
		}

		// Register the widget with the script manager
		//--------------------------------------------
		if( _scriptManager != null && _strName != null && _strName.length() > 0 )
		{
			_scriptManager.declareElement( _strName, _composite );
		}
	}
	
//	Trace.functionExit( this, "initialize" );
}
/**
 */
public void setCaptionText( String strCaption )
{
//	Trace.functionEntry( this, "setCaptionText" );
	
	_strCaption = strCaption;
	
//	Trace.functionExit( this, "setCaptionText" );
}
/**
 */
public void setFontManager( XGRFontManager fontManager) 
{
	_fontManager = fontManager;
}
}
