package org.eclipse.scripting.internal.uirenderer;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *
 */
import org.eclipse.scripting.internal.IXGRElementUI;
import org.eclipse.scripting.internal.IXGRElementUIGridElement;
import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;

public class XGRElementUISwtHorizontalRule implements IXGRElementUI, IXGRElementUIGridElement
{
	protected Label _label           = null;
	private   Color _colorBackground = null;
	private   Point _dimSpan         = null;
/**
 */
public XGRElementUISwtHorizontalRule()
{
	super();
	
//	Trace.functionEntry( this, "XGRElementUISwtLabel" );
//	Trace.functionExit( this, "XGRElementUISwtLabel" );
}
/**
 */
public Object createWidget( Object objParent )
{
//	Trace.functionEntry( this, "createWidget" );
	
	if( objParent instanceof Composite )
	{
		_label = new Label( (Composite)objParent, SWT.HORIZONTAL | SWT.SEPARATOR | SWT.BORDER );

		initialize();
	}
	
//	Trace.functionExit( this, "createWidget" );

	return _label;
}
/**
 */
public Object getWidget() 
{
	return _label;
}
/**
 */
public String getWidgetType()
{
	return "org.eclipse.swt.widgets.Label";
}
/**
 */
public Control getWindow()
{
	return _label;
}
/**
 */
public void highlight(boolean bHighlight, Color colorHighlight )
{
	if( _label != null )
	{
		if( bHighlight == true )
		{
			_colorBackground = _label.getBackground();
			_label.setBackground( colorHighlight );
		}
		else if( _colorBackground != null )
		{
			_label.setBackground( _colorBackground );
		}
	}
}
/**
 */
public void initialize()
{
//	Trace.functionEntry( this, "initialize" );

	if( _label != null )
	{
		// Layout
		//-------	
		GridData gridData = new GridData();
			
		gridData.horizontalAlignment = GridData.FILL;
		
		if( _dimSpan != null )
		{
			gridData.horizontalSpan = _dimSpan.x;
			gridData.verticalSpan   = _dimSpan.y;	
		}
		
		_label.setLayoutData( gridData );
	}
	
//	Trace.functionExit( this, "initialize" );
}
/**
 */
public void setSpan( Point dimSpan ) 
{
	_dimSpan = dimSpan;
}
/**
 */
public void setVisible(boolean bVisible) {}
}
