package org.eclipse.scripting.internal.uirenderer;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *
 */
import org.eclipse.swt.*;
import org.eclipse.swt.graphics.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.layout.*;
import org.eclipse.scripting.internal.*;

public class XGRElementUISwtImage implements IXGRElementNamed,
											 IXGRElementUI,
								             IXGRElementUIGridElement,
								             IXGRElementUIImageElement
{
	private Point         _dimSpan    = null;
	private Label         _label      = null;
	private Color     _colorBackground = null;
	private Image         _image      = null;
	private String        _strName    = null;
	private String        _strImage   = null;
	private ScriptManager _scriptManager     = null;
/**
 */
public XGRElementUISwtImage()
{
	super();
	
//	Trace.functionEntry( this, "XGRElementUISwtImage" );
//	Trace.functionExit( this, "XGRElementUISwtImage" );
}
/**
 */
public Object createWidget( Object objParent )
{
//	Trace.functionEntry( this, "createWidget" );
	
	if( objParent instanceof Composite )
	{
		_label = new Label( (Composite)objParent, SWT.LEFT );

		initialize();
	}
	
//	Trace.functionExit( this, "createWidget" );

	return _label;
}
/**
 */
public String getName()
{
	return _strName;
}
/**
 */
public Object getWidget() 
{
	return _image;
}
/**
 */
public String getWidgetType()
{
	return "org.eclipse.swt.graphics.Image";
}
/**
 */
public Control getWindow()
{
	return _label;
}
/**
 */
public void highlight(boolean bHighlight, Color colorHighlight)
{
	if( _label != null )
	{
		if( bHighlight == true )
		{
			_colorBackground = _label.getBackground();
			_label.setBackground( colorHighlight );
		}
		else if( _colorBackground != null )
		{
			_label.setBackground( _colorBackground );
		}
	}
}
/**
 */
public void initialize()
{
//	Trace.functionEntry( this, "initialize" );

	if( _label != null )
	{
		if( _dimSpan != null )
		{
			GridData gridData = new GridData();
	
			gridData.horizontalSpan = _dimSpan.x;
			gridData.verticalSpan   = _dimSpan.y;

			_label.setLayoutData( gridData );
		}

		if( _strImage != null )
		{
			try
			{
				_image = new Image( _label.getDisplay(), _strImage );
			}
			catch( SWTException ex )
			{
			}
		}
		
		if( _image != null )
		{
			_label.setImage( _image );
		}
		else
		{
			_label.setText( _strImage );
		}

		// Register the widget with the script manager
		//--------------------------------------------
		if( _scriptManager != null && _strName != null && _strName.length() > 0 )
		{
			_scriptManager.declareElement( _strName, _label );
		}
	}
	
//	Trace.functionExit( this, "initialize" );
}
/**
 */
public void setImageName( String strImage )
{
	_strImage = strImage;
}
/**
 */
public void setName( String strName )
{
	_strName = strName;
}
/**
 */
public void setScriptManager( ScriptManager scriptManager ) 
{
	_scriptManager = scriptManager;
}
/**
 */
public void setSpan( Point dimSpan ) 
{
	_dimSpan = dimSpan;
}
/**
 */
public void setVisible(boolean bVisible) {}
}
