package org.eclipse.scripting.internal.uirenderer;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *
 */
import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.layout.*;
import org.eclipse.scripting.internal.*;
import java.util.Vector;

public class XGRElementUISwtShell implements IXGRElement,
											 IXGRElementContainer, 
											 IXGRElementUI,
											 IXGRElementUIRunnable,
											 IXGRElementCaption,
											 IXGRElementNamed 
{
	private   Shell         _shell          = null;
	private   ScriptManager _scriptManager  = null;
	protected Vector        _vectorChildren = new Vector();
	private   String        _strCaption     = null;
	private   String        _strName        = null;
/**
 */
public XGRElementUISwtShell()
{
}
/**
 */
public void addChildElement(IXGRElement elementChild)
{
	_vectorChildren.addElement( elementChild );
}
/**
 */
public Object createWidget( Object objParent )
{
	// Create a grid layout
	// Reset its margin width (default is 5)
	//--------------------------------------
	GridLayout gridLayout = new GridLayout();
	gridLayout.marginWidth = 10;

	// Create the widget
	//------------------
	_shell = new Shell();
	_shell.setLayout( gridLayout );

	// Create the component's children
	//--------------------------------
	IXGRElementUI elementChild = null;
	
	for( int i=0; i<_vectorChildren.size(); ++i )
	{
		elementChild = (IXGRElementUI)_vectorChildren.elementAt( i );
		elementChild.createWidget( _shell );
	}

	// Initialize myself
	//------------------
	initialize();

	return _shell;
}
/**
 */
public Vector getChildElements()
{
	return _vectorChildren;
}
/**
 */
public String getName()
{
	return _strName;
}
/**
 */
public Object getWidget() 
{
	return _shell;
}
/**
 */
public String getWidgetType()
{
	return "org.eclipse.swt.widgets.Shell";
}
/**
 */
public Control getWindow()
{
	return _shell;
}
/**
 */
public void highlight(boolean bHighlight, org.eclipse.swt.graphics.Color colorHighlight) {}
/**
 */
public void initialize()
{
	// Initialize my properties
	//-------------------------
	if( _shell != null ) 
	{
		if( _strCaption != null )
		{
			_shell.setText( _strCaption );
		}

		// Register the widget with the script manager
		//--------------------------------------------
		if( _scriptManager != null && _strName != null && _strName.length() > 0 )
		{
			_scriptManager.declareElement( _strName, _shell );
		}
	}
}
/**
 */
public void run()
{
	Display display = _shell.getDisplay();
	
	while( _shell.isDisposed() == false )
	{
		if( display.readAndDispatch() == false )
		{
			display.sleep();
		}
	}
	
	return;
}
/**
 */
public void setCaptionText( String strCaption )
{
	_strCaption = strCaption;
}
/**
 */
public void setName( String strName )
{
	_strName = strName;
}
/**
 */
public void setScriptManager( ScriptManager scriptManager ) 
{
	_scriptManager = scriptManager;
}
/**
 */
public void setVisible( boolean bVisible ) 
{
	if( _shell != null )
	{
		_shell.open();
	}
}
}
