package org.eclipse.scripting.internal.uirenderer;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *
 */
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Text;

public class XGRElementUISwtTextArea extends XGRElementUISwtText
{
/**
 */
public XGRElementUISwtTextArea() 
{
	super();
	
//	Trace.functionEntry( this, "XGRElementUISwtTextArea" );
//	Trace.functionExit( this, "XGRElementUISwtTextArea" );
}
/**
 */
public Object createWidget( Object objParent )
{
	if( objParent instanceof Composite )
	{
		if( _bReadOnly == false )
		{
			_text = new Text( (Composite)objParent, SWT.MULTI | SWT.BORDER | SWT.H_SCROLL | SWT.V_SCROLL );
		}
		else
		{
			_text = new Text( (Composite)objParent, SWT.MULTI | SWT.BORDER | SWT.H_SCROLL | SWT.V_SCROLL  | SWT.READ_ONLY );
		}

		initialize();

		super.initialize();
	}

	return _text;
}
/**
 */
public void initialize()
{
	super.initialize();
	
	if( _text != null )
	{
		// Layout
		//-------
		GridData gridData = new GridData();
		
		gridData.horizontalAlignment = GridData.FILL;

		// Size
		//-----
		gridData.widthHint  = 200;
		gridData.heightHint = 100;
	
		if( _dimSize != null )
		{
			// Width
			//------
			if( _dimSize.x > 0 )
			{
				gridData.widthHint = _dimSize.x;
			}

			// Height
			//-------
			if( _dimSize.y > 0 )
			{
				gridData.heightHint = _dimSize.y;
			}
		}

		// Span
		//-----
		if( _dimSpan != null )
		{
			gridData.horizontalSpan = _dimSpan.x;
			gridData.verticalSpan   = _dimSpan.y;
		}
		
		_text.setLayoutData( gridData );
	}
}
}
