package org.eclipse.scripting.internal.uirenderer;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *
 */
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Text;

public class XGRElementUISwtTextField extends XGRElementUISwtText
{
/**
 */
public XGRElementUISwtTextField() 
{
	super();
	
//	Trace.functionEntry( this, "XGRElementUISwtTextField" );
//	Trace.functionExit( this, "XGRElementUISwtTextField" );
}
/**
 */
public Object createWidget( Object objParent )
{
//	Trace.functionEntry( this, "createWidget" );
	
	if( objParent instanceof Composite )
	{
		if( _bReadOnly == false )
		{
			_text = new Text( (Composite)objParent, SWT.SINGLE | SWT.BORDER );
		}
		else
		{
			_text = new Text( (Composite)objParent, SWT.SINGLE | SWT.BORDER | SWT.READ_ONLY );
		}

		initialize();

		super.initialize();
	}
	
//	Trace.functionExit( this, "createWidget" );
	
	return _text;
}
/**
 */
public void initialize()
{
	super.initialize();
	
	if( _text != null )
	{
		GridData gridData = new GridData();
		
		gridData.horizontalAlignment       = GridData.FILL;
		gridData.grabExcessHorizontalSpace = true;

		// Width
		//------
		gridData.widthHint = 200;
	
		if( _dimSize != null )
		{
			if( _dimSize.x > 0 )
			{
				gridData.widthHint = _dimSize.x;
			}
		}

		// Height
		//-------
		if( _dimSize != null )
		{
			if( _dimSize.y > 0 )
			{
				gridData.heightHint = _dimSize.y;
			}
		}


		if( _dimSpan != null )
		{
			gridData.horizontalSpan = _dimSpan.x;
			gridData.verticalSpan   = _dimSpan.y;
		}

		_text.setLayoutData( gridData );
	}
}
}
