package org.eclipse.scripting.internal.uirenderer;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *
 */
import java.util.Vector;

import org.eclipse.scripting.internal.IXGRNodeInterface;

public abstract class XGRNode implements IXGRNodeInterface
{
	protected XGRPresentationModelElement _node          = null;
	protected Vector     _vnodeChildren = null;
	protected String     _strID         = null;
	protected XGRNode    _xgrNodeParent = null;
/**
 */
public XGRNode( XGRPresentationModelElement node, XGRNode xgrNodeParent )
{
	_node          = node;
	_xgrNodeParent = xgrNodeParent;
}
/**
 */
public void addChildNode( XGRNode xgrNodeChild )
{
//	System.out.println( "Add child " + xgrNodeChild );
	if( _vnodeChildren == null )
	{
		_vnodeChildren = new Vector();
	}

	_vnodeChildren.addElement( xgrNodeChild );
}
/**
 */
public XGRPresentationModelElement getChildNode( String strNodeName )
{
	return _node.getChildElement( strNodeName );
}
/**
 */
public String getNodeAttributeValue( XGRPresentationModelElement node, String strAttributeName )
{
	if( node != null )
	{
		return node.getAttributeValue( strAttributeName );
	}
	
	return null;
}
/**
 */
public String getNodeTextAttributeString()
{
	return _node.getAttributeValue( "text" );
}
/**
 */
public XGRNode getParentNode()
{
	return _xgrNodeParent;
}
}
