package org.eclipse.scripting.internal.uirenderer;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *
 */
import org.eclipse.scripting.internal.IXGRElementUIDataPresentationElement;
import org.eclipse.scripting.internal.IXGRElementUIListener;

public class XGRUILinkManager
{
	XGRNodePresentation _nodeRootPresentation = null;
/**
 */
public XGRUILinkManager( XGRNodePresentation nodeRootPresentation )
{
	_nodeRootPresentation = nodeRootPresentation; 
}
/**
 */
public void addUIListenerToSource( IXGRElementUIListener uiListener, String strLinkSourceName )
{
//	Trace.functionEntry( this, "adduiListenerToSource" );
	
//	Trace.string( "Looking for: " + strSourceName );
	
	if( uiListener            != null && 
		strLinkSourceName     != null && 
		_nodeRootPresentation != null    )
	{
		// Find the UI node with the given name
		//-------------------------------------
		IXGRElementUIDataPresentationElement element = _nodeRootPresentation.getDataPresentationElement( strLinkSourceName );

		// Add the listener to the UI node
		//--------------------------------
		if( element != null )
		{
			element.addUIListener( uiListener );
		}
	}
	
//	Trace.functionExit( this, "adduiListenerToSource" );
}
}
