package org.eclipse.scripting.internal.uirenderer;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 */
public class XGRXmlAttribute
{
	public int    _iColumnNumber = -1;
	public int    _iLineNumber   = -1;
	public String _strFilename   = null;
	public String _strName       = null;
	public String _strValue      = null;
/**
 */
public XGRXmlAttribute( String strName, String strValue, String strFilename, int iLineNumber, int iColumnNumber ) 
{
	_strName       = strName;
	_strValue      = strValue;
	_strFilename   = strFilename;
	_iLineNumber   = iLineNumber;	// 0 based
	_iColumnNumber = iColumnNumber; // 0 based
}
/**
 */
public void printAttribute()
{
//	Trace.functionEntry( this, "printAttribute" );
	
	printAttribute( 0 );
	
//	Trace.functionExit( this, "printAttribute" );
}
/**
 */
public void printAttribute( int iIndentation )
{
//	Trace.functionEntry( this, "printAttribute" );
	
	StringBuffer strb = new StringBuffer();

	for( int i=0; i<iIndentation; ++i )
	{
		strb.append( ' ' );
	}

	// Print line / column numbers as 1 based
	//---------------------------------------
	strb.append( "{" + Integer.toString( _iLineNumber + 1 ) + ", " + Integer.toString( _iColumnNumber + 1 ) + "}, " );
	if( _strName != null )
	{
		strb.append( _strName );
	}
	else
	{
		strb.append( "null" );
	}

	if( _strValue != null )
	{
		strb.append( ", <" + _strValue + ">" );
	}
	else
	{
		strb.append( ", null" );
	}

	System.out.println( strb.toString() );
	
//	Trace.functionExit( this, "printAttribute" );
}
}
