package org.eclipse.scripting.internal.views;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 *
 */
import org.eclipse.core.runtime.model.*;
import org.eclipse.scripting.*;
import org.eclipse.scripting.internal.ScriptConstants;

public class ScriptDevelopmentPreferencePageWorkbenchImport extends ScriptDevelopmentPreferencePageWorkbenchAbstractWizard {

	private static String _strAdapterID          = "org.eclipse.scripting.adapter.workbenchImport";
	private static String _strExtensionPointID  = "org.eclipse.ui.importWizards";
/**
 * Returns the identification string of the plugin extension adapter.
 */
public String getAdapterID() {
	return _strAdapterID;
}
/**
 * Returns the extension point identifier for this script type.
 */
public String getExtensionPointID() {
	
	return _strExtensionPointID;
}
/**
 * Returns the name of the script adapter to be placed in the class attribute
 * of the wizard element in the plugin extension manifest file.
 */
public String getScriptAdapterName() {
	
	StringBuffer strbAdapterName = new StringBuffer();
	strbAdapterName.append( ScriptConstants.getPluginID() );
	strbAdapterName.append( "/" );
	strbAdapterName.append( ScriptAdapterWorkbenchResourceImportWizard.class.getName() );

	return strbAdapterName.toString();
}
}
