package org.eclipse.scripting.internal.views;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 */
import org.eclipse.core.runtime.model.*;
import org.eclipse.jface.wizard.*;
import org.eclipse.core.runtime.*;
import org.eclipse.core.resources.*;
import org.eclipse.scripting.*;
import org.eclipse.scripting.internal.ScriptConstants;
import org.eclipse.jface.preference.*;
import org.eclipse.swt.*;
import org.eclipse.swt.events.*;
import org.eclipse.swt.graphics.*;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.widgets.*;
import java.net.*;
import java.util.*;

public class ScriptDevelopmentPreferencePageWorkbenchPreferences extends ScriptAbstractPreferencePage {
	
	private Button  _buttonResourceTypeAdd    = null;
	private Button  _buttonResourceTypeRemove = null;
	private Table   _tableResourceType        = null;

	private ScriptDevelopmentWizardPageConfirmation   _wizardConfirmation   = null;
	private ScriptDevelopmentWizardPageFileName       _wizardFileName       = null;
//	private ScriptDevelopmentWizardPageIconName       _wizardIconName       = null;
//	private ScriptDevelopmentWizardPageScriptLanguage _wizardLanguage       = null;
	
	private java.io.File                    _containerScript = null;

	private static String _strAdapterID          = "org.eclipse.scripting.adapter.workbenchPreferences";
	private static String _strExtensionPointID = "org.eclipse.ui.preferencePages";
/**
 */
public void addScriptWizardPages(Wizard wizard, boolean newScript) {

	// Create the wizard pages
	//------------------------
	_wizardFileName = new ScriptDevelopmentWizardPageFileName(this, wizard, "File Name");
	//	_wizardIconName       = new ScriptDevelopmentWizardPageIconName      ( this, wizard, "Icon Name"       );
	//	_wizardLanguage       = new ScriptDevelopmentWizardPageScriptLanguage( this, wizard, "Script Language" );

	// Add the wizard pages to the wizard
	//-----------------------------------
	//	wizard.addPage( _wizardIconName       );
	//	wizard.addPage( _wizardLanguage       );
	wizard.addPage(_wizardFileName);

	// Initialize the pages
	//---------------------
	if (newScript == false) {
		ExtensionModel extensionModel = getExtensionModel();
		
		ConfigurationElementModel element = getConfigurationSubElement(extensionModel, "action");

		if (element != null) {
			String strClass = getPropertyValue(element, "class");
			String strFile = _wizardFileName.getFileNameFromClassString(strClass);
			_wizardFileName.setDefaultFileName(strFile);
		}
	}
}
/**
 * Returns the identification string of the plugin extension adapter.
 */
public String getAdapterID() {
	return _strAdapterID;
}
/**
 * Returns the extension point identifier for this script type.
 */
public String getExtensionPointID() {
	
	return _strExtensionPointID;
}
/**
 * Allows the preference page to modify a new or existing plugin extension.
 * This method is called when the add/modify wizard is completing.
 */
public void modifyPluginExtension(ExtensionModel extensionEntry, boolean bNewScript) {


	// Compute script file name
	//-------------------------
	String strScriptFilename = null;

	try{
		URL url = new URL( "file", null, -1, _wizardFileName.getFileName());
		strScriptFilename = url.toString();
	}
	catch( MalformedURLException ex ){
		strScriptFilename = _wizardFileName.getFileName();
	}

	// page
	//-----
	ConfigurationElementModel[] elementsExtension = new ConfigurationElementModel[1];

	elementsExtension[0] = createConfigurationElement(extensionEntry, "page");

	ConfigurationPropertyModel[] properties = null;

	properties = new ConfigurationPropertyModel[3];

	properties[0] = createConfigurationProperty("id", getContiguousName());
	properties[1] = createConfigurationProperty("name", getScriptName());
	
	// Class attribute
	//----------------
	StringBuffer strbClass = new StringBuffer();
	strbClass.append(ScriptConstants.getPluginID());
	strbClass.append("/");
	strbClass.append(ScriptAdapterWorkbenchPreferencePage.class.getName());
	strbClass.append(":");

	strbClass.append("ui=");
	strbClass.append(strScriptFilename);
	strbClass.append(" language=");
	//	strbClass.append(_wizardLanguage.getScriptLanguage());
	strbClass.append("javascript");
	
	properties[2] = createConfigurationProperty("class", strbClass.toString());
	
	elementsExtension[0].setProperties( properties );
	
	// Hook it all together
	//---------------------
	extensionEntry.setSubElements(elementsExtension);
	
	return;
}
/**
 * Give the file extension to the filename page.
 * Give the filenames to the confirmation page from the other pages.
 */
public void syncScriptWizardPages() {
		
	// Set the file extension in the script file name
	//-----------------------------------------------
	_wizardFileName.setScriptFileExtension("xhtml");
		
	// Update confirmation page
	//-------------------------
//	_wizardConfirmation.removeAllFiles();

//	_wizardConfirmation.addFile(_wizardFileName.getFileName());

//	if (_wizardIconName.isDefaultIcon() == false) {
//		_wizardConfirmation.addFile(_wizardIconName.getIconName());
//	}
}
}
