package org.eclipse.scripting.internal.views;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 * This class is not used at this time.
 * Displays a confirmation page with a hierarchical tree that has
 * the script solution, the project, and the files.
 */
import java.util.Vector;

import org.eclipse.jface.wizard.Wizard;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.scripting.ScriptAbstractPreferencePage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Tree;
import org.eclipse.swt.widgets.TreeItem;

public class ScriptDevelopmentWizardPageConfirmation extends WizardPage
{
	protected Wizard _wizard       = null;
	protected Tree   _treeSolution = null;

	protected ScriptAbstractPreferencePage _preferencePage = null;

	protected Vector _vectorFilenames = new Vector();
/**
 */
public ScriptDevelopmentWizardPageConfirmation( ScriptAbstractPreferencePage preferencePage, Wizard wizard, String strName )
{
	super( strName );
	setTitle( strName );
	setDescription( "The container and files shown below will be created" );

	_preferencePage = preferencePage;
	_wizard     = wizard;

	setPageComplete( false );
}
/**
 */
public void addFile(String strFilename) {
	if( strFilename != null )
	{
		_vectorFilenames.addElement( strFilename );
	}
}
/**
 */
public void createControl( Composite compositeParent )
{
	// Content
	//--------
	Composite compositeContent = new Composite( compositeParent, SWT.NULL );

	GridLayout layout= new GridLayout();
	compositeContent.setLayout( layout );
	
	GridData gridData = new GridData();
	gridData.horizontalAlignment = GridData.FILL;
	gridData.verticalAlignment   = GridData.FILL;
	gridData.grabExcessHorizontalSpace = true;
	gridData.grabExcessVerticalSpace   = true;
	compositeContent.setLayoutData( gridData );
	
	// Tree
	//-----
	_treeSolution = new Tree( compositeContent, SWT.BORDER );
//	_treeSolution.setEnabled( false );

	gridData = new GridData();
	gridData.horizontalAlignment = GridData.FILL;
	gridData.verticalAlignment   = GridData.FILL;
	gridData.grabExcessHorizontalSpace = true;
	gridData.grabExcessVerticalSpace   = true;
	_treeSolution.setLayoutData( gridData );
	
	setControl( compositeContent );
}
/**
 */
public void removeAllFiles() {
	_vectorFilenames.removeAllElements();
}
/**
 */
public void setVisible(boolean bVisible) {
	
	// Enable/disable the finish button
	//---------------------------------
	setPageComplete(bVisible);

	if (bVisible == true) {
	    
		// Remove all existing tree items
		//-------------------------------
		_treeSolution.removeAll();

		// Solution
		//---------
		TreeItem treeItemSolution = new TreeItem(_treeSolution, 0);
		treeItemSolution.setText("Scripts");

		// Project
		//--------
		TreeItem treeItemProject = new TreeItem(treeItemSolution, 0);
		treeItemProject.setText(_preferencePage.getContiguousName());

		// Script project filename
		//------------------------
		TreeItem treeItemFile = null;

		for (int i = 0; i < _vectorFilenames.size(); ++i) {
			if (_vectorFilenames.elementAt(i) != null) {
				treeItemFile = new TreeItem(treeItemProject, 0);
				treeItemFile.setText((String) _vectorFilenames.elementAt(i));
			}
		}

		// Expand all
		//-----------	
		treeItemSolution.setExpanded(true);
		treeItemProject.setExpanded(true);

		// Highlight the project
		//----------------------
		TreeItem[] treeItems = new TreeItem[1];
		treeItems[0] = treeItemProject;
		_treeSolution.setSelection(treeItems);
	}

	// Call the super class, otherwise, nothing happens
	//-------------------------------------------------
	super.setVisible( bVisible );
}
}
