package org.eclipse.scripting.internal.views;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import org.eclipse.jface.wizard.Wizard;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.scripting.ScriptAbstractPreferencePage;
import org.eclipse.scripting.internal.ScriptStrings;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

public class ScriptDevelopmentWizardPageResourceType extends WizardPage
{
	protected Wizard     _wizard                   = null;
	protected Text       _textFileExtension        = null;
	protected String     _strFileExtension         = null;
/**
 */
public ScriptDevelopmentWizardPageResourceType( ScriptAbstractPreferencePage preferencePage, Wizard wizard, String strName )
{
	super( strName );
	_wizard = wizard;
	setTitle( strName );
	setDescription(ScriptStrings.getString("S_Specify_a_file_extension"));
}
/**
 */
public void createControl( Composite compositeParent )
{
	// Content
	//--------
	Composite compositeContent = new Composite(compositeParent, SWT.NULL);
	GridLayout gridLayout = new GridLayout();
	gridLayout.numColumns = 2;
	compositeContent.setLayout(gridLayout);
	
	GridData gridData = new GridData();
	gridData.verticalAlignment = GridData.FILL;
	gridData.horizontalAlignment = GridData.FILL;
	compositeContent.setLayoutData(gridData);

	Label label = new Label( compositeContent, SWT.NULL );
	label.setText( ScriptStrings.getString( "S_File_extension" ) + ":" );
	
	_textFileExtension = new Text( compositeContent, SWT.BORDER );
	gridData = new GridData();
	gridData.verticalAlignment = GridData.FILL;
	gridData.horizontalAlignment = GridData.FILL;
	gridData.grabExcessHorizontalSpace = true;
	_textFileExtension.setLayoutData(gridData);

	// Initialize
	//-----------
	if (_strFileExtension != null) {
		_textFileExtension.setText(_strFileExtension);
	}
	
	setControl( compositeContent );
}
protected String getSelectedResourceType() {
	return _textFileExtension.getText();
}
/**
 */
public void setFileExtension(String strFileExtension) {
	_strFileExtension = strFileExtension;
}
}
