package org.eclipse.scripting.internal.views;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import org.eclipse.scripting.internal.uirenderer.ScriptViewport;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;

public class ScriptUIEditorDesigner extends Composite {
//	protected ScriptUIEditorDesignerPalettePanel _panel  = null;
	protected ScriptUIEditorDesignerCanvas       _canvas = null;
	protected ScriptUIEditor                     _editor = null;
/**
 */
public ScriptUIEditorDesigner( Composite compositeParent, ScriptUIEditor editor ) {
	super( compositeParent, SWT.NULL );

	_editor = editor;
	
	GridLayout layout = new GridLayout();
	layout.numColumns   = 2;
	layout.verticalSpacing = 0;
	layout.marginHeight = 0; 
	layout.marginWidth  = 0;
	setLayout( layout );
	
	GridData gridData = new GridData();
	gridData.horizontalAlignment = GridData.FILL;
	gridData.verticalAlignment   = GridData.FILL;
	gridData.grabExcessHorizontalSpace = true;
	gridData.grabExcessVerticalSpace   = true;
	setLayoutData( gridData );

//	_panel  = new ScriptUIEditorDesignerPalettePanel( this, this );

	// Composite with scroll bars for containing rendered UI
	//------------------------------------------------------
	gridData = new GridData();
	gridData.horizontalAlignment = GridData.FILL;
	gridData.grabExcessHorizontalSpace = true;
	gridData.verticalAlignment = GridData.FILL;
	gridData.grabExcessVerticalSpace = true;

	ScriptViewport viewport = new ScriptViewport(this, SWT.H_SCROLL | SWT.V_SCROLL | SWT.BORDER, gridData);

	_canvas = new ScriptUIEditorDesignerCanvas( viewport, this );	
}
}
