package org.eclipse.scripting.internal.views;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */



import org.eclipse.jface.text.IDocument;
import org.eclipse.jface.text.IDocumentPartitioner;
import org.eclipse.jface.text.rules.RuleBasedPartitioner;
import org.eclipse.jface.text.rules.RuleBasedScanner;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.ui.editors.text.FileDocumentProvider;
import org.eclipse.ui.texteditor.IDocumentProvider;

public class ScriptUIEditorEnvironment {
	
	private static IDocumentProvider fgDocumentProvider;
	private static ScriptUIEditorColorProvider fgColorProvider;
	private static ScriptUIEditorCodeScanner fgCodeScanner;
	private static ScriptUIEditorDocScanner fgDocScanner;
	private static ScriptUIEditorPartitionScanner fgPartitionScanner;

	private static int fgRefCount= 0;
	
	public static void connect(Object client) {
		if ( ++fgRefCount == 1) {
			fgDocumentProvider= new ScriptUIEditorDocumentProvider();
			fgColorProvider= new ScriptUIEditorColorProvider();
			fgCodeScanner= new ScriptUIEditorCodeScanner(fgColorProvider);
//			fgDocScanner= new ScriptUIEditorDocScanner(fgColorProvider);
			fgPartitionScanner= new ScriptUIEditorPartitionScanner();
		}
	}
	public static RuleBasedPartitioner createScriptUIEditorPartitioner() {
		String[] types= new String[] {
			ScriptUIEditorPartitionScanner.JAVA_DOC,
			ScriptUIEditorPartitionScanner.JAVA_MULTILINE_COMMENT
		};
		
		return new RuleBasedPartitioner(getScriptUIEditorPartionScanner(), types);
	}
	public static void disconnect(Object client) {
		if ( --fgRefCount == 0) {
			fgDocumentProvider= null;
			fgCodeScanner= null;
			fgDocScanner= null;
			fgPartitionScanner= new ScriptUIEditorPartitionScanner();
			fgColorProvider.dispose();
			fgColorProvider= null;
		}
	}
	public static RuleBasedScanner getScriptUIEditorCodeScanner() {
		return fgCodeScanner;
	}
	public static ScriptUIEditorColorProvider getScriptUIEditorColorProvider() {
		return fgColorProvider;
	}
	public static RuleBasedScanner getScriptUIEditorDocScanner() {
		return fgDocScanner;
	}
	public static IDocumentProvider getScriptUIEditorDocumentProvider() {
		return fgDocumentProvider;
	}
	public static RuleBasedScanner getScriptUIEditorPartionScanner() {
		return fgPartitionScanner;
	}
}
