package org.eclipse.scripting.internal.views;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 * Provides label and image for tree viewer in outline page
 */
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.scripting.internal.ScriptPlugin;
import org.eclipse.swt.graphics.Image;

public class ScriptUIEditorLabelProvider extends LabelProvider {

	protected static final String _strImagePath = "icons/full/obj16/";
	
	protected Image _imageBody        = null;
	protected Image _imageBreak       = null;
	protected Image _imageButton      = null;
	protected Image _imageCheckbox    = null;
	protected Image _imageCombobox    = null;
	protected Image _imageComment     = null;
	protected Image _imageForm        = null;
	protected Image _imageFieldset    = null;
	protected Image _imageHead        = null;
	protected Image _imageHtml        = null;
	protected Image _imageHorzrule    = null;
	protected Image _imageImage       = null;
	protected Image _imageLabel       = null;
	protected Image _imageListbox     = null;
	protected Image _imageMeta        = null;
	protected Image _imageRadioButton = null;
	protected Image _imageScript      = null;
	protected Image _imageTable       = null;
	protected Image _imageTableData   = null;
	protected Image _imageTableRow    = null;
	protected Image _imageTextArea    = null;
	protected Image _imageTextField   = null;
/**
 */
public ScriptUIEditorLabelProvider() {
	super();

	// Obtain all images
	//------------------
	_imageBody        = loadImage( "body_obj.gif" );
	_imageBreak       = loadImage( "break_obj.gif" );
	_imageButton      = loadImage( "button_obj.gif" );
	_imageCheckbox    = loadImage( "checkbox_obj.gif" );
	_imageCombobox    = loadImage( "combobox_obj.gif" );
	_imageComment     = loadImage( "comment_obj.gif" );
	_imageFieldset    = loadImage( "fieldset_obj.gif" );
	_imageForm        = loadImage( "form_obj.gif" );
	_imageHead        = loadImage( "head_obj.gif" );
	_imageHtml        = loadImage( "html_obj.gif" );
	_imageHorzrule    = loadImage( "horzrule_obj.gif" );
	_imageImage       = loadImage( "image_obj.gif" );
	_imageLabel       = loadImage( "label_obj.gif" );
	_imageListbox     = loadImage( "listbox_obj.gif" );
	_imageMeta        = loadImage( "meta_obj.gif" );
	_imageRadioButton = loadImage( "radiobutton_obj.gif" );
	_imageScript      = loadImage( "script_obj.gif" );
	_imageTable       = loadImage( "table_obj.gif" );
	_imageTableData   = loadImage( "tabledata_obj.gif" );
	_imageTableRow    = loadImage( "tablerow_obj.gif" );
	_imageTextArea    = loadImage( "textarea_obj.gif" );
	_imageTextField   = loadImage( "textfield_obj.gif" );
}
/**
 */
public Image getImage( Object element) {

	if( element instanceof ScriptUIEditorModelElement )
	{
		switch( ((ScriptUIEditorModelElement)element)._iType )
		{
			case ScriptUIEditor.BODY:      return _imageBody;
			case ScriptUIEditor.BREAK:     return _imageBreak;
			case ScriptUIEditor.BUTTON:    return _imageButton;
			case ScriptUIEditor.CHECK:     return _imageCheckbox;
			case ScriptUIEditor.COMBO:     return _imageCombobox;
			case ScriptUIEditor.COMMENT:   return _imageComment;
			case ScriptUIEditor.FORM:      return _imageForm;
			case ScriptUIEditor.FIELDSET:  return _imageFieldset;
			case ScriptUIEditor.HEAD:      return _imageHead;
			case ScriptUIEditor.HORZRULE:  return _imageHorzrule;
			case ScriptUIEditor.HTML:      return _imageHtml;    
			case ScriptUIEditor.IMG:       return _imageImage;
			case ScriptUIEditor.LABEL:     return _imageLabel;
			case ScriptUIEditor.LIST:      return _imageListbox;
			case ScriptUIEditor.META:      return _imageMeta;
			case ScriptUIEditor.RADIO:     return _imageRadioButton;
			case ScriptUIEditor.SCRIPT:    return _imageScript;
			case ScriptUIEditor.TABLE:     return _imageTable;
			case ScriptUIEditor.TABLEDATA: return _imageTableData;
			case ScriptUIEditor.TABLEROW:  return _imageTableRow;
			case ScriptUIEditor.TEXTAREA:  return _imageTextArea;
			case ScriptUIEditor.TEXTFIELD: return _imageTextField;
		}
	}
	return null;
}
/**
 */
public Image loadImage(String strImageName) {

	ImageDescriptor descriptor = ScriptPlugin.getImageDescriptor(_strImagePath + strImageName);
	if (descriptor != null) {
		return descriptor.createImage();
	}
	return null;
}
}
