package org.eclipse.scripting.internal.views;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.ui.*;
import org.eclipse.ui.part.*;
import org.eclipse.ui.part.*;
import org.eclipse.swt.SWT;

/**
 */
public class ScriptUIEditorLayout implements IPerspectiveFactory {
/**
 * Constructs a new Default layout engine.
 */
public ScriptUIEditorLayout() {
	super();
}
/**
 * Answers a single window layout for a perspective.
 */
public void createInitialLayout(IPageLayout layout)
{
	// Editor
	//-------
	IFolderLayout folder1 = layout.createFolder("editornavigator", IPageLayout.LEFT, (float)0.20, layout.getEditorArea() );

	
	// Navigator
	//----------
	folder1.addView(IPageLayout.ID_RES_NAV);
	
	// Outline
	//--------
	IFolderLayout folder2 = layout.createFolder("outline", IPageLayout.BOTTOM, (float)0.40, "editornavigator");
	folder2.addView(IPageLayout.ID_OUTLINE);
	
	// Property Sheet
	//---------------
	IFolderLayout folder3 = layout.createFolder("propertysheet", IPageLayout.BOTTOM, (float)0.70, layout.getEditorArea() );
	folder3.addView("org.eclipse.scripting.internal.views.scriptconsole");
	folder3.addView(IPageLayout.ID_PROP_SHEET);
}
/**
 * Returns the visible set of action bars for the perspective.
 */
public String[] getVisibleActionSets() {
	return new String[0];
}
}
