package org.eclipse.scripting.internal.views;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 * This is a property sheet that attempts to keep synchronization with the
 * outline page's property sheet.  When the editor obtains focus, the
 * selectionChanged method is called.
 */
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.views.properties.PropertySheetPage;

public class ScriptUIEditorPropertySheetPage extends PropertySheetPage {
	
	protected ScriptUIEditor _editor = null;
/**
 * ScriptUIEditorPropertySheetPage constructor comment.
 */
public ScriptUIEditorPropertySheetPage( ScriptUIEditor editor ) {
	super();

	_editor = editor;
}
/**
 * This is called whenever the editor obtains focus.  The selection
 * of the outline page is obtained, and is set in this viewer.
 */
public void selectionChanged(IWorkbenchPart part, ISelection sel) {

	if (getControl() != null && getControl().isDisposed() == false) {
		super.selectionChanged(part, sel);
	}
}
}
