package org.eclipse.scripting.internal.views;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import java.util.*;
import java.util.Iterator;
/*
 * Provides content to a tree viewer.
 */
import org.eclipse.jface.viewers.ITreeContentProvider;
import org.eclipse.jface.viewers.Viewer;
import java.util.Enumeration;

public class ScriptUIEditorTreeContentProvider implements ITreeContentProvider
{
/**
 */
public ScriptUIEditorTreeContentProvider() {
	super();
}
		public void dispose() {}
public Object[] getChildren(Object element)
{
	if (element instanceof ScriptUIEditorModelElement)
	{
		Vector v = new Vector();
		Iterator i = ((ScriptUIEditorModelElement) element).getChildren();
		while (i.hasNext()) {
			v.addElement(i.next());
		}
		return v.toArray();
	}
	else
	{
		return null;
	}
}
public Object[] getElements(Object element)
{
	return getChildren(element);
}
public Object getParent(Object element)
{
	if (element instanceof ScriptUIEditorModelElement)
	{
		return ((ScriptUIEditorModelElement) element).getParent();
	}
	else
	{
		return null;
	}
}
public boolean hasChildren(Object element)
{
	if (element instanceof ScriptUIEditorModelElement)
	{
		return ((ScriptUIEditorModelElement) element).hasChildren();
	}
	else
	{
		return false;
	}
}
public void inputChanged(Viewer viewer, Object oldInput, Object newInput)
{
}
public boolean isDeleted(Object element)
{
	return false;
}
}
