package org.eclipse.scripting.internal.views;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 * 
 */
import org.eclipse.swt.dnd.*;
import org.eclipse.jface.viewers.*;

public class ScriptUIEditorTreeViewerDragAdapter extends DragSourceAdapter {
	protected TreeViewer _treeViewer = null;
/**
 */
public ScriptUIEditorTreeViewerDragAdapter(TreeViewer treeViewer) {
	super();

	_treeViewer = treeViewer;
}
/**
 */
public void dragSetData(DragSourceEvent event) {

	ISelection s = _treeViewer.getSelection();
	
	if (!(s instanceof IStructuredSelection) || s.isEmpty())
		return;

	// Only get the first element
	//--------------------------- 
	IStructuredSelection selection = (IStructuredSelection) s;

	if (selection.size() > 0) {
		Object[] selectedObjects = ((IStructuredSelection)selection).toArray();
		Object obj = selectedObjects[0];
		if (ScriptUIEditorIntegerTransfer.getInstance().isSupportedType(event.dataType)) {
			event.data = new Integer( obj.hashCode() );
			return;
		}
	}
}
}
