package org.eclipse.scripting.internal.views;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import org.eclipse.core.resources.IMarker;
import org.eclipse.core.runtime.IConfigurationElement;
import org.eclipse.core.runtime.IExecutableExtension;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorSite;
import org.eclipse.ui.IFileEditorInput;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.part.EditorPart;

public class ScriptUIPreviewEditor extends EditorPart implements IExecutableExtension
{
	private ScriptUIPreviewEditorContent _preview                 = null;
	private String                       _strPresentationFilename = null;

	private IConfigurationElement        _configElement           = null;
	private String                       _strName                 = null;
	private Object                       _objData                 = null;
/**
 */
public ScriptUIPreviewEditor()
{
	super();
}
/**
 */
public void createPartControl(Composite compositeParent) {
	
	// Create the viewer content
	//--------------------------
	_preview = new ScriptUIPreviewEditorContent( compositeParent );
	_preview.setInitializationData( _configElement, _strName, _objData );
	_preview.setInput( getEditorInput() );
	_preview.run();

	return;
}
/**
 */
public void doSave(org.eclipse.core.runtime.IProgressMonitor monitor) {}
/**
 */
public void doSaveAs() {}
/**
 */
public void gotoMarker(org.eclipse.core.resources.IMarker marker) {}
/**
 */
public void init(IEditorSite site, IEditorInput input) throws PartInitException {
	
	// Check input
	//------------	
	if (!(input instanceof IFileEditorInput))
		throw new PartInitException("Invalid Input: " + input + ".  Input must implement IFileEditorInput");

	// Save input
	//-----------
	setSite(site);
	setInput(input);
}
/**
 */
public boolean isDirty() {
	return false;
}
/**
 */
public boolean isEditable() {
	return false;
}
/**
 */
public boolean isSaveAsAllowed() {
	return false;
}
/**
 * Returns <code>true</code> if the contents of the target have changed since
 * the last save.
 */
public boolean isSaveNeeded() {
	return false;
}
/**
 * Asks this part to take focus within the workbench.
 */
public void setFocus() {}
/**
 */
public void setInitializationData( IConfigurationElement configElement,
								   String                strName,
								   Object                objData)
{
	super.setInitializationData( configElement, strName, objData );

	_configElement = configElement;
	_strName       = strName;
	_objData       = objData;
}
}
