package org.eclipse.vcm.internal.core.ccvs;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import java.util.*;
import java.io.*;
import org.eclipse.core.runtime.*;
import org.eclipse.core.resources.*;
import org.eclipse.vcm.internal.core.base.*;
import org.eclipse.vcm.internal.core.VCMException;
import org.eclipse.vcm.internal.core.adapter.*;

public class CVSResourceTree implements IServerResourceTree {

	CVSResource resource;
	Map subtrees = null;

public CVSResourceTree(CVSResource resource) {
	this.resource = resource;
}
public Map getChildren() {
	if (subtrees == null) {
		subtrees = new HashMap(11);
	}
	return subtrees;
}
public String[] getChildrenNames() {
	return (String[]) getChildren().keySet().toArray(new String[0]);
}
public IServerResourceTree getChildTree(String name) {
	IServerResourceTree result = (IServerResourceTree) getChildren().get(name);
	if (result == null)
		result = new CVSResourceTree(null);
	return result;
}
public IServerResource getResource() {
	return resource;
}
public String toString() {
	return "CVSResourceTree: " + resource;
}
}
