package org.eclipse.vcm.internal.core.ccvs;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import org.eclipse.vcm.internal.core.adapter.IServerResource;
import java.util.Comparator;
import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.IPath;

public class RevisionComparator implements Comparator {
public int compare(Object arg1, Object arg2) {
	IServerResource resource1 = (IServerResource) arg1;
	IServerResource resource2 = (IServerResource) arg2;

	String revision1 = ((StateId) resource1.getStateId()).getId();
	String revision2 = ((StateId) resource2.getStateId()).getId();

	String branch1 = revision1.substring(0, revision1.lastIndexOf('.'));
	String branch2 = revision2.substring(0, revision2.lastIndexOf('.'));

	Integer number1 = Integer.valueOf(revision1.substring(revision1.lastIndexOf('.') + 1));
	Integer number2 = Integer.valueOf(revision2.substring(revision2.lastIndexOf('.') + 1));

	if (branch1.equals(branch2)) {
		if (number1.intValue() == number2.intValue())
			return 0;
		else {
			if (number1.intValue() <= number2.intValue())
				return 1;
			else
				return -1;
		}
	} else {
		if (branch1.length() <= branch2.length())
			return -1;
		else
			return 1;
	}
}
public boolean equals(Object other) {
	return other instanceof RevisionComparator;
}
}
