package org.eclipse.vcm.internal.core.ccvs;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import org.eclipse.core.runtime.*;
import org.eclipse.core.resources.*;
import org.eclipse.core.internal.resources.*;
import java.io.*;

public class Util {
public static boolean arrayIncludes(Object[] array, Object object) {
	for (int i = 0; i < array.length; i++) {
		if (equals(array[i], object))
			return true;
	}
	return false;
}
public static boolean arrayIsSubset(Object[] subset, Object[] set) {
	for (int i = 0; i < subset.length; i++) {
		if (!arrayIncludes(set, subset[i])) {
			return false;
		}
	}
	return true;
}
public static boolean equals(Object first, Object second) {
	if (first == null || second == null)
		return first == second;
	return first.equals(second);
}
public static int hashCode(Object obj) {
	if (obj == null)
		return 0;
	return obj.hashCode();
}
public static void logError(String message, Throwable throwable) {
	CVSPlugin.getInstance().getLog().log(new CVSStatus(CVSStatus.ERROR, null, message, throwable));
}
public static byte[] retrieveBytes(InputStream is) throws IOException {
	ByteArrayOutputStream os = new ByteArrayOutputStream();
	int c;
	while ((c = is.read()) != -1) {
		os.write(c);
	}
	return os.toByteArray();
}
}
