package org.eclipse.vcm.internal.core.ccvs;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IPath;
import org.eclipse.core.runtime.PlatformObject;
import org.eclipse.vcm.internal.core.base.*;
import java.util.*;

abstract class VersionHistory extends PlatformObject implements IVersionHistory {
	List versions;
	Map predecessorMap;
	Map successorMap;
VersionHistory(List versions, Map predecessorMap, Map successorMap) {
	this.versions = versions;
	this.predecessorMap = predecessorMap;
	this.successorMap = successorMap;
}
public IResourceEdition[] getPredecessors(IResourceEdition version) {
	IResourceEdition[] result = (IResourceEdition[]) predecessorMap.get(version);
	if (result == null)
		result = new IResourceEdition[0];
	return result;
}
public IResourceEdition[] getSuccessors(IResourceEdition version) {
	IResourceEdition[] result = (IResourceEdition[]) successorMap.get(version);
	if (result == null)
		result = new IResourceEdition[0];
	return result;
}
public IResourceEdition[] getVersions() {
	return (IResourceEdition[]) versions.toArray(new IResourceEdition[versions.size()]);
}
}
