package org.eclipse.vcm.internal.core.ccvs;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import java.util.Collection;

import org.eclipse.vcm.internal.core.StateInfo;
import org.eclipse.vcm.internal.core.adapter.IServerResource;
import org.eclipse.vcm.internal.core.adapter.IServerWorkspace;
import org.eclipse.vcm.internal.core.adapter.IVersionInfo;
import org.eclipse.vcm.internal.core.base.IStateInfo;

public class VersionInfo implements IVersionInfo {

	CVSResource serverResource;
	StateInfo	info;
	Collection	predecessors;
	Context context;
	
	VersionInfo(CVSResource serverResource, Context context, StateInfo info, Collection predecessors) {
		this.serverResource = serverResource;
		this.context = context;
		this.info = info;
		this.predecessors = predecessors;
	}
	VersionInfo(CVSResource serverResource, StateInfo info, Collection predecessors) {
		this(serverResource, null, info, predecessors);
	}
	/**
	 * @see IVersionInfo#getPredecessors(IServerResource)
	 */
	public IServerResource[] getPredecessors() {
		return (IServerResource[])predecessors.toArray(new IServerResource[0]);
	}
	/**
	 * @see IVersionInfo#getServerWorkspace()
	 */
	public IServerWorkspace getServerWorkspace() {
		return context;
	}
	/**
	 * @see IVersionInfo#getStateInfos()
	 */
	public IStateInfo getStateInfo() {
		return info;
	}
	/**
	 * @see IVersionInfo#getVersions()
	 */
	public IServerResource getVersion() {
		return serverResource;
	}
}
