package org.eclipse.vcm.internal.core.ccvs.client;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import org.eclipse.core.runtime.IStatus;
import org.eclipse.vcm.internal.core.ccvs.CVSPlugin;

public class CVSAuthenticationException extends CVSException {

/**
 * Creates a new <code>CVSAuthenticationException</code>
 * 
 * @param cvsroot the cvs server.
 * @param detail  a message that describes the exception in detail.
 */
public CVSAuthenticationException(String cvsroot, String detail) {
	super(CVSPlugin.getResourceString("CVSAuthenticationException.detail", new Object[] { detail }), null, null);
}
	/**
	 * Creates a new <code>CVSAuthenticationException</code>
	 * 
	 * @param cvsroot the cvs server.
	 * @param throwable the exception that has caused the authentication
	 *  failure.
	 */
	public CVSAuthenticationException(String cvsroot, Throwable throwable) {
		super(CVSPlugin.getResourceString("CVSAuthenticationException.normal",
			new Object[] {cvsroot}), null, null);
	}
/**
 * Creates a new <code>CVSAuthenticationException</code>
 * 
 * @param status the status result describing this exception.
 */
public CVSAuthenticationException(IStatus status) {
	super(status);
}
}
