package org.eclipse.vcm.internal.core.ccvs.client;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import org.eclipse.core.runtime.IPath;
import org.eclipse.vcm.internal.core.ccvs.CVSPlugin;

public class CVSFileException extends CVSException {

	/**
	 * Creates a new <code>CVSFileException</code>.
	 *
	 * @param message a message describing the exception in detail.
	 * @param path    the file's path that has caused the exception.
	 */
	public CVSFileException(String message, IPath path) {
		super(message, path, null);
	}
	/**
	 * Creates a new <code>CVSFileException</code>.
	 *
	 * @param path      the file's path that has caused the exception.
	 * @param throwable the caught exception that has caused the communication
	 *  exception.
	 */
	public CVSFileException(IPath path, Throwable throwable) {
		super(CVSPlugin.getResourceString("CVSFileException.io"), path, throwable);
	}
}
