package org.eclipse.vcm.internal.core.ccvs.client;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import java.io.File;
import java.util.*;
import org.eclipse.core.runtime.IPath;

/**
 * Encapsulates information about a response received from the server.
 */
public class ResponseDetail {
	
	/**
	 * Type of information contained in this response detail
	 */
	private int type;
	
	/**
	 * Directory context for response (relative to command context)
	 */
	private String directory;
	
	/**
	 * Response entry line
	 */
	private String entryLine;
	
	public static final int ENTRY = 1;
	public static final int STICKY = 2;
	
	public ResponseDetail(int type, String directory, String entryLine)
	{
		this.type = type;
		this.directory = directory;
		this.entryLine = entryLine;
	}
	String getDirectory()
	{
		return directory;
	}
	String getEntryLine()
	{
		return entryLine;
	}
	int getType()
	{
		return type;
	}
}
