package org.eclipse.vcm.internal.core.ccvs.client;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import java.io.InputStream;

/**
 * Handles a response from the server.
 */
public abstract class ResponseHandler {

	/**
	 * Call when a request has finished. The boolean <code>successful</code> 
	 * indicates whether the server has sent <code>ok</code> or <code>error</code> 
	 * as the return code reponse.
	 */
	protected void finished(IResponseContext context, boolean successful) {
	}
	/**
	 * Returns the responses type. This is the name of
	 * the CVS response in <code>String</code> form.
	 */
	public abstract String getName();
	/**
	 * Handle the given response. Returns a result of the response
	 * or <code>null</code>, if the response doesn't have one.
	 */
	protected abstract Object handle(IResponseContext context) throws CVSException;
}
