package org.eclipse.vcm.internal.core.ccvs.requests;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import org.eclipse.core.runtime.IPath;
import org.eclipse.core.runtime.Path;
import org.eclipse.vcm.internal.core.ccvs.client.CVSException;
import org.eclipse.vcm.internal.core.ccvs.client.IRequestContext;
import org.eclipse.vcm.internal.core.ccvs.client.IRequestNames;
import org.eclipse.vcm.internal.core.ccvs.client.Request;
import org.eclipse.vcm.internal.core.ccvs.utils.PathUtil;

public class Add extends Request {

	private IPath contextPath;
	IPath[] directories;
	IEntryIterator existingParentsIterator;

public Add(IPath repositoryRelativeContext, IEntryIterator contextRelativeExistingParents, IPath[] contextRelativeDirectoriesToBeAdded) {
	super(null, null);
	existingParentsIterator = contextRelativeExistingParents;
	this.contextPath = repositoryRelativeContext;
	this.directories = contextRelativeDirectoriesToBeAdded;
}
protected void finished(IRequestContext context, boolean failed) {
}
protected String getName() {
	return IRequestNames.add;
}
protected void setUp(IRequestContext context) throws CVSException {
	sendGlobalOptions(context);
	sendArguments(context);
	IPath dir;
	while ((dir = existingParentsIterator.nextDirectory()) != null) {
		context.sendDirectory(dir, contextPath.append(dir));
	}
	context.sendDirectory(Path.EMPTY, contextPath);
	for (int i = 0; i < directories.length; i++) {
		context.sendArgument(PathUtil.toString(directories[i]));
	}
}
}
