package org.eclipse.vcm.internal.core.ccvs.requests;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import java.io.*;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.vcm.internal.core.ccvs.client.ResponseHandler;
import org.eclipse.vcm.internal.core.ccvs.client.IResponseContext;
import org.eclipse.vcm.internal.core.ccvs.client.CVSException;
import org.eclipse.vcm.internal.core.ccvs.CVSPlugin;

class ErrorMessageFileOutputHandler extends ResponseHandler {

	public static final String NAME = "E";
	protected OutputStream out;

	ErrorMessageFileOutputHandler(OutputStream out) throws CVSException {
		this.out = out;
	}
	public String getName() {
		return NAME;
	}
	protected Object handle(IResponseContext context) throws CVSException {
		try {
			String line = context.readLine();
			if (line != null) {
				out.write(line.getBytes());
				out.write('\n');
			}
		} catch (IOException e) {
			throw new CVSException(CVSPlugin.getResourceString("ErrorMessageFileOutputHandler.writingError"), null, e);
		}
		return null;
	}
}
