package org.eclipse.vcm.internal.core.ccvs.requests;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import java.util.Date;
import org.eclipse.core.runtime.Path;
import org.eclipse.vcm.internal.core.ccvs.client.*;
import org.eclipse.vcm.internal.core.ccvs.client.ResponseHandler;
import org.eclipse.vcm.internal.core.ccvs.utils.DateUtil;

class HistoryMessageHandler extends ResponseHandler {

	/** The response key */
	public static final String NAME = "M";
	
	IHistoryListener historyListener;

public HistoryMessageHandler(IHistoryListener historyListener) {
	this.historyListener = historyListener;
}
	/**
	 * @see ResponseHandler#getName()
	 */
	public String getName() {
		return NAME;
	}
/**
 * Handle the response. This response sends the message to the
 * progress monitor using <code>IProgressMonitor.subTask(Strin)
 * </code>.
 */
protected Object handle(IResponseContext context) throws CVSException {
	String line = context.readLine();
	int openBracketIndex = line.indexOf('[');
	if (openBracketIndex != -1) {
		String tagName = line.substring(openBracketIndex + 1, line.indexOf(':', openBracketIndex));
		int dateEnd = line.indexOf(' ', 2);
		dateEnd = line.indexOf(' ', dateEnd + 1);
		dateEnd = line.indexOf(' ', dateEnd + 1);
		String date = line.substring(2, dateEnd);
		int authorEnd = line.indexOf(' ', dateEnd + 1);
		String author = line.substring(dateEnd + 1, authorEnd);
		String moduleName = line.substring(authorEnd + 1, openBracketIndex - 1).trim();
		historyListener.historyLine(moduleName, tagName, author, DateUtil.convertFromHistoryTime(date));
	}
	return null;
}
}
