package org.eclipse.vcm.internal.core.ccvs.requests;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import java.io.IOException;
import java.io.OutputStream;

import org.eclipse.vcm.internal.core.ccvs.CVSPlugin;
import org.eclipse.vcm.internal.core.ccvs.client.CVSException;
import org.eclipse.vcm.internal.core.ccvs.client.IResponseContext;
import org.eclipse.vcm.internal.core.ccvs.client.ResponseHandler;

class MessageFileOutputHandler extends ResponseHandler {

	/** The response key */
	public static final String NAME = "M";
	protected OutputStream out;

/**
 * Handle the response. This response sends the message to the
 * progress monitor using <code>IProgressMonitor.subTask(Strin)
 * </code>.
 */
MessageFileOutputHandler(OutputStream out) throws CVSException {
	this.out = out;
}
	/**
	 * @see ResponseHandler#getName()
	 */
	public String getName() {
		return NAME;
	}
/**
 * Handle the response. This response sends the message to the
 * progress monitor using <code>IProgressMonitor.subTask(Strin)
 * </code>.
 */
protected Object handle(IResponseContext context) throws CVSException {
	try {
		String line = context.readLine();
		if (line != null) {
			out.write(line.getBytes());
			out.write('\n');
		}
	} catch (IOException e) {
		throw new CVSException(CVSPlugin.getResourceString("MessageFileOutputHandler.writingError"), null, e);
	}
	return null;
}
}
