package org.eclipse.vcm.internal.core.ccvs.requests;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import org.eclipse.vcm.internal.core.Assert;
import org.eclipse.vcm.internal.core.ccvs.client.CVSException;
import org.eclipse.vcm.internal.core.ccvs.client.IRequestContext;
import org.eclipse.vcm.internal.core.ccvs.client.IRequestNames;
import org.eclipse.vcm.internal.core.ccvs.client.Request;
import org.eclipse.vcm.internal.core.ccvs.client.ResponseHandler;

public class RTag extends Request {


	String existingVersionName;
	private ResponseHandler handler;
	String moduleName;
	String newVersionName;
	private ResponseHandler oldHandler;

public RTag(String moduleName, String existingVersionName, String newVersionName, String[] args) {
	super(null, args);
	this.moduleName = moduleName;
	this.existingVersionName = existingVersionName;
	this.newVersionName = newVersionName;
	Assert.isNotNull(newVersionName);
	Assert.isNotNull(moduleName);
}
	protected void finished(IRequestContext context, boolean failed) {
		if (oldHandler == null)
			context.removeResponseHandler(handler.getName());
		else
			context.setResponseHandler(oldHandler);		
	}
	protected String getName() {
		return IRequestNames.rtag;
	}
protected void setUp(IRequestContext context) throws CVSException {
	sendGlobalOptions(context);
	sendArguments(context);

	// tags an existing revision which may also be a tag
	if (existingVersionName != null) {
		context.sendArgument("-r");
		context.sendArgument(existingVersionName);
	}

	// contextless command does not require to sent root directory
	context.sendArgument(newVersionName);
	context.sendArgument(moduleName);

	// RTag error handler can be used for tag also
	handler = new RTagErrorHandler();
	oldHandler = context.setResponseHandler(handler);
}
}
