package org.eclipse.vcm.internal.core.ccvs.requests;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import org.eclipse.core.runtime.Path;
import org.eclipse.vcm.internal.core.Assert;
import org.eclipse.vcm.internal.core.ccvs.client.CVSException;
import org.eclipse.vcm.internal.core.ccvs.client.IResponseContext;
import org.eclipse.vcm.internal.core.ccvs.client.ResponseHandler;

/**
 * Handles a valid request from the server.
 */
class RemoveEntryHandler extends ResponseHandler {
	public static final String NAME = "Remove-entry";
	
	private ICheckedInListener checkedInListener;

public RemoveEntryHandler(ICheckedInListener checkedInListener) {
	this.checkedInListener = checkedInListener;
	Assert.isNotNull(checkedInListener);
}
	public String getName() {
		return NAME;
	}
protected Object handle(IResponseContext context) throws CVSException {
	String localDirectory = context.readLine();
	if (localDirectory.equals("./"))
		localDirectory = ".";
	String repositoryFilename = context.readLine();

	checkedInListener.removed(new Path(repositoryFilename.substring(context.getRootDirectory().length() + 1)));

	return null;
}
}
