package org.eclipse.vcm.internal.core.ccvs.requests;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import org.eclipse.core.runtime.Path;
import org.eclipse.vcm.internal.core.ccvs.client.*;
import org.eclipse.vcm.internal.core.ccvs.CVSAdapter;
import org.eclipse.vcm.internal.core.ccvs.client.ResponseHandler;

class StatusErrorHandler extends ResponseHandler {

	public static final String NAME = "E";
	
	private static boolean isFolder = false;
	private IStatusListener statusListener;

public StatusErrorHandler(IStatusListener statusListener) {
	this.statusListener = statusListener;
}
	public String getName() {
		return NAME;
	}
protected Object handle(IResponseContext context) throws CVSException {
	String line = context.readLine();
	if (line.startsWith("cvs server: Examining")) {
		isFolder = true;
		return null;
	}
	if (isFolder && line.startsWith("cvs [server aborted]: could not chdir to")) {
		String folderPath = line.substring(41, line.indexOf(':', 42));
		// Pass null to listener indication that resource exists but does not a revision number
		if (statusListener != null)
			statusListener.fileStatus(new Path(folderPath).removeFirstSegments(1), CVSAdapter.FOLDER_REVISION);
		isFolder = false;
		return null;
	}
	context.addError(line);
	return null;
}
}
