package org.eclipse.vcm.internal.core.ccvs.requests;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import org.eclipse.core.runtime.IPath;
import org.eclipse.core.runtime.Path;
import org.eclipse.vcm.internal.core.ccvs.client.CVSException;
import org.eclipse.vcm.internal.core.ccvs.client.IResponseContext;
import org.eclipse.vcm.internal.core.ccvs.client.ResponseHandler;

class UpdateErrorHandler extends ResponseHandler {

	public static final String NAME = "E";
	
	IUpdateMessageListener updateMessageListener;

public UpdateErrorHandler(IUpdateMessageListener updateMessageListener) {
	this.updateMessageListener = updateMessageListener;
}
	public String getName() {
		return NAME;
	}
protected Object handle(IResponseContext context) throws CVSException {
	String line = context.readLine();
	if (line.startsWith("cvs server: Updating")) {
		if (updateMessageListener != null) { 
			IPath path = new Path(line.substring(21));
			updateMessageListener.directoryInformation(path, false);
		}
	} else {
		if (line.startsWith("cvs server: skipping directory")) {
			if (updateMessageListener != null) {
				IPath path = new Path(line.substring(31));
				updateMessageListener.directoryDoesNotExist(path);
			}
		} else {
			if (line.startsWith("cvs server: New directory")) {				
				if (updateMessageListener != null) {
					IPath path = new Path(line.substring(27, line.indexOf('\'', 27)));
					updateMessageListener.directoryInformation(path, true);
				}
			} else {
				if( !line.startsWith("cvs server: cannot open directory") &&
					!line.startsWith("cvs server: nothing known about")) {
					context.addError(line);
				}
			}
		}
	}
	return null;
}
}
