package org.eclipse.vcm.internal.core.ccvs.requests;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import org.eclipse.vcm.internal.core.ccvs.client.CVSException;
import org.eclipse.vcm.internal.core.ccvs.client.IResponseContext;
import org.eclipse.vcm.internal.core.ccvs.client.ResponseHandler;

class UpdateMessageHandler extends ResponseHandler {

	/** The response key */
	public static final String NAME = "M";
	
	IUpdateMessageListener updateMessageListener;

public UpdateMessageHandler(IUpdateMessageListener updateMessageListener) {
	this.updateMessageListener = updateMessageListener;
}
	/**
	 * @see ResponseHandler#getName()
	 */
	public String getName() {
		return NAME;
	}
/**
 * Handle the response. This response sends the message to the
 * progress monitor using <code>IProgressMonitor.subTask(Strin)
 * </code>.
 */
protected Object handle(IResponseContext context) throws CVSException {
	String line = context.readLine();
	if (updateMessageListener == null)
		return null;
	String path = line.substring(2);
	updateMessageListener.fileInformation(line.charAt(0), path);
	return null;
}
}
