package org.eclipse.vcm.internal.core.ccvs.ssh;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
import org.eclipse.core.runtime.IPluginDescriptor;
import org.eclipse.core.runtime.Plugin;
import java.util.ResourceBundle;
import java.util.MissingResourceException;
import java.text.MessageFormat;

public class SSHPlugin extends Plugin {

	private static ResourceBundle resourceBundle;
	/**
	 * Constructor for SSHPlugin
	 */
	public SSHPlugin(IPluginDescriptor d) {
		super(d);
		try {
			resourceBundle = ResourceBundle.getBundle("org.eclipse.vcm.internal.core.ccvs.ssh.SSHPluginResources");
		} catch (MissingResourceException e) {
			resourceBundle = null;
		}		
	}
	/**
	 * Gets a string from the resource bundle.
	 * We don't want to crash because of a missing String.
	 * Returns the key if not found.
	 */
	public static String getResourceString(String key) {
		try {
			return resourceBundle.getString(key);
		} catch (MissingResourceException e) {
			return key;
		} catch (NullPointerException e) {
			return "!" + key + "!";
		}			
	}
	/**
	 * Gets a string from the resource bundle and binds it
	 * with the given arguments. If the key is not found,
	 * return the key.
	 */
	public static String getResourceString(String key, Object[] args) {
		try {
			return MessageFormat.format(getResourceString(key), args);
		} catch (MissingResourceException e) {
			return key;
		} catch (NullPointerException e) {
			return "!" + key + "!";
		}
	}
}
