package org.eclipse.vcm.internal.core.ccvs.utils;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
 
import java.util.Enumeration;
import java.util.NoSuchElementException;

/**
 * An Enumeration that has no elements. Serves as a null object.
 */
public class EmptyEnumeration implements Enumeration {

	public static final EmptyEnumeration INSTANCE= new EmptyEnumeration();
	
	/**
	 * Always returns <code>false</code>.
	 */
	public boolean hasMoreElements() {
		return false;
	}
	/**
	 * Always throws an <code>NoSuchElementException</code>.
	 */
	public Object nextElement() {
		throw new NoSuchElementException();
	}
}
