package org.eclipse.vcm.internal.ui.ccvs;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

import org.eclipse.jface.action.Action;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.PlatformUI;

/**
 * Invoke the wizard to specify a new repository location.
 * This class is intended for use with help system.  
 * Only implementations of IAction are supported by the  
 * help system.
 * <p>
 * This class may be instantiated; it is not intended to be subclassed.
 * </p>
 */
public class NewRepositoryConnectionAction extends Action {
/**
 *	Create a new instance of this class
 */
public NewRepositoryConnectionAction() {
	super(WorkbenchCVSPlugin.getResourceString("new"));
}
/** (non-Javadoc)
 * Method declared on IAction.
 */
public void run() {
	IWorkbench workbench = PlatformUI.getWorkbench();
	NewRepositoryWizard wizard = new NewRepositoryWizard();
	wizard.setWindowTitle(WorkbenchCVSPlugin.getResourceString("new"));
	IWorkbenchWindow activeWindow = workbench.getActiveWorkbenchWindow();
	if (activeWindow == null) {
		return;
	}
	WizardDialog dialog = new WizardDialog(activeWindow.getShell(), wizard);
	dialog.setMinimumPageSize(550, 250);
	dialog.open();
}
}
