package org.eclipse.vcm.internal.ui.ccvs;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IViewActionDelegate;
import org.eclipse.ui.IViewPart;
/**
 * Action for connecting to a new ClearCase repository
 * from the repository view toolbar.
 */
public class RepositoryConnectionAction implements IViewActionDelegate {
	private Shell shell;
	/** (Non-javadoc)
	 * Method declared on IViewActionDelegate
	 */
	public void init(IViewPart part) {
		this.shell = part.getSite().getShell();
	}
	/** (Non-javadoc)
	 * Method declared on IActionDelegate.
	 */
	public void run(IAction action) {
		NewRepositoryWizard wizard = new NewRepositoryWizard();
		wizard.setWindowTitle(WorkbenchCVSPlugin.getResourceString("new"));
		WizardDialog dialog = new WizardDialog(shell, wizard);
		dialog.setMinimumPageSize(550, 250);
		dialog.open();
	}
	/** (Non-javadoc)
	 * Method declared on IActionDelegate.
	 */
	public void selectionChanged(IAction action, ISelection selection) {
	}
}
