package org.eclipse.scripting;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 * This interface is implemented by Wizards and Preferences
 * to indicate whether the "Cancel" button was pressed
 * during the dialog's onunload event.
 * <p>
 * This interface is primarily intended for use 
 * by developers who are exploiting the UI-rendering support in
 * this package as part of their workbench extension.
 * </p>
 * <p>
 * Clients may implement this interface.
 * </p>
 * <p>
 * <b>Note:</b> This class/interface is part of an interim API that is still under development and expected to
 * change significantly before reaching stability. It is being made available at this early stage to solicit feedback
 * from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken
 * (repeatedly) as the API evolves.
 * </p>
 *
 * @see Renderer
 * @see ScriptAdapterWorkbenchNewWizard
 * @see ScriptAdaptorWorkbenchPreferencePage
 */
public interface ICancel {
/**
 * Returns true if the cancel button has been pressed.
 *
 * @return <code>true</code> if the cancel button was pressed
 */
boolean isCancel();
}
