package org.eclipse.scripting;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 * This interface is implemented by Preference pages
 * to indicate whether the "Default" button as opposed to
 * the "Apply" button was pressed during a page's onsubmit event.
 * <p>
 * This interface is primarily intended for use 
 * by developers who are exploiting the UI-rendering support in
 * this package as part of their workbench extension.
 * </p>
 * <p>
 * Clients may implement this interface.
 * </p>
 * <p>
 * <b>Note:</b> This class/interface is part of an interim API that is still under development and expected to
 * change significantly before reaching stability. It is being made available at this early stage to solicit feedback
 * from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken
 * (repeatedly) as the API evolves.
 * </p>
 *
 * @see Renderer
 * @see ScriptAdaptorWorkbenchPreferencePage
 */
public interface IDefault {
/**
 * Returns true if the "Default" button was pressed.  Otherwise,
 * this method returns false.
 *
 * @return <code>true</code> if the default button was pressed
 */
boolean isDefault();
}
