package org.eclipse.swt.internal.win32;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved
 */

import org.eclipse.swt.internal.*;

public class OS {

	/* Load the SWT library */
	static {
		Callback.loadLibrary ();
	}

	/*
	* NOTE:  There is a bug in JVM 1.2 where loading 
	* a class with a large number of constants causes
	* a segment fault to occur sometime later after
	* the class is loaded.  The fix is to break the
	* class up into a hierarchy of classes that each
	* contain a smaller number of constants.  This
	* fix is not necessary at this time but is required
	* when all constants are uncommented.  We have not
	* done the research to determine the limit.
	*/

	/* OLE Constants */
	public static final int S_OK = 0;
	
	/* Charset Constants */
//	public static final int ANSI_CHARSET           = 0;
	public static final int DEFAULT_CHARSET        = 1;
//	public static final int SYMBOL_CHARSET         = 2;
//	public static final int SHIFTJIS_CHARSET       = 128;
//	public static final int HANGEUL_CHARSET        = 129;
//	public static final int GB2312_CHARSET         = 134;
//	public static final int CHINESEBIG5_CHARSET    = 136;
//	public static final int OEM_CHARSET            = 255;
//	public static final int JOHAB_CHARSET          = 130;
//	public static final int HEBREW_CHARSET         = 177;
//	public static final int ARABIC_CHARSET         = 178;
//	public static final int GREEK_CHARSET          = 161;
//	public static final int TURKISH_CHARSET        = 162;
//	public static final int VIETNAMESE_CHARSET     = 163;
//	public static final int THAI_CHARSET           = 222;
//	public static final int EASTEUROPE_CHARSET     = 238;
//	public static final int RUSSIAN_CHARSET        = 204;
//	public static final int MAC_CHARSET            = 77;
//	public static final int BALTIC_CHARSET         = 186;
	
	/* Locale Constants */
	public static final int LCID_SUPPORTED = 0x00000002;
	public static final int LOCALE_SISO3166CTRYNAME = 0x0000005A;
	public static final int LOCALE_SISO639LANGNAME = 0x00000059;
	public static final int LOCALE_IDEFAULTANSICODEPAGE = 0x00001004;
	
	/* Window Constants */
	public static final int COLOR_BTNFACE = 15;
	public static final int COLOR_BTNHIGHLIGHT = 20;
	public static final int COLOR_BTNSHADOW = 16;
	public static final int HDM_FIRST = 4608;
	public static final int HDN_FIRST = -300;
	public static final int LVM_FIRST = 0x1000;
	public static final int NM_FIRST = 0;
	public static final int TBN_FIRST = 0xFFFFFD44;
	public static final int READ_CONTROL = 0x00020000;
//	public static final int STANDARD_RIGHTS_REQUIRED  = 0x000F0000;
	public static final int STANDARD_RIGHTS_READ = READ_CONTROL;
//	public static final int STANDARD_RIGHTS_WRITE = READ_CONTROL;
//	public static final int STANDARD_RIGHTS_EXECUTE = READ_CONTROL;
//	public static final int STANDARD_RIGHTS_ALL = 0x001F0000;
	public static final int SYNCHRONIZE = 0x00100000;
	public static final int TVHT_ONITEMICON = 0x0002;
	public static final int TVHT_ONITEMLABEL = 0x0004;
	public static final int TVHT_ONITEMSTATEICON = 0x0040;
	public static final int TVN_FIRST = 0xFFFFFE70;  
	public static final int WM_USER = 0x400;  
	
//	public static final byte [] LBSELCHSTRING = {0x63, 0x6F, 0x6D, 0x6D, 0x64, 0x6C, 0x67, 0x5F, 0x4C, 0x42, 0x53, 0x65, 0x6C, 0x43, 0x68, 0x61, 0x6E, 0x67, 0x65, 0x64, 0x4E, 0x6F, 0x74, 0x69, 0x66, 0x79, 0x0};
	public static final byte [] PROGRESS_CLASS = {0x6D, 0x73, 0x63, 0x74, 0x6C, 0x73, 0x5F, 0x70, 0x72, 0x6F, 0x67, 0x72, 0x65, 0x73, 0x73, 0x33, 0x32, 0x0};
	public static final byte [] RICHEDIT_CLASS = {0x52, 0x69, 0x63, 0x68, 0x45, 0x64, 0x69, 0x74, 0x32, 0x30, 0x41, 0x0};
//	public static final byte [] RICHEDIT_CLASS10 = {0x52, 0x49, 0x43, 0x48, 0x45, 0x44, 0x49, 0x54, 0x0};
	public static final byte [] TOOLBARCLASSNAME = {0x54, 0x6F, 0x6F, 0x6C, 0x62, 0x61, 0x72, 0x57, 0x69, 0x6E, 0x64, 0x6F, 0x77, 0x33, 0x32, 0x0};
	public static final byte [] TOOLTIPS_CLASS = {0x74, 0x6F, 0x6F, 0x6C, 0x74, 0x69, 0x70, 0x73, 0x5F, 0x63, 0x6C, 0x61, 0x73, 0x73, 0x33, 0x32, 0x0};
	public static final byte [] TRACKBAR_CLASS = {0x6D, 0x73, 0x63, 0x74, 0x6C, 0x73, 0x5F, 0x74, 0x72, 0x61, 0x63, 0x6B, 0x62, 0x61, 0x72, 0x33, 0x32, 0x0};
//	public static final byte [] WC_HEADER = {0x53, 0x79, 0x73, 0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x33, 0x32, 0x0};
	public static final byte [] WC_LISTVIEW = {0x53, 0x79, 0x73, 0x4C, 0x69, 0x73, 0x74, 0x56, 0x69, 0x65, 0x77, 0x33, 0x32, 0x0};
	public static final byte [] WC_TABCONTROL = {0x53, 0x79, 0x73, 0x54, 0x61, 0x62, 0x43, 0x6F, 0x6E, 0x74, 0x72, 0x6F, 0x6C, 0x33, 0x32, 0x0};
	public static final byte [] WC_TREEVIEW = {0x53, 0x79, 0x73, 0x54, 0x72, 0x65, 0x65, 0x56, 0x69, 0x65, 0x77, 0x33, 0x32, 0x0};

//	public static final byte WBF_BREAKAFTER = 0x40;
//	public static final byte WBF_BREAKLINE = 0x20;
//	public static final byte WBF_CLASS = 0x0F;
//	public static final byte WBF_ISWHITE = 0x10;

/*** BEGIN SetWindowsHook ***/
//	public static final int WH_MSGFILTER        = -1;
//	public static final int WH_JOURNALRECORD    = 0;
//	public static final int WH_JOURNALPLAYBACK  = 1;
//	public static final int WH_KEYBOARD         = 2;
	public static final int WH_GETMESSAGE       = 3;
//	public static final int WH_CALLWNDPROC      = 4;
//	public static final int WH_CBT              = 5;
//	public static final int WH_SYSMSGFILTER     = 6;
//	public static final int WH_MOUSE            = 7;
//	public static final int WH_HARDWARE         = 8;
//	public static final int WH_DEBUG            = 9;
//	public static final int WH_SHELL            = 10;
//	public static final int WH_FOREGROUNDIDLE   = 11;
//	public static final int WH_CALLWNDPROCRET   = 12;
//	public static final int WH_KEYBOARD_LL      = 13;
//	public static final int WH_MOUSE_LL         = 14;
/*** END SetWindowsHook ***/

/*** BEGIN SHGetFileInfo ***/
//	public static final int FILE_ATTRIBUTE_READONLY             = 0x00000001;
//	public static final int FILE_ATTRIBUTE_HIDDEN               = 0x00000002;  
//	public static final int FILE_ATTRIBUTE_SYSTEM               = 0x00000004;  
//	public static final int FILE_ATTRIBUTE_DIRECTORY            = 0x00000010;  
//	public static final int FILE_ATTRIBUTE_ARCHIVE              = 0x00000020;  
//	public static final int FILE_ATTRIBUTE_DEVICE               = 0x00000040;  
//	public static final int FILE_ATTRIBUTE_NORMAL               = 0x00000080;  
//	public static final int FILE_ATTRIBUTE_TEMPORARY            = 0x00000100;  
//	public static final int FILE_ATTRIBUTE_SPARSE_FILE          = 0x00000200;  
//	public static final int FILE_ATTRIBUTE_REPARSE_POINT        = 0x00000400;  
//	public static final int FILE_ATTRIBUTE_COMPRESSED           = 0x00000800;  
//	public static final int FILE_ATTRIBUTE_OFFLINE              = 0x00001000;
//	public static final int FILE_ATTRIBUTE_NOT_CONTENT_INDEXED  = 0x00002000;  
//	public static final int FILE_ATTRIBUTE_ENCRYPTED            = 0x00004000;
//	public static final int SHGFI_ICON              = 0x000000100;     // get icon
//	public static final int SHGFI_DISPLAYNAME       = 0x000000200;     // get display name
//	public static final int SHGFI_TYPENAME          = 0x000000400;     // get type name
//	public static final int SHGFI_ATTRIBUTES        = 0x000000800;     // get attributes
//	public static final int SHGFI_ICONLOCATION      = 0x000001000;     // get icon location
//	public static final int SHGFI_EXETYPE           = 0x000002000;     // return exe type
//	public static final int SHGFI_SYSICONINDEX      = 0x000004000;     // get system icon index
//	public static final int SHGFI_LINKOVERLAY       = 0x000008000;     // put a link overlay on icon
//	public static final int SHGFI_SELECTED          = 0x000010000;     // show icon in selected state
//	public static final int SHGFI_ATTR_SPECIFIED    = 0x000020000;     // get only specified attributes
//	public static final int SHGFI_LARGEICON         = 0x000000000;     // get large icon
//	public static final int SHGFI_SMALLICON         = 0x000000001;     // get small icon
//	public static final int SHGFI_OPENICON          = 0x000000002;     // get open icon
//	public static final int SHGFI_SHELLICONSIZE     = 0x000000004;    // get shell size icon
//	public static final int SHGFI_PIDL              = 0x000000008;     // pszPath is a pidl
//	public static final int SHGFI_USEFILEATTRIBUTES = 0x000000010;    // use passed dwFileAttribute
//	public static final int SHGFI_ADDOVERLAYS       = 0x000000020;    // apply the appropriate overlays
//	public static final int SHGFI_OVERLAYINDEX      = 0x000000040;     // Get the index of the overlay
/*** END SHGetFileInfo ***/
   
/*** BEGIN DrawState ***/
//	public static final int DST_COMPLEX     = 0x0000;
//	public static final int DST_TEXT        = 0x0001;
//	public static final int DST_PREFIXTEXT  = 0x0002;
	public static final int DST_ICON        = 0x0003;
	public static final int DST_BITMAP      = 0x0004;
//	public static final int DSS_NORMAL      = 0x0000;
//	public static final int DSS_UNION       = 0x0010;
	public static final int DSS_DISABLED    = 0x0020;
//	public static final int DSS_MONO        = 0x0080;
//	public static final int DSS_HIDEPREFIX  = 0x0200;
//	public static final int DSS_PREFIXONLY  = 0x0400;
//	public static final int DSS_RIGHT       = 0x8000;
/*** END DrawState ***/

/*** BEGIN Toolbar ***/
//	public static final int TBN_GETDISPINFOA	= (TBN_FIRST - 16);
//	public static final int TBN_GETDISPINFOW	= (TBN_FIRST - 17);
//	public static final int TBN_GETDISPINFO	= (TBN_FIRST - 16);
//	public static final int I_IMAGECALLBACK	= -1;
	public static final int I_IMAGENONE		= -2;
/*** END Toolbar ***/

/*** BEGIN TrackMouseEvent ***/
	public static final int TME_HOVER = 0x00000001;
	public static final int TME_LEAVE = 0x00000002;
//	public static final int TME_NONCLIENT = 0x00000010;
	public static final int TME_QUERY = 0x40000000;
//	public static final int TME_CANCEL = 0x80000000;
//	public static final int HOVER_DEFAULT = 0xFFFFFFFF;
	public static final int WM_MOUSEHOVER = 0x02A1;
	public static final int WM_MOUSELEAVE = 0x02A3;
//	public static final int WM_NCMOUSEHOVER = 0x02A0;
//	public static final int WM_NCMOUSELEAVE = 0x02A2;
	public static final int WM_MOUSEWHEEL = 0x020A;
/*** END TrackMouseEvent ***/

/*** BEGIN ICC ***/
//	public static final int ICC_LISTVIEW_CLASSES 	= 0x00000001;
//	public static final int ICC_TREEVIEW_CLASSES 	= 0x00000002;
//	public static final int ICC_BAR_CLASSES      	= 0x00000004;
//	public static final int ICC_TAB_CLASSES      	= 0x00000008;
//	public static final int ICC_UPDOWN_CLASS     	= 0x00000010;
//	public static final int ICC_PROGRESS_CLASS   	= 0x00000020;
//	public static final int ICC_HOTKEY_CLASS     	= 0x00000040;
//	public static final int ICC_ANIMATE_CLASS    	= 0x00000080;
//	public static final int ICC_WIN95_CLASSES    	= 0x000000FF;
//	public static final int ICC_DATE_CLASSES     	= 0x00000100;
//	public static final int ICC_USEREX_CLASSES   	= 0x00000200;
	public static final int ICC_COOL_CLASSES     	= 0x00000400;
//	public static final int ICC_INTERNET_CLASSES 	= 0x00000800;
//	public static final int ICC_PAGESCROLLER_CLASS 	= 0x00001000;
//	public static final int ICC_NATIVEFNTCTL_CLASS 	= 0x00002000;
/*** END ICC ***/

/*** BEGIN REBAR ***/
	public static final int RBN_FIRST	= -831;
//	public static final int RBN_LAST	= -859;
	public static final byte [] REBARCLASSNAME = {0x52, 0x65, 0x42, 0x61, 0x72, 0x57, 0x69, 0x6E, 0x64, 0x6F, 0x77, 0x33, 0x32, 0x0};
//	public static final int RBIM_IMAGELIST = 0x00000001;
//	public static final int RBS_TOOLTIPS        = 0x0100;
	public static final int RBS_VARHEIGHT       = 0x0200;
	public static final int RBS_BANDBORDERS     = 0x0400;
//	public static final int RBS_FIXEDORDER      = 0x0800;
//	public static final int RBS_REGISTERDROP    = 0x1000;
//	public static final int RBS_AUTOSIZE        = 0x2000;
//	public static final int RBS_VERTICALGRIPPER = 0x4000;
//	public static final int RBS_DBLCLKTOGGLE    = 0x8000;
	public static final int RBBS_BREAK          = 0x00000001;
//	public static final int RBBS_FIXEDSIZE      = 0x00000002;
//	public static final int RBBS_CHILDEDGE      = 0x00000004;
//	public static final int RBBS_HIDDEN         = 0x00000008;
//	public static final int RBBS_NOVERT         = 0x00000010;
//	public static final int RBBS_FIXEDBMP       = 0x00000020;
	public static final int RBBS_VARIABLEHEIGHT = 0x00000040;
	public static final int RBBS_GRIPPERALWAYS  = 0x00000080;
//	public static final int RBBS_NOGRIPPER      = 0x00000100;
	public static final int RBBIM_STYLE         = 0x00000001;
	public static final int RBBIM_COLORS        = 0x00000002;
	public static final int RBBIM_TEXT          = 0x00000004;
//	public static final int RBBIM_IMAGE         = 0x00000008;
	public static final int RBBIM_CHILD         = 0x00000010;
	public static final int RBBIM_CHILDSIZE     = 0x00000020;
	public static final int RBBIM_SIZE          = 0x00000040;
//	public static final int RBBIM_BACKGROUND    = 0x00000080;
	public static final int RBBIM_ID            = 0x00000100;
	public static final int RBBIM_IDEALSIZE     = 0x00000200;
//	public static final int RBBIM_LPARAM        = 0x00000400;
	public static final int RBBIM_HEADERSIZE    = 0x00000800;
	public static final int RB_INSERTBAND  	= (WM_USER + 1);
	public static final int RB_DELETEBAND   = (WM_USER + 2);
//	public static final int RB_GETBARINFO   = (WM_USER + 3);
//	public static final int RB_SETBARINFO   = (WM_USER + 4);
	public static final int RB_GETBANDINFO  = (WM_USER + 5);
	public static final int RB_SETBANDINFO 	= (WM_USER + 6);
//	public static final int RB_SETPARENT    = (WM_USER + 7);
//	public static final int RB_HITTEST      = (WM_USER + 8);
	public static final int RB_GETRECT      = (WM_USER + 9);
	public static final int RB_GETBANDCOUNT = (WM_USER + 12);
//	public static final int RB_GETROWCOUNT  = (WM_USER + 13);
//	public static final int RB_GETROWHEIGHT = (WM_USER + 14);
	public static final int RB_IDTOINDEX    = (WM_USER + 16);
//	public static final int RB_GETTOOLTIPS  = (WM_USER + 17);
//	public static final int RB_SETTOOLTIPS  = (WM_USER + 18);
	public static final int RB_SETBKCOLOR   = (WM_USER + 19);
	public static final int RB_GETBKCOLOR   = (WM_USER + 20);
	public static final int RB_SETTEXTCOLOR = (WM_USER + 21);
	public static final int RB_GETTEXTCOLOR = (WM_USER + 22);
//	public static final int RB_SIZETORECT   = (WM_USER + 23);
//	public static final int RB_SETCOLORSCHEME = CCM_SETCOLORSCHEME;
//	public static final int RB_GETCOLORSCHEME = CCM_GETCOLORSCHEME;
//	public static final int RB_BEGINDRAG    	= (WM_USER + 24);
//	public static final int RB_ENDDRAG      	= (WM_USER + 25);
//	public static final int RB_DRAGMOVE     	= (WM_USER + 26);
	public static final int RB_GETBARHEIGHT 	= (WM_USER + 27);
//	public static final int RB_MINIMIZEBAND 	= (WM_USER + 30);
//	public static final int RB_MAXIMIZEBAND 	= (WM_USER + 31);
//	public static final int RB_GETDROPTARGET 	= (CCM_GETDROPTARGET);
	public static final int RB_GETBANDBORDERS 	= (WM_USER + 34);
//	public static final int RB_SHOWBAND     	= (WM_USER + 35);
//	public static final int RB_SETPALETTE  		= (WM_USER + 37);
//	public static final int RB_GETPALETTE   	= (WM_USER + 38);
	public static final int RB_MOVEBAND     	= (WM_USER + 39);
//	public static final int RB_SETUNICODEFORMAT = CCM_SETUNICODEFORMAT;
//	public static final int RB_GETUNICODEFORMAT = CCM_GETUNICODEFORMAT;
	public static final int RBN_HEIGHTCHANGE    = (RBN_FIRST - 0);
//	public static final int RBN_GETOBJECT       = (RBN_FIRST - 1);
//	public static final int RBN_LAYOUTCHANGED   = (RBN_FIRST - 2);
//	public static final int RBN_AUTOSIZE        = (RBN_FIRST - 3);
//	public static final int RBN_BEGINDRAG       = (RBN_FIRST - 4);
//	public static final int RBN_ENDDRAG         = (RBN_FIRST - 5);
//	public static final int RBN_DELETINGBAND    = (RBN_FIRST - 6);
//	public static final int RBN_DELETEDBAND     = (RBN_FIRST - 7);
//	public static final int RBN_CHILDSIZE       = (RBN_FIRST - 8);
//	public static final int RBNM_ID         = 0x00000001;
//	public static final int RBNM_STYLE      = 0x00000002;
//	public static final int RBNM_LPARAM     = 0x00000004;
//	public static final int RBHT_NOWHERE    = 0x0001;
//	public static final int RBHT_CLIENT     = 0x0003;
//	public static final int RBHT_GRABBER    = 0x0004;
/*** END REBAR ***/

/*** BEGIN IE5.01 TOOLBAR ***/
	public static final int BTNS_BUTTON			= 0x0000;
	public static final int BTNS_SEP			= 0x0001;
	public static final int BTNS_CHECK			= 0x0002;
	public static final int BTNS_GROUP			= 0x0004;
	public static final int BTNS_CHECKGROUP		= BTNS_GROUP | BTNS_CHECK;
	public static final int BTNS_DROPDOWN		= 0x0008;
	public static final int BTNS_AUTOSIZE		= 0x0010; // automatically calculate the cx of the button
//	public static final int BTNS_NOPREFIX		= 0x0020; // this button should not have accel prefix
//	public static final int BTNS_SHOWTEXT		= 0x0040; // ignored unless TBSTYLE_EX_MIXEDBUTTONS is set
//	public static final int BTNS_WHOLEDROPDOWN	= 0x0080; // draw drop-down arrow, but without split arrow section
//	public static final int TBSTYLE_EX_MIXEDBUTTONS			= 0x00000008;
//	public static final int TBSTYLE_EX_HIDECLIPPEDBUTTONS	= 0x00000010; // don't show partially obscured buttons
/*** END IE5.01 TOOLBAR ***/

/** BEGIN IME **/
//	public static final int GCS_COMPREADSTR			= 0x0001;
//	public static final int GCS_COMPREADATTR		= 0x0002;
//	public static final int GCS_COMPREADCLAUSE  	= 0x0004;
	public static final int GCS_COMPSTR				= 0x0008;
//	public static final int GCS_COMPATTR			= 0x0010;
//	public static final int GCS_COMPCLAUSE			= 0x0020;
//	public static final int GCS_CURSORPOS			= 0x0080;
//	public static final int GCS_DELTASTART			= 0x0100;
//	public static final int GCS_RESULTREADSTR		= 0x0200;
//	public static final int GCS_RESULTREADCLAUSE	= 0x0400;
	public static final int GCS_RESULTSTR			= 0x0800;
//	public static final int GCS_RESULTCLAUSE		= 0x1000;
//	public static final int CS_INSERTCHAR			= 0x2000;
//	public static final int CS_NOMOVECARET			= 0x4000;
//	public static final int IME_CMODE_ALPHANUMERIC	= 0x0000;
	public static final int IME_CMODE_NATIVE		= 0x0001;
//	public static final int IME_CMODE_CHINESE		= IME_CMODE_NATIVE;
//	public static final int IME_CMODE_HANGEUL		= IME_CMODE_NATIVE;
//	public static final int IME_CMODE_HANGUL		= IME_CMODE_NATIVE;
//	public static final int IME_CMODE_JAPANESE		= IME_CMODE_NATIVE;
	public static final int IME_CMODE_KATAKANA		= 0x0002;
//	public static final int IME_CMODE_LANGUAGE		= 0x0003;
	public static final int IME_CMODE_FULLSHAPE		= 0x0008;
	public static final int IME_CMODE_ROMAN			= 0x0010;
//	public static final int IME_CMODE_CHARCODE		= 0x0020;
//	public static final int IME_CMODE_HANJACONVERT	= 0x0040;
//	public static final int IME_CMODE_SOFTKBD		= 0x0080;
//	public static final int IME_CMODE_NOCONVERSION	= 0x0100;
//	public static final int IME_CMODE_EUDC			= 0x0200;
//	public static final int IME_CMODE_SYMBOL		= 0x0400;
//	public static final int IME_CMODE_FIXED			= 0x0800;
//	public static final int CFS_DEFAULT				= 0x0000;
//	public static final int CFS_RECT				= 0x0001;
	public static final int CFS_POINT				= 0x0002;
//	public static final int CFS_FORCE_POSITION		= 0x0020;
//	public static final int CFS_CANDIDATEPOS		= 0x0040;
//	public static final int CFS_EXCLUDE				= 0x0080;
/* END IME */

/* BEGIN 98/2000 MENUS */
//	public static final int MNS_NOCHECK         = 0x80000000;
//	public static final int MNS_MODELESS        = 0x40000000;
//	public static final int MNS_DRAGDROP        = 0x20000000;
//	public static final int MNS_AUTODISMISS     = 0x10000000;
//	public static final int MNS_NOTIFYBYPOS     = 0x08000000;
	public static final int MNS_CHECKORBMP      = 0x04000000;
//	public static final int MIM_MAXHEIGHT		= 0x00000001;
//	public static final int MIM_BACKGROUND		= 0x00000002;
//	public static final int MIM_HELPID			= 0x00000004;
//	public static final int MIM_MENUDATA		= 0x00000008;
	public static final int MIM_STYLE			= 0x00000010;
//	public static final int MIM_APPLYTOSUBMENUS = 0x80000000;
/* END 98/2000 MENUS */

//	public static final int ANSI_FIXED_FONT = 0xB;
//	public static final int ANSI_VAR_FONT = 0xC;
//	public static final int BDR_INNER = 0xC;
//	public static final int BDR_OUTER = 0x3;
//	public static final int BDR_RAISED = 0x5;
//	public static final int BDR_RAISEDINNER = 0x4;
//	public static final int BDR_RAISEDOUTER = 0x1;
//	public static final int BDR_SUNKEN = 0xA;
//	public static final int BDR_SUNKENINNER = 0x8;
//	public static final int BDR_SUNKENOUTER = 0x2;
//	public static final int BF_ADJUST = 0x2000;
	public static final int BF_BOTTOM = 0x8;
//	public static final int BF_BOTTOMLEFT = 0x9;
//	public static final int BF_BOTTOMRIGHT = 0xC;
//	public static final int BF_DIAGONAL = 0x10;
//	public static final int BF_DIAGONAL_ENDBOTTOMLEFT = 0x19;
//	public static final int BF_DIAGONAL_ENDBOTTOMRIGHT = 0x1C;
//	public static final int BF_DIAGONAL_ENDTOPLEFT = 0x13;
//	public static final int BF_DIAGONAL_ENDTOPRIGHT = 0x16;
//	public static final int BF_FLAT = 0x4000;
//	public static final int BF_LEFT = 0x1;
//	public static final int BF_MIDDLE = 0x800;
//	public static final int BF_RIGHT = 0x4;
//	public static final int BF_MONO = 0x8000;
//	public static final int BF_RECT = 0xF;
	public static final int BF_RIGHT = 0x4;
//	public static final int BF_SOFT = 0x1000;
//	public static final int BF_TOP = 0x2;
//	public static final int BF_TOPLEFT = 0x3;
//	public static final int BF_TOPRIGHT = 0x6;
//	public static final int BFFM_ENABLEOK = (WM_USER + 101);
	public static final int BFFM_INITIALIZED = 1;
//	public static final int BFFM_SELCHANGED = 2;
	public static final int BFFM_SETSELECTION = (WM_USER + 102);
//	public static final int BFFM_SETSELECTIONA = (WM_USER + 102);
//	public static final int BFFM_SETSELECTIONW = (WM_USER + 103);
//	public static final int BFFM_SETSTATUSTEXT = (WM_USER + 100);
//	public static final int BFFM_SETSTATUSTEXTA = (WM_USER + 100);
//	public static final int BFFM_SETSTATUSTEXTW = (WM_USER + 104);
	public static final int BFFM_VALIDATEFAILED = 3;
//	public static final int BFFM_VALIDATEFAILEDA = 3;	// lParam:szPath ret:1(cont),0(EndDialog) 
//	public static final int BFFM_VALIDATEFAILEDW = 4;	// lParam:wzPath ret:1(cont),0(EndDialog)
//	public static final int BIF_BROWSEFORCOMPUTER = 0x1000;  	// Browsing for Computers. 
//	public static final int BIF_BROWSEFORPRINTER = 0x2000;  	// Browsing for Printers 
//	public static final int BIF_BROWSEINCLUDEFILES = 0x4000; 	// Browsing for Everything  
//	public static final int BIF_DONTGOBELOWDOMAIN = 0x0002; 	// For starting the Find Computer 
	public static final int BIF_EDITBOX = 0x0010; 
//	public static final int BIF_RETURNFSANCESTORS = 0x0008;
	public static final int BIF_RETURNONLYFSDIRS = 0x0001;  	// For finding a folder to start document searching 
//	public static final int BIF_STATUSTEXT = 0x0004;
	public static final int BIF_VALIDATE = 0x0020;   			// insist on valid result (or CANCEL)  
	public static final int BITSPIXEL = 12;
//	public static final int BLACK_BRUSH = 0x4;
//	public static final int BLACK_PEN = 0x7;
//	public static final int BLACKNESS = 0x42;
	public static final int BM_CLICK = 0xF5;
	public static final int BM_GETCHECK = 0xF0;
//	public static final int BM_GETIMAGE = 0xF6;
//	public static final int BM_GETSTATE = 0xF2;
	public static final int BM_SETCHECK = 0xF1;
	public static final int BM_SETIMAGE = 0xF7;
//	public static final int BM_SETSTATE = 0xF3;
	public static final int BM_SETSTYLE = 0xF4;
	public static final int BN_CLICKED = 0x0;
//	public static final int BN_DBLCLK = 0x5;
//	public static final int BN_DISABLE = 0x4;
	public static final int BN_DOUBLECLICKED = 0x5;
//	public static final int BN_HILITE = 0x2;
//	public static final int BN_KILLFOCUS = 0x7;
//	public static final int BN_PAINT = 0x1;
//	public static final int BN_PUSHED = 0x2;
//	public static final int BN_SETFOCUS = 0x6;
//	public static final int BN_UNHILITE = 0x3;
//	public static final int BN_UNPUSHED = 0x3;
//	public static final int BOE_CONTEXTALIGNMENT = 0x0010;
//	public static final int BOE_CONTEXTREADING = 0x0008;
//	public static final int BOE_NEUTRALOVERRIDE = 0x0004;
//	public static final int BOE_PLAINTEXT = 0x0002;
//	public static final int BOE_RTLDIR = 0x0001;
//	public static final int BOM_CONTEXTALIGNMENT = 0x0010;
//	public static final int BOM_CONTEXTREADING = 0x0008;
//	public static final int BOM_DEFPARADIR = 0x0001;
//	public static final int BOM_NEUTRALOVERRIDE = 0x0004;
//	public static final int BOM_PLAINTEXT = 0x0002;
//	public static final int BS_AUTO3STATE = 0x6;
//	public static final int BS_AUTOCHECKBOX = 0x3;
//	public static final int BS_AUTORADIOBUTTON = 0x9;
	public static final int BS_BITMAP = 0x80;
//	public static final int BS_BOTTOM = 0x800;
	public static final int BS_CENTER = 0x300;
	public static final int BS_CHECKBOX = 0x2;
//	public static final int BS_CHECKBOX = 0x2;
	public static final int BS_DEFPUSHBUTTON = 0x1;
//	public static final int BS_DIBPATTERN = 0x5;
//	public static final int BS_DIBPATTERN8X8 = 0x8;
//	public static final int BS_DIBPATTERNPT = 0x6;
	public static final int BS_FLAT = 0x8000;
	public static final int BS_GROUPBOX = 0x7;
//	public static final int BS_HATCHED = 0x2;
//	public static final int BS_HOLLOW = 0x1;
	public static final int BS_ICON = 0x40;
//	public static final int BS_INDEXED = 0x4;
	public static final int BS_LEFT = 0x100;
//	public static final int BS_LEFTTEXT = 0x20;
//	public static final int BS_MULTILINE = 0x2000;
	public static final int BS_NOTIFY = 0x4000;
//	public static final int BS_NULL = 0x1;
	public static final int BS_OWNERDRAW = 0xB;
//	public static final int BS_PATTERN = 0x3;
//	public static final int BS_PATTERN8X8 = 0x7;
	public static final int BS_PUSHBUTTON = 0x0;
	public static final int BS_PUSHLIKE = 0x1000;
	public static final int BS_RADIOBUTTON = 0x4;
//	public static final int BS_RADIOBUTTON = 0x4;
	public static final int BS_RIGHT = 0x200;
//	public static final int BS_RIGHTBUTTON = 0x20;
	public static final int BS_SOLID = 0x0;
//	public static final int BS_TEXT = 0x0;
//	public static final int BS_TOP = 0x400;
//	public static final int BS_USERBUTTON = 0x8;
//	public static final int BS_VCENTER = 0xC00;
//	public static final int BS3STATE = 0x5;
//	public static final int BSF_FLUSHDISK = 0x4;
//	public static final int BSF_FORCEIFHUNG = 0x20;
//	public static final int BSF_IGNORECURRENTTASK = 0x2;
//	public static final int BSF_NOHANG = 0x8;
//	public static final int BSF_NOTIMEOUTIFNOTHUNG = 0x40;
//	public static final int BSF_POSTMESSAGE = 0x10;
//	public static final int BSF_QUERY = 0x1;
//	public static final int BSM_ALLCOMPONENTS = 0x0;
//	public static final int BSM_APPLICATIONS = 0x8;
//	public static final int BSM_INSTALLABLEDRIVERS = 0x4;
//	public static final int BSM_NETDRIVER = 0x2;
//	public static final int BSM_VXDS = 0x1;
	public static final int BST_CHECKED = 0x1;
//	public static final int BST_FOCUS = 0x8;
//	public static final int BST_INDETERMINATE = 0x2;
//	public static final int BST_PUSHED = 0x4;
	public static final int BST_UNCHECKED = 0x0;
	public static final int CB_ADDSTRING = 0x143;
	public static final int CB_DELETESTRING = 0x144;
//	public static final int CB_DIR = 0x145;
	public static final int CB_ERR = 0xFFFFFFFF;
	public static final int CB_ERRSPACE = 0xFFFFFFFE;
//	public static final int CB_FINDSTRING = 0x14C;
	public static final int CB_FINDSTRINGEXACT = 0x158;
	public static final int CB_GETCOUNT = 0x146;
	public static final int CB_GETCURSEL = 0x147;
//	public static final int CB_GETDROPPEDCONTROLRECT = 0x152;
	public static final int CB_GETDROPPEDSTATE = 0x157;
//	public static final int CB_GETDROPPEDWIDTH = 0x15F;
	public static final int CB_GETEDITSEL = 0x140;
//	public static final int CB_GETEXTENDEDUI = 0x156;
//	public static final int CB_GETHORIZONTALEXTENT = 0x15D;
//	public static final int CB_GETITEMDATA = 0x150;
	public static final int CB_GETITEMHEIGHT = 0x154;
	public static final int CB_GETLBTEXT = 0x148;
	public static final int CB_GETLBTEXTLEN = 0x149;
//	public static final int CB_GETLOCALE = 0x15A;
//	public static final int CB_GETTOPINDEX = 0x15B;
//	public static final int CB_INITSTORAGE = 0x161;
	public static final int CB_INSERTSTRING = 0x14A;
	public static final int CB_LIMITTEXT = 0x141;
//	public static final int CB_MSGMAX = 0x162;
//	public static final int CB_N_D_R_CONTEXT = 0x14;
//	public static final int CB_OKAY = 0x0;
	public static final int CB_RESETCONTENT = 0x14B;
	public static final int CB_SELECTSTRING = 0x14D;
	public static final int CB_SETCURSEL = 0x14E;
//	public static final int CB_SETDROPPEDWIDTH = 0x160;
	public static final int CB_SETEDITSEL = 0x142;
//	public static final int CB_SETEXTENDEDUI = 0x155;
//	public static final int CB_SETHORIZONTALEXTENT = 0x15E;
//	public static final int CB_SETITEMDATA = 0x151;
//	public static final int CB_SETITEMHEIGHT = 0x153;
//	public static final int CB_SETLOCALE = 0x159;
//	public static final int CB_SETTOPINDEX = 0x15C;
//	public static final int CB_SHOWDROPDOWN = 0x14F;
//	public static final int CBF_FAIL_ADVISES = 0x4000;
//	public static final int CBF_FAIL_ALLSVRXACTIONS = 0x3F000;
//	public static final int CBF_FAIL_CONNECTIONS = 0x2000;
//	public static final int CBF_FAIL_EXECUTES = 0x8000;
//	public static final int CBF_FAIL_POKES = 0x10000;
//	public static final int CBF_FAIL_REQUESTS = 0x20000;
//	public static final int CBF_FAIL_SELFCONNECTIONS = 0x1000;
//	public static final int CBF_SKIP_ALLNOTIFICATIONS = 0x3C0000;
//	public static final int CBF_SKIP_CONNECT_CONFIRMS = 0x40000;
//	public static final int CBF_SKIP_DISCONNECTS = 0x200000;
//	public static final int CBF_SKIP_REGISTRATIONS = 0x80000;
//	public static final int CBF_SKIP_UNREGISTRATIONS = 0x100000;
//	public static final int CBM_INIT = 0x4;
//	public static final int CBN_CLOSEUP = 0x8;
//	public static final int CBN_DBLCLK = 0x2;
//	public static final int CBN_DROPDOWN = 0x7;
	public static final int CBN_EDITCHANGE = 0x5;
//	public static final int CBN_EDITUPDATE = 0x6;
//	public static final int CBN_ERRSPACE = 0xFFFFFFFF;
	public static final int CBN_KILLFOCUS = 0x4;
	public static final int CBN_SELCHANGE = 0x1;
//	public static final int CBN_SELENDCANCEL = 0xA;
//	public static final int CBN_SELENDOK = 0x9;
	public static final int CBN_SETFOCUS = 0x3;
//	public static final int CBR_BLOCK = 0xFFFFFFFF;
//	public static final int CBR110 = 0x6E;
//	public static final int CBR115200 = 0x1C200;
//	public static final int CBR1200 = 0x4B0;
//	public static final int CBR128000 = 0x1F400;
//	public static final int CBR14400 = 0x3840;
//	public static final int CBR19200 = 0x4B00;
//	public static final int CBR2400 = 0x960;
//	public static final int CBR256000 = 0x3E800;
//	public static final int CBR300 = 0x12C;
//	public static final int CBR38400 = 0x9600;
//	public static final int CBR4800 = 0x12C0;
//	public static final int CBR56000 = 0xDAC0;
//	public static final int CBR57600 = 0xE100;
//	public static final int CBR600 = 0x258;
//	public static final int CBR9600 = 0x2580;
	public static final int CBS_AUTOHSCROLL = 0x40;
//	public static final int CBS_DISABLENOSCROLL = 0x800;
	public static final int CBS_DROPDOWN = 0x2;
	public static final int CBS_DROPDOWNLIST = 0x3;
//	public static final int CBS_HASSTRINGS = 0x200;
//	public static final int CBS_LOWERCASE = 0x4000;
	public static final int CBS_NOINTEGRALHEIGHT = 0x400;
//	public static final int CBS_OEMCONVERT = 0x80;
//	public static final int CBS_OWNERDRAWFIXED = 0x10;
//	public static final int CBS_OWNERDRAWVARIABLE = 0x20;
	public static final int CBS_SIMPLE = 0x1;
//	public static final int CBS_SORT = 0x100;
//	public static final int CBS_UPPERCASE = 0x2000;
	public static final int CC_ANYCOLOR = 0x00000100;
	public static final int CC_ENABLEHOOK = 0x00000010;
//	public static final int CC_ENABLETEMPLATE = 0x00000020;
//	public static final int CC_ENABLETEMPLATEHANDLE = 0x00000040;
//	public static final int CC_FULLOPEN = 0x00000002;
//	public static final int CC_PREVENTFULLOPEN = 0x00000004;
	public static final int CC_RGBINIT = 0x00000001;
//	public static final int CC_SHOWHELP = 0x00000008;
//	public static final int CC_SOLIDCOLOR = 0x00000080;
	public static final int CCM_FIRST = 0x2000;
	public static final int CCM_SETBKCOLOR = CCM_FIRST + 1;
//	public static final int CCS_ADJUSTABLE = 0x00000020; 
//	public static final int CCS_BOTTOM = 0x00000003;
//	public static final int CCS_LEFT = CCS_VERT | CCS_TOP;
	public static final int CCS_NODIVIDER = 0x00000040;
//	public static final int CCS_NOMOVEX = CCS_VERT | CCS_NOMOVEY;
//	public static final int CCS_NOMOVEY = 0x00000002;
//	public static final int CCS_NOPARENTALIGN = 0x00000008;
	public static final int CCS_NORESIZE = 0x00000004;
//	public static final int CCS_RIGHT = CCS_VERT | CCS_BOTTOM;
//	public static final int CCS_TOP = 0x00000001;
//	public static final int CCS_VERT = 0x00000080;
//	public static final int CDDS_ITEM               = 0x00010000;
//	public static final int CDDS_ITEMPOSTERASE      = (CDDS_ITEM | CDDS_POSTERASE);
//	public static final int CDDS_ITEMPOSTPAINT      = (CDDS_ITEM | CDDS_POSTPAINT);
//	public static final int CDDS_ITEMPREERASE       = (CDDS_ITEM | CDDS_PREERASE);
//	public static final int CDDS_ITEMPREPAINT       = (CDDS_ITEM | CDDS_PREPAINT);
//	public static final int CDDS_POSTERASE          = 0x00000004;
//	public static final int CDDS_POSTPAINT          = 0x00000002;
//	public static final int CDDS_PREERASE           = 0x00000003;
//	public static final int CDDS_PREPAINT           = 0x00000001;
//	public static final int CDDS_SUBITEM            = 0x00020000;
//	public static final int CDERR_DIALOGFAILURE = 0xFFFF;
//	public static final int CDERR_FINDRESFAILURE = 0x6;
//	public static final int CDERR_GENERALCODES = 0x0;
//	public static final int CDERR_INITIALIZATION = 0x2;
//	public static final int CDERR_LOADRESFAILURE = 0x7;
//	public static final int CDERR_LOADSTRFAILURE = 0x5;
//	public static final int CDERR_LOCKRESFAILURE = 0x8;
//	public static final int CDERR_MEMALLOCFAILURE = 0x9;
//	public static final int CDERR_MEMLOCKFAILURE = 0xA;
//	public static final int CDERR_NOHINSTANCE = 0x4;
//	public static final int CDERR_NOHOOK = 0xB;
//	public static final int CDERR_NOTEMPLATE = 0x3;
//	public static final int CDERR_REGISTERMSGFAIL = 0xC;
//	public static final int CDERR_STRUCTSIZE = 0x1;
//	public static final int CDIS_CHECKED    	    = 0x0008;
//	public static final int CDIS_DEFAULT     	  	= 0x0020;
//	public static final int CDIS_DISABLED   	    = 0x0004;
//	public static final int CDIS_FOCUS       	  	= 0x0010;
//	public static final int CDIS_GRAYED     	    = 0x0002;
//	public static final int CDIS_HOT         	  	= 0x0040;
//	public static final int CDIS_INDETERMINATE		= 0x0100;
//	public static final int CDIS_MARKED      	 	= 0x0080;
//	public static final int CDIS_SELECTED   	    = 0x0001;
//	public static final int CDRF_DODEFAULT			= 0x00000000;
//	public static final int CDRF_NEWFONT			= 0x00000002;
//	public static final int CDRF_NOTIFYITEMDRAW     = 0x00000020;
//	public static final int CDRF_NOTIFYPOSTERASE    = 0x00000040;
//	public static final int CDRF_NOTIFYPOSTPAINT	= 0x00000010;
//	public static final int CDRF_NOTIFYSUBITEMDRAW  = 0x00000020;
//	public static final int CDRF_SKIPDEFAULT		= 0x00000004;
//	public static final int CF_ANSIONLY = 0x00000400;
//	public static final int CF_APPLY = 0x00000200;
//	public static final int CF_BITMAP = 2;
//	public static final int CF_BOTH = (CF_SCREENFONTS | CF_PRINTERFONTS);
//	public static final int CF_DIB = 8;
//	public static final int CF_DIF = 5;
//	public static final int CF_DSPBITMAP = 0x0082;
//	public static final int CF_DSPENHMETAFILE = 0x008E;
//	public static final int CF_DSPMETAFILEPICT = 0x0083;
//	public static final int CF_DSPTEXT = 0x0081;
	public static final int CF_EFFECTS = 0x00000100;
//	public static final int CF_ENABLEHOOK = 0x00000008;
//	public static final int CF_ENABLETEMPLATE = 0x00000010;
//	public static final int CF_ENABLETEMPLATEHANDLE = 0x00000020;
//	public static final int CF_ENHMETAFILE = 14;
//	public static final int CF_FIXEDPITCHONLY = 0x00004000;
//	public static final int CF_FORCEFONTEXIST = 0x00010000;
//	public static final int CF_GDIOBJFIRST = 0x0300;
//	public static final int CF_GDIOBJLAST = 0x03FF;
//	public static final int CF_HDROP = 15;
	public static final int CF_INITTOLOGFONTSTRUCT = 0x00000040;
//	public static final int CF_LIMITSIZE = 0x00002000;
//	public static final int CF_LOCALE = 16;
//	public static final int CF_MAX = 17;
//	public static final int CF_METAFILEPICT = 3;
//	public static final int CF_NOFACESEL = 0x00080000;
//	public static final int CF_NOOEMFONTS = CF_NOVECTORFONTS;
//	public static final int CF_NOSCRIPTSEL = 0x00800000;
//	public static final int CF_NOSIMULATIONS = 0x00001000;
//	public static final int CF_NOSIZESEL = 0x00200000;
//	public static final int CF_NOSTYLESEL = 0x00100000;
//	public static final int CF_NOVECTORFONTS = 0x00000800;
//	public static final int CF_NOVERTFONTS = 0x01000000;
//	public static final int CF_OEMTEXT = 7;
//	public static final int CF_OWNERDISPLAY = 0x0080;
//	public static final int CF_PALETTE = 9;
//	public static final int CF_PENDATA = 10;
//	public static final int CF_PRINTERFONTS =0x00000002;
//	public static final int CF_PRIVATEFIRST = 0x0200;
//	public static final int CF_PRIVATELAST = 0x02FF;
//	public static final int CF_RETEXTOBJ = TEXT("RichEdit Text and Objects");
//	public static final int CF_RIFF = 11;
//	public static final int CF_RTF = TEXT("Rich Text Format");
//	public static final int CF_RTFNOOBJS = TEXT("Rich Text Format Without Objects");
//	public static final int CF_SCALABLEONLY = 0x00020000;
	public static final int CF_SCREENFONTS = 0x00000001;
//	public static final int CF_SCRIPTSONLY = CF_ANSIONLY;
//	public static final int CF_SELECTSCRIPT = 0x00400000;
//	public static final int CF_SHOWHELP = 0x00000004;
//	public static final int CF_SYLK = 4;
	public static final int CF_TEXT = 1;
//	public static final int CF_TIFF = 6;
//	public static final int CF_TTONLY = 0x00040000;
//	public static final int CF_UNICODETEXT = 13;
	public static final int CF_USESTYLE = 0x00000080;
//	public static final int CF_WAVE = 12;
//	public static final int CF_WYSIWYG = 0x00008000; 
//	public static final int CFE_ALLCAPS = CFM_ALLCAPS;
//	public static final int CFE_AUTOBACKCOLOR = CFM_BACKCOLOR;
	public static final int CFE_AUTOCOLOR = 0x40000000;
//	public static final int CFE_BOLD = 0x0001;
//	public static final int CFE_DISABLED = CFM_DISABLED;
//	public static final int CFE_EMBOSS = CFM_EMBOSS;
//	public static final int CFE_HIDDEN = CFM_HIDDEN;
//	public static final int CFE_IMPRINT = CFM_IMPRINT;
	public static final int CFE_ITALIC = 0x0002;
//	public static final int CFE_LINK = 0x0020;
//	public static final int CFE_OUTLINE = CFM_OUTLINE;
//	public static final int CFE_PROTECTED = 0x0010;
//	public static final int CFE_REVISED = CFM_REVISED;
//	public static final int CFE_SHADOW = CFM_SHADOW;
//	public static final int CFE_SMALLCAPS = CFM_SMALLCAPS;
	public static final int CFE_STRIKEOUT = 0x0008;
//	public static final int CFE_SUBSCRIPT = 0x00010000;
//	public static final int CFE_SUPERSCRIPT = 0x00020000;
	public static final int CFE_UNDERLINE = 0x0004;
//	public static final int CFM_ALL = (CFM_EFFECTS | CFM_SIZE | CFM_FACE | CFM_OFFSET | CFM_CHARSET);
//	public static final int CFM_ALL2 = (CFM_ALL | CFM_EFFECTS2 | CFM_BACKCOLOR | CFM_LCID | CFM_UNDERLINETYPE | CFM_WEIGHT | CFM_REVAUTHOR | CFM_SPACING | CFM_KERNING | CFM_STYLE | CFM_ANIMATION);
//	public static final int CFM_ALLCAPS = 0x0080;
//	public static final int CFM_ANIMATION = 0x00040000;
//	public static final int CFM_BACKCOLOR = 0x04000000;
	public static final int CFM_BOLD = 0x00000001;
	public static final int CFM_CHARSET = 0x08000000;
	public static final int CFM_COLOR = 0x40000000;
//	public static final int CFM_DISABLED = 0x2000;
//	public static final int CFM_EFFECTS = (CFM_BOLD | CFM_ITALIC | CFM_UNDERLINE | CFM_COLOR | CFM_STRIKEOUT | CFE_PROTECTED | CFM_LINK);
//	public static final int CFM_EFFECTS2 = (CFM_EFFECTS | CFM_DISABLED | CFM_SMALLCAPS | CFM_ALLCAPS | CFM_HIDDEN | CFM_OUTLINE | CFM_SHADOW | CFM_EMBOSS | CFM_IMPRINT | CFM_DISABLED | CFM_REVISED | CFM_SUBSCRIPT | CFM_SUPERSCRIPT | CFM_BACKCOLOR);
//	public static final int CFM_EMBOSS = 0x0800;
	public static final int CFM_FACE = 0x20000000;
//	public static final int CFM_HIDDEN = 0x0100;
//	public static final int CFM_IMPRINT = 0x1000;
	public static final int CFM_ITALIC = 0x00000002;
//	public static final int CFM_KERNING = 0x00100000;
//	public static final int CFM_LCID = 0x02000000;
//	public static final int CFM_LINK = 0x00000020;
//	public static final int CFM_OFFSET = 0x10000000;
//	public static final int CFM_OUTLINE = 0x0200;
//	public static final int CFM_PROTECTED = 0x00000010;
//	public static final int CFM_REVAUTHOR = 0x00008000;
//	public static final int CFM_REVISED = 0x4000;
//	public static final int CFM_SHADOW = 0x0400;
	public static final int CFM_SIZE = 0x80000000;
//	public static final int CFM_SMALLCAPS = 0x0040;
//	public static final int CFM_SPACING = 0x00200000;
	public static final int CFM_STRIKEOUT = 0x00000008;
//	public static final int CFM_STYLE = 0x00080000;
//	public static final int CFM_SUBSCRIPT = CFE_SUBSCRIPT | CFE_SUPERSCRIPT;
//	public static final int CFM_SUPERSCRIPT = CFM_SUBSCRIPT;
	public static final int CFM_UNDERLINE = 0x00000004;
//	public static final int CFM_UNDERLINETYPE = 0x00800000;
	public static final int CFM_WEIGHT = 0x00400000;
//	public static final int CFU_CF1UNDERLINE = 0xFF;
//	public static final int CFU_INVERT = 0xFE;
//	public static final int CFU_UNDERLINE = 0x1;
//	public static final int CFU_UNDERLINEDOTTED = 0x4;
//	public static final int CFU_UNDERLINEDOUBLE = 0x3;
//	public static final int CFU_UNDERLINENONE = 0x0; 
//	public static final int CFU_UNDERLINEWORD = 0x2;
	public static final int CLR_INVALID	= 0xFFFFFFFF;
	public static final int COLOR_3DDKSHADOW = 21;
	public static final int COLOR_3DFACE = COLOR_BTNFACE;
	public static final int COLOR_3DHIGHLIGHT = COLOR_BTNHIGHLIGHT;
	public static final int COLOR_3DHILIGHT = COLOR_BTNHIGHLIGHT;
//	public static final int COLOR_3DHILIGHT = COLOR_BTNHIGHLIGHT;
	public static final int COLOR_3DLIGHT = 22;
	public static final int COLOR_3DSHADOW = COLOR_BTNSHADOW;
//	public static final int COLOR_ACTIVEBORDER = 10;
	public static final int COLOR_ACTIVECAPTION = 2;
//	public static final int COLOR_APPWORKSPACE = 12;
//	public static final int COLOR_BACKGROUND = 1;
//	public static final int COLOR_BTNHILIGHT = COLOR_BTNHIGHLIGHT;
	public static final int COLOR_BTNTEXT = 18;
	public static final int COLOR_CAPTIONTEXT = 9;
//	public static final int COLOR_DESKTOP = COLOR_BACKGROUND;
	public static final int COLOR_GRADIENTACTIVECAPTION = 27; 
	public static final int COLOR_GRADIENTINACTIVECAPTION = 28;
//	public static final int COLOR_GRAYTEXT = 17;
	public static final int COLOR_HIGHLIGHT = 13;
	public static final int COLOR_HIGHLIGHTTEXT = 14;
//	public static final int COLOR_HOTLIGHT = 26;
//	public static final int COLOR_INACTIVEBORDER = 11;
	public static final int COLOR_INACTIVECAPTION = 3;
	public static final int COLOR_INACTIVECAPTIONTEXT = 19;
	public static final int COLOR_INFOBK = 24;
	public static final int COLOR_INFOTEXT = 23;
	public static final int COLOR_MENU = 4;
	public static final int COLOR_MENUTEXT = 7;
	public static final int COLOR_SCROLLBAR = 0;
	public static final int COLOR_WINDOW = 5;
	public static final int COLOR_WINDOWFRAME = 6;
	public static final int COLOR_WINDOWTEXT = 8;
	public static final int COLORONCOLOR = 3;
	public static final int COMPLEXREGION = 0x3;
	public static final int CP_ACP = 0;
//	public static final int CP_MACCP = 2;
//	public static final int CP_OEMCP = 1; 
//	public static final int CP_SYMBOL = 42;
//	public static final int CP_THREAD_ACP = 3;
//	public static final int CP_UTF7 = 65000;
//	public static final int CP_UTF8 = 65001;
//	public static final int CS_BYTEALIGNCLIENT = 0x1000;
	public static final int CS_BYTEALIGNWINDOW = 0x2000;
//	public static final int CS_CLASSDC = 0x40;
	public static final int CS_DBLCLKS = 0x8;
//	public static final int CS_GLOBALCLASS = 0x4000;
	public static final int CS_HREDRAW = 0x2;
//	public static final int CS_IME = 0x10000;
//	public static final int CS_INSERTCHAR = 0x2000;
//	public static final int CS_KEYCVTWINDOW = 0x4;
//	public static final int CS_NOCLOSE = 0x200;
//	public static final int CS_NOKEYCVT = 0x100;
//	public static final int CS_NOMOVECARET = 0x4000;
//	public static final int CS_OWNDC = 0x20;
//	public static final int CS_PARENTDC = 0x80;
//	public static final int CS_SAVEBITS = 0x800;
	public static final int CS_VREDRAW = 0x1;
//	public static final int CSF_EXPLORER = 0x8;
//	public static final int CSF_ONLYGETSOURCE = 0x4;
//	public static final int CSF_SHOWHELP = 0x1;
//	public static final int CSF_VALIDSOURCE = 0x2;
	public static final int CW_USEDEFAULT = 0x80000000;
	public static final int DCX_CACHE = 0x2;
	public static final int DCX_CLIPCHILDREN = 0x8;
	public static final int DCX_CLIPSIBLINGS = 0x10;
//	public static final int DCX_EXCLUDERGN = 0x40;
//	public static final int DCX_EXCLUDEUPDATE = 0x100;
//	public static final int DCX_INTERSECTRGN = 0x80;
//	public static final int DCX_INTERSECTUPDATE = 0x200;
//	public static final int DCX_LOCKWINDOWUPDATE = 0x400;
//	public static final int DCX_NORESETATTRS = 0x4;
//	public static final int DCX_PARENTCLIP = 0x20;
//	public static final int DCX_VALIDATE = 0x200000;
//	public static final int DCX_WINDOW = 0x1;
	public static final int DEFAULT_GUI_FONT = 0x11;
//	public static final int DEFAULT_PALETTE = 0xF;
//	public static final int DEVICE_DEFAULT_FONT = 0xE;
//	public static final int DEVICE_FONTTYPE = 0x0002;
//	public static final int DI_APPBANDING = 0x1;
//	public static final int DI_CHANNEL = 0x1;
//	public static final int DI_CHANNEL_WRITE = 0x2;
//	public static final int DI_COMPAT = 0x4;
//	public static final int DI_DEFAULTSIZE = 0x8;
//	public static final int DI_IMAGE = 0x2;
//	public static final int DI_MASK = 0x1;
	public static final int DI_NORMAL = 0x3;
//	public static final int DI_READ_SPOOL_JOB = 0x3;
//	public static final int DIB_PAL_COLORS = 0x1;
	public static final int DIB_RGB_COLORS = 0x0;
//	public static final int DIFFERENCE = 0xB;
//	public static final int DIGIT = 0x4;
//	public static final int DISABLE_LOAD = 0x4;
//	public static final int DISC_NO_FORCE = 0x40;
//	public static final int DISC_UPDATE_PROFILE = 0x1;
//	public static final int DISCARDCACHE_NOSAVE = 0x1;
//	public static final int DISCARDCACHE_SAVEIFDIRTY = 0x0;
//	public static final int DISP_CHANGE_BADFLAGS = 0xFFFFFFFC;
//	public static final int DISP_CHANGE_BADMODE = 0xFFFFFFFE;
//	public static final int DISP_CHANGE_FAILED = 0xFFFFFFFF;
//	public static final int DISP_CHANGE_NOTUPDATED = 0xFFFFFFFD;
//	public static final int DISP_CHANGE_RESTART = 0x1;
//	public static final int DISP_CHANGE_SUCCESSFUL = 0x0;
//	public static final int DISP_E_ARRAYISLOCKED = 0x8002000D;
//	public static final int DISP_E_BADCALLEE = 0x80020010;
//	public static final int DISP_E_BADINDEX = 0x8002000B;
//	public static final int DISP_E_BADPARAMCOUNT = 0x8002000E;
//	public static final int DISP_E_BADVARTYPE = 0x80020008;
	public static final int DISP_E_EXCEPTION = 0x80020009;
//	public static final int DISP_E_EXCEPTION = 0x80020009;
//	public static final int DISP_E_MEMBERNOTFOUND = 0x80020003;
//	public static final int DISP_E_NONAMEDARGS = 0x80020007;
//	public static final int DISP_E_NOTACOLLECTION = 0x80020011;
//	public static final int DISP_E_OVERFLOW = 0x8002000A;
//	public static final int DISP_E_PARAMNOTFOUND = 0x80020004;
//	public static final int DISP_E_PARAMNOTOPTIONAL = 0x8002000F;
//	public static final int DISP_E_TYPEMISMATCH = 0x80020005;
//	public static final int DISP_E_UNKNOWNINTERFACE = 0x80020001;
//	public static final int DISP_E_UNKNOWNLCID = 0x8002000C;
//	public static final int DISP_E_UNKNOWNNAME = 0x80020006;
//	public static final int DISPATCH_METHOD = 0x1;
//	public static final int DISPATCH_PROPERTYGET = 0x2;
//	public static final int DISPATCH_PROPERTYPUT = 0x4;
//	public static final int DISPATCH_PROPERTYPUTREF = 0x8;
//	public static final int DISPID_ABOUTBOX = 0xFFFFFDD8;
//	public static final int DISPID_AMBIENT_APPEARANCE = 0xFFFFFD34;
//	public static final int DISPID_AMBIENT_AUTOCLIP = 0xFFFFFD35;
//	public static final int DISPID_AMBIENT_BACKCOLOR = 0xFFFFFD43;
//	public static final int DISPID_AMBIENT_DISPLAYASDEFAULT = 0xFFFFFD37;
//	public static final int DISPID_AMBIENT_DISPLAYNAME = 0xFFFFFD42;
//	public static final int DISPID_AMBIENT_FONT = 0xFFFFFD41;
//	public static final int DISPID_AMBIENT_FORECOLOR = 0xFFFFFD40;
//	public static final int DISPID_AMBIENT_LOCALEID = 0xFFFFFD3F;
//	public static final int DISPID_AMBIENT_MESSAGEREFLECT = 0xFFFFFD3E;
//	public static final int DISPID_AMBIENT_SCALEUNITS = 0xFFFFFD3D;
//	public static final int DISPID_AMBIENT_SHOWGRABHANDLES = 0xFFFFFD39;
//	public static final int DISPID_AMBIENT_SHOWHATCHING = 0xFFFFFD38;
//	public static final int DISPID_AMBIENT_SUPPORTSMNEMONICS = 0xFFFFFD36;
//	public static final int DISPID_AMBIENT_TEXTALIGN = 0xFFFFFD3C;
//	public static final int DISPID_AMBIENT_UIDEAD = 0xFFFFFD3A;
//	public static final int DISPID_AMBIENT_USERMODE = 0xFFFFFD3B;
//	public static final int DISPID_APPEARANCE = 0xFFFFFDF8;
//	public static final int DISPID_AUTOSIZE = 0xFFFFFE0C;
//	public static final int DISPID_BACKCOLOR = 0xFFFFFE0B;
//	public static final int DISPID_BACKSTYLE = 0xFFFFFE0A;
//	public static final int DISPID_BORDERCOLOR = 0xFFFFFE09;
//	public static final int DISPID_BORDERSTYLE = 0xFFFFFE08;
//	public static final int DISPID_BORDERVISIBLE = 0xFFFFFDF9;
//	public static final int DISPID_BORDERWIDTH = 0xFFFFFE07;
//	public static final int DISPID_CAPTION = 0xFFFFFDFA;
//	public static final int DISPID_CLICK = 0xFFFFFDA8;
//	public static final int DISPID_COLLECT = 0xFFFFFFF8;
//	public static final int DISPID_CONSTRUCTOR = 0xFFFFFFFA;
//	public static final int DISPID_DBLCLICK = 0xFFFFFDA7;
//	public static final int DISPID_DESTRUCTOR = 0xFFFFFFF9;
//	public static final int DISPID_DOCLICK = 0xFFFFFDD9;
//	public static final int DISPID_DRAWMODE = 0xFFFFFE05;
//	public static final int DISPID_DRAWSTYLE = 0xFFFFFE04;
//	public static final int DISPID_DRAWWIDTH = 0xFFFFFE03;
//	public static final int DISPID_ENABLED = 0xFFFFFDFE;
//	public static final int DISPID_ERROREVENT = 0xFFFFFDA0;
//	public static final int DISPID_EVALUATE = 0xFFFFFFFB;
//	public static final int DISPID_FILLCOLOR = 0xFFFFFE02;
//	public static final int DISPID_FILLSTYLE = 0xFFFFFE01;
//	public static final int DISPID_FONT = 0xFFFFFE00;
//	public static final int DISPID_FONT_BOLD = 0x3;
//	public static final int DISPID_FONT_CHARSET = 0x8;
//	public static final int DISPID_FONT_ITALIC = 0x4;
//	public static final int DISPID_FONT_NAME = 0x0;
//	public static final int DISPID_FONT_SIZE = 0x2;
//	public static final int DISPID_FONT_STRIKE = 0x6;
//	public static final int DISPID_FONT_UNDER = 0x5;
//	public static final int DISPID_FONT_WEIGHT = 0x7;
//	public static final int DISPID_FORECOLOR = 0xFFFFFDFF;
//	public static final int DISPID_HWND = 0xFFFFFDFD;
//	public static final int DISPID_KEYDOWN = 0xFFFFFDA6;
//	public static final int DISPID_KEYPRESS = 0xFFFFFDA5;
//	public static final int DISPID_KEYUP = 0xFFFFFDA4;
//	public static final int DISPID_MOUSEDOWN = 0xFFFFFDA3;
//	public static final int DISPID_MOUSEMOVE = 0xFFFFFDA2;
//	public static final int DISPID_MOUSEUP = 0xFFFFFDA1;
//	public static final int DISPID_NEWENUM = 0xFFFFFFFC;
//	public static final int DISPID_PICT_HANDLE = 0x0;
//	public static final int DISPID_PICT_HEIGHT = 0x5;
//	public static final int DISPID_PICT_HPAL = 0x2;
//	public static final int DISPID_PICT_RENDER = 0x6;
//	public static final int DISPID_PICT_TYPE = 0x3;
//	public static final int DISPID_PICT_WIDTH = 0x4;
//	public static final int DISPID_PROPERTYPUT = 0xFFFFFFFD;
//	public static final int DISPID_REFRESH = 0xFFFFFDDA;
//	public static final int DISPID_TABSTOP = 0xFFFFFDFC;
//	public static final int DISPID_TEXT = 0xFFFFFDFB;
//	public static final int DISPID_UNKNOWN = 0xFFFFFFFF;
//	public static final int DISPID_VALUE = 0x0;
	public static final int DFC_BUTTON = 0x4;
//	public static final int DFC_CAPTION = 0x1;
//	public static final int DFC_MENU = 0x2;
//	public static final int DFCS_ADJUSTRECT = 0x2000;
//	public static final int DFCS_BUTTON3STATE = 0x8;
	public static final int DFCS_BUTTONCHECK = 0x0;
//	public static final int DFCS_BUTTONPUSH = 0x10;
//	public static final int DFCS_BUTTONRADIO = 0x4;
//	public static final int DFCS_BUTTONRADIOIMAGE = 0x1;
//	public static final int DFCS_BUTTONRADIOMASK = 0x2;
//	public static final int DFCS_CAPTIONCLOSE = 0x0;
//	public static final int DFCS_CAPTIONHELP = 0x4;
//	public static final int DFCS_CAPTIONMAX = 0x2;
//	public static final int DFCS_CAPTIONMIN = 0x1;
//	public static final int DFCS_CAPTIONRESTORE = 0x3;
	public static final int DFCS_CHECKED = 0x400;
	public static final int DFC_SCROLL = 0x3;
	public static final int DFCS_FLAT = 0x4000;
	public static final int DFCS_INACTIVE = 0x100;
//	public static final int DFCS_MENUARROW = 0x0;
//	public static final int DFCS_MENUARROWRIGHT = 0x4;
//	public static final int DFCS_MENUBULLET = 0x2;
//	public static final int DFCS_MENUCHECK = 0x1;
//	public static final int DFCS_MONO = 0x8000;
	public static final int DFCS_PUSHED = 0x200;
//	public static final int DFCS_SCROLLCOMBOBOX = 0x5;
	public static final int DFCS_SCROLLDOWN = 0x1;
	public static final int DFCS_SCROLLLEFT = 0x2;
	public static final int DFCS_SCROLLRIGHT = 0x3;
//	public static final int DFCS_SCROLLSIZEGRIP = 0x8;
//	public static final int DFCS_SCROLLSIZEGRIPRIGHT = 0x10;
	public static final int DFCS_SCROLLUP = 0x0;
//	public static final int DKGRAY_BRUSH = 0x3;
	public static final int DLGC_BUTTON = 0x2000;
//	public static final int DLGC_DEFPUSHBUTTON = 0x10;
//	public static final int DLGC_HASSETSEL = 0x8;
//	public static final int DLGC_RADIOBUTTON = 0x40;
	public static final int DLGC_STATIC = 0x100;
//	public static final int DLGC_UNDEFPUSHBUTTON = 0x20;
	public static final int DLGC_WANTALLKEYS = 0x4;
	public static final int DLGC_WANTARROWS = 0x1;
//	public static final int DLGC_WANTCHARS = 0x80;
//	public static final int DLGC_WANTMESSAGE = 0x4;
	public static final int DLGC_WANTTAB = 0x2;
	public static final int DSTINVERT = 0x550009;
//	public static final int DT_BOTTOM = 0x8;
	public static final int DT_CALCRECT = 0x400;
//	public static final int DT_CENTER = 0x1;
//	public static final int DT_CHARSTREAM = 0x4;
//	public static final int DT_DISPFILE = 0x6;
	public static final int DT_EDITCONTROL = 0x2000;
//	public static final int DT_END_ELLIPSIS = 0x8000;
	public static final int DT_EXPANDTABS = 0x40;
//	public static final int DT_EXTERNALLEADING = 0x200;
//	public static final int DT_INTERNAL = 0x1000;
	public static final int DT_LEFT = 0x0;
//	public static final int DT_METAFILE = 0x5;
//	public static final int DT_MODIFYSTRING = 0x10000;
//	public static final int DT_NOCLIP = 0x100;
	public static final int DT_NOPREFIX = 0x800;
//	public static final int DT_PATH_ELLIPSIS = 0x4000;
//	public static final int DT_PLOTTER = 0x0;
//	public static final int DT_RASCAMERA = 0x3;
//	public static final int DT_RASDISPLAY = 0x1;
//	public static final int DT_RASPRINTER = 0x2;
//	public static final int DT_RIGHT = 0x2;
//	public static final int DT_RTLREADING = 0x20000;
	public static final int DT_SINGLELINE = 0x20;
//	public static final int DT_TABSTOP = 0x80;
//	public static final int DT_TOP = 0x0;
//	public static final int DT_VCENTER = 0x4;
//	public static final int DT_WORD_ELLIPSIS = 0x40000;
	public static final int DT_WORDBREAK = 0x10;
//	public static final int DTR_CONTROL_DISABLE = 0x0;
//	public static final int DTR_CONTROL_ENABLE = 0x1;
//	public static final int DTR_CONTROL_HANDSHAKE = 0x2;
//	public static final int E_NOINTERFACE = 0x80004002;
//	public static final int E_NOTIMPL = 0x80004001;
	public static final int ECO_AUTOHSCROLL = 0x00000080;
//	public static final int ECO_AUTOVSCROLL = 0x00000040;
//	public static final int ECO_AUTOWORDSELECTION = 0x00000001;
//	public static final int ECO_NOHIDESEL = 0x00000100;
//	public static final int ECO_READONLY = 0x00000800;
//	public static final int ECO_SAVESEL = 0x00008000;
//	public static final int ECO_SELECTIONBAR = 0x01000000;
//	public static final int ECO_VERTICAL = 0x00400000;
//	public static final int ECO_WANTRETURN = 0x00001000;
	public static final int ECOOP_AND = 0x0003;
	public static final int ECOOP_OR = 0x0002;
//	public static final int ECOOP_SET = 0x0001;
//	public static final int ECOOP_XOR = 0x0004;
//	public static final int EDGE_BUMP = 0x9;
	public static final int EDGE_ETCHED = 0x6;
//	public static final int EDGE_RAISED = 0x5;
	public static final int EDGE_SUNKEN = 0xA;
//	public static final int EM_AUTOURLDETECT = (WM_USER + 91);
//	public static final int EM_CANPASTE = (WM_USER + 50);
//	public static final int EM_CANREDO = (WM_USER + 85);
	public static final int EM_CANUNDO = 0xC6;
	public static final int EM_CHARFROMPOS = 0xD7;
	public static final int EM_DISPLAYBAND = (WM_USER + 51);
//	public static final int EM_EMPTYUNDOBUFFER = 0xCD;
//	public static final int EM_EXGETSEL = (WM_USER + 52);
//	public static final int EM_EXLIMITTEXT = (WM_USER + 53);
//	public static final int EM_EXLINEFROMCHAR = (WM_USER + 54);
//	public static final int EM_EXSETSEL = (WM_USER + 55);
//	public static final int EM_FINDTEXT = (WM_USER + 56);
//	public static final int EM_FINDTEXTEX = (WM_USER + 79);
//	public static final int EM_FINDTEXTEXW = (WM_USER + 124);
//	public static final int EM_FINDTEXTW = (WM_USER + 123);
//	public static final int EM_FINDWORDBREAK = (WM_USER + 76);
//	public static final int EM_FMTLINES = 0xC8;
//	public static final int EM_FORMATRANGE = (WM_USER + 57);
//	public static final int EM_GETAUTOURLDETECT = (WM_USER + 92);
//	public static final int EM_GETBIDIOPTIONS = (WM_USER + 201);
//	public static final int EM_GETCHARFORMAT = (WM_USER + 58);
//	public static final int EM_GETEVENTMASK = (WM_USER + 59);
	public static final int EM_GETFIRSTVISIBLELINE = 0xCE;
//	public static final int EM_GETHANDLE = 0xBD;
//	public static final int EM_GETIMECOMPMODE = (WM_USER + 122);
//	public static final int EM_GETLANGOPTIONS = (WM_USER + 121);
	public static final int EM_GETLIMITTEXT = 0xD5;
	public static final int EM_GETLINE = 0xC4;
	public static final int EM_GETLINECOUNT = 0xBA;
//	public static final int EM_GETMARGINS = 0xD4;
//	public static final int EM_GETMODIFY = 0xB8;
//	public static final int EM_GETOLEINTERFACE = (WM_USER + 60);
//	public static final int EM_GETOPTIONS = (WM_USER + 78);
//	public static final int EM_GETPARAFORMAT = (WM_USER + 61);
	public static final int EM_GETPASSWORDCHAR = 0xD2;
	public static final int EM_GETRECT = 0xB2;
//	public static final int EM_GETREDONAME = (WM_USER + 87);
	public static final int EM_GETSCROLLPOS = (WM_USER + 221);
	public static final int EM_GETSEL = 0xB0;
//	public static final int EM_GETSELTEXT = (WM_USER + 62);
//	public static final int EM_GETTEXTEX = (WM_USER + 94);
//	public static final int EM_GETTEXTLENGTHEX = (WM_USER + 95);
//	public static final int EM_GETTEXTMODE = (WM_USER + 90);
//	public static final int EM_GETTEXTRANGE = (WM_USER + 75);
//	public static final int EM_GETTHUMB = 0xBE;
//	public static final int EM_GETUNDONAME = (WM_USER + 86);
//	public static final int EM_GETWORDBREAKPROC = 0xD1;
//	public static final int EM_GETWORDBREAKPROCEX = (WM_USER + 80);
//	public static final int EM_HIDESELECTION = (WM_USER + 63); 
	public static final int EM_LIMITTEXT = 0xC5;
	public static final int EM_LINEFROMCHAR = 0xC9;
	public static final int EM_LINEINDEX = 0xBB;
	public static final int EM_LINELENGTH = 0xC1;
	public static final int EM_LINESCROLL = 0xB6;
//	public static final int EM_PASTESPECIAL = (WM_USER + 64);
	public static final int EM_POSFROMCHAR = 0xD6;
//	public static final int EM_REDO = (WM_USER + 84);
	public static final int EM_REPLACESEL = 0xC2;
//	public static final int EM_REQUESTRESIZE = (WM_USER + 65);
//	public static final int EM_SCROLL = 0xB5;
	public static final int EM_SCROLLCARET = 0xB7;
//	public static final int EM_SELECTIONTYPE = (WM_USER + 66);
//	public static final int EM_SETBIDIOPTIONS = (WM_USER + 200);
	public static final int EM_SETBKGNDCOLOR = (WM_USER + 67);
//	public static final int EM_SETCHARFORMAT = (WM_USER + 68);
//	public static final int EM_SETEVENTMASK = (WM_USER + 69);
//	public static final int EM_SETHANDLE = 0xBC;
//	public static final int EM_SETLANGOPTIONS = (WM_USER + 120);
	public static final int EM_SETLIMITTEXT = 0xC5;
//	public static final int EM_SETMARGINS = 0xD3;
//	public static final int EM_SETMODIFY = 0xB9;
//	public static final int EM_SETOLECALLBACK = (WM_USER + 70);
	public static final int EM_SETOPTIONS = (WM_USER + 77);
//	public static final int EM_SETPALETTE = (WM_USER + 93);
	public static final int EM_SETPARAFORMAT = (WM_USER + 71);
	public static final int EM_SETPASSWORDCHAR = 0xCC;
	public static final int EM_SETREADONLY = 0xCF;
//	public static final int EM_SETRECT = 0xB3;
//	public static final int EM_SETRECTNP = 0xB4;
//	public static final int EM_SETSCROLLPOS = (WM_USER + 222);
	public static final int EM_SETSEL = 0xB1;
	public static final int EM_SETTABSTOPS = 0xCB;
//	public static final int EM_SETTARGETDEVICE = (WM_USER + 72);
//	public static final int EM_SETTEXTMODE = (WM_USER + 89);
//	public static final int EM_SETUNDOLIMIT = (WM_USER + 82);
//	public static final int EM_SETWORDBREAKPROC = 0xD0;
//	public static final int EM_SETWORDBREAKPROCEX = (WM_USER + 81);
//	public static final int EM_SHOWSCROLLBAR = (WM_USER + 96);
//	public static final int EM_STOPGROUPTYPING = (WM_USER + 88);
//	public static final int EM_STREAMIN = (WM_USER + 73);
//	public static final int EM_STREAMOUT = (WM_USER + 74);
//	public static final int EM_UNDO = 0xC7;
//	public static final int EMBDHLP_CREATENOW = 0x0;
//	public static final int EMBDHLP_DELAYCREATE = 0x10000;
//	public static final int EMBDHLP_INPROC_HANDLER = 0x0;
//	public static final int EMBDHLP_INPROC_SERVER = 0x1;
//	public static final int EMR_ABORTPATH = 0x44;
//	public static final int EMR_ANGLEARC = 0x29;
//	public static final int EMR_ARC = 0x2D;
//	public static final int EMR_ARCTO = 0x37;
//	public static final int EMR_BEGINPATH = 0x3B;
//	public static final int EMR_BITBLT = 0x4C;
//	public static final int EMR_CHORD = 0x2E;
//	public static final int EMR_CLOSEFIGURE = 0x3D;
//	public static final int EMR_CREATEBRUSHINDIRECT = 0x27;
//	public static final int EMR_CREATECOLORSPACE = 0x63;
//	public static final int EMR_CREATEDIBPATTERNBRUSHPT = 0x5E;
//	public static final int EMR_CREATEMONOBRUSH = 0x5D;
//	public static final int EMR_CREATEPALETTE = 0x31;
//	public static final int EMR_CREATEPEN = 0x26;
//	public static final int EMR_DELETECOLORSPACE = 0x65;
//	public static final int EMR_DELETEOBJECT = 0x28;
//	public static final int EMR_ELLIPSE = 0x2A;
//	public static final int EMR_ENDPATH = 0x3C;
//	public static final int EMR_EOF = 0xE;
//	public static final int EMR_EXCLUDECLIPRECT = 0x1D;
//	public static final int EMR_EXTCREATEFONTINDIRECTW = 0x52;
//	public static final int EMR_EXTCREATEPEN = 0x5F;
//	public static final int EMR_EXTFLOODFILL = 0x35;
//	public static final int EMR_EXTSELECTCLIPRGN = 0x4B;
//	public static final int EMR_EXTTEXTOUTA = 0x53;
//	public static final int EMR_EXTTEXTOUTW = 0x54;
//	public static final int EMR_FILLPATH = 0x3E;
//	public static final int EMR_FILLRGN = 0x47;
//	public static final int EMR_FLATTENPATH = 0x41;
//	public static final int EMR_FRAMERGN = 0x48;
//	public static final int EMR_GDICOMMENT = 0x46;
//	public static final int EMR_HEADER = 0x1;
//	public static final int EMR_INTERSECTCLIPRECT = 0x1E;
//	public static final int EMR_INVERTRGN = 0x49;
//	public static final int EMR_LINETO = 0x36;
//	public static final int EMR_MASKBLT = 0x4E;
//	public static final int EMR_MAX = 0x65;
//	public static final int EMR_MIN = 0x1;
//	public static final int EMR_MODIFYWORLDTRANSFORM = 0x24;
//	public static final int EMR_MOVETOEX = 0x1B;
//	public static final int EMR_OFFSETCLIPRGN = 0x1A;
//	public static final int EMR_PAINTRGN = 0x4A;
//	public static final int EMR_PIE = 0x2F;
//	public static final int EMR_PLGBLT = 0x4F;
//	public static final int EMR_POLYBEZIER = 0x2;
//	public static final int EMR_POLYBEZIER16 = 0x55;
//	public static final int EMR_POLYBEZIERTO = 0x5;
//	public static final int EMR_POLYBEZIERTO16 = 0x58;
//	public static final int EMR_POLYDRAW = 0x38;
//	public static final int EMR_POLYDRAW16 = 0x5C;
//	public static final int EMR_POLYGON = 0x3;
//	public static final int EMR_POLYGON16 = 0x56;
//	public static final int EMR_POLYLINE = 0x4;
//	public static final int EMR_POLYLINE16 = 0x57;
//	public static final int EMR_POLYLINETO = 0x6;
//	public static final int EMR_POLYLINETO16 = 0x59;
//	public static final int EMR_POLYPOLYGON = 0x8;
//	public static final int EMR_POLYPOLYGON16 = 0x5B;
//	public static final int EMR_POLYPOLYLINE = 0x7;
//	public static final int EMR_POLYPOLYLINE16 = 0x5A;
//	public static final int EMR_POLYTEXTOUTA = 0x60;
//	public static final int EMR_POLYTEXTOUTW = 0x61;
//	public static final int EMR_REALIZEPALETTE = 0x34;
//	public static final int EMR_RECTANGLE = 0x2B;
//	public static final int EMR_RESIZEPALETTE = 0x33;
//	public static final int EMR_RESTOREDC = 0x22;
//	public static final int EMR_ROUNDRECT = 0x2C;
//	public static final int EMR_SAVEDC = 0x21;
//	public static final int EMR_SCALEVIEWPORTEXTEX = 0x1F;
//	public static final int EMR_SCALEWINDOWEXTEX = 0x20;
//	public static final int EMR_SELECTCLIPPATH = 0x43;
//	public static final int EMR_SELECTOBJECT = 0x25;
//	public static final int EMR_SELECTPALETTE = 0x30;
//	public static final int EMR_SETARCDIRECTION = 0x39;
//	public static final int EMR_SETBKCOLOR = 0x19;
//	public static final int EMR_SETBKMODE = 0x12;
//	public static final int EMR_SETBRUSHORGEX = 0xD;
//	public static final int EMR_SETCOLORADJUSTMENT = 0x17;
//	public static final int EMR_SETCOLORSPACE = 0x64;
//	public static final int EMR_SETDIBITSTODEVICE = 0x50;
//	public static final int EMR_SETICMMODE = 0x62;
//	public static final int EMR_SETMAPMODE = 0x11;
//	public static final int EMR_SETMAPPERFLAGS = 0x10;
//	public static final int EMR_SETMETARGN = 0x1C;
//	public static final int EMR_SETMITERLIMIT = 0x3A;
//	public static final int EMR_SETPALETTEENTRIES = 0x32;
//	public static final int EMR_SETPIXELV = 0xF;
//	public static final int EMR_SETPOLYFILLMODE = 0x13;
//	public static final int EMR_SETROP2 = 0x14;
//	public static final int EMR_SETSTRETCHBLTMODE = 0x15;
//	public static final int EMR_SETTEXTALIGN = 0x16;
//	public static final int EMR_SETTEXTCOLOR = 0x18;
//	public static final int EMR_SETVIEWPORTEXTEX = 0xB;
//	public static final int EMR_SETVIEWPORTORGEX = 0xC;
//	public static final int EMR_SETWINDOWEXTEX = 0x9;
//	public static final int EMR_SETWINDOWORGEX = 0xA;
//	public static final int EMR_SETWORLDTRANSFORM = 0x23;
//	public static final int EMR_STRETCHBLT = 0x4D;
//	public static final int EMR_STRETCHDIBITS = 0x51;
//	public static final int EMR_STROKEANDFILLPATH = 0x3F;
//	public static final int EMR_STROKEPATH = 0x40;
//	public static final int EMR_WIDENPATH = 0x42;
//	public static final int EN_ALIGN_LTR = 0x0710;
//	public static final int EN_ALIGN_RTL = 0x0711; 
	public static final int EN_CHANGE = 0x300;
//	public static final int EN_CORRECTTEXT = 0x0705;
//	public static final int EN_DRAGDROPDONE = 0x070c;
//	public static final int EN_DROPFILES = 0x0703;
//	public static final int EN_ERRSPACE = 0x500;
//	public static final int EN_HSCROLL = 0x601;
//	public static final int EN_IMECHANGE = 0x0707;
//	public static final int EN_KILLFOCUS = 0x200;
//	public static final int EN_LINK = 0x070b;
//	public static final int EN_MAXTEXT = 0x501;
//	public static final int EN_MSGFILTER = 0x0700;
//	public static final int EN_OBJECTPOSITIONS = 0x070a;
//	public static final int EN_OLEOPFAILED = 0x0709;
//	public static final int EN_PROTECTED = 0x0704; 
//	public static final int EN_REQUESTRESIZE = 0x0701;
//	public static final int EN_SAVECLIPBOARD = 0x0708;
//	public static final int EN_SELCHANGE = 0x0702;
//	public static final int EN_SETFOCUS = 0x100;
//	public static final int EN_STOPNOUNDO = 0x0706;
//	public static final int EN_UPDATE = 0x400;
//	public static final int EN_VSCROLL = 0x602;
//	public static final int ENABLE_ECHO_INPUT = 0x4;
//	public static final int ENABLE_LINE_INPUT = 0x2;
//	public static final int ENABLE_MOUSE_INPUT = 0x10;
//	public static final int ENABLE_PROCESSED_INPUT = 0x1;
//	public static final int ENABLE_PROCESSED_OUTPUT = 0x1;
//	public static final int ENABLE_WINDOW_INPUT = 0x8;
//	public static final int ENABLE_WRAP_AT_EOL_OUTPUT = 0x2;
//	public static final int ENABLEDUPLEX = 0x1C;
//	public static final int ENABLEPAIRKERNING = 0x301;
//	public static final int ENABLERELATIVEWIDTHS = 0x300;
//	public static final int ENCAPSULATED_POSTSCRIPT = 0x1014;
//	public static final int ENDDOC = 0xB;
//	public static final int ENHANCED_KEY = 0x100;
//	public static final int ENHMETA_SIGNATURE = 0x464D4520;
//	public static final int ENHMETA_STOCK_OBJECT = 0x80000000;
//	public static final int ENM_CHANGE = 0x00000001;
//	public static final int ENM_CORRECTTEXT = 0x00400000;
//	public static final int ENM_DRAGDROPDONE = 0x00000010;
//	public static final int ENM_DROPFILES = 0x00100000;
//	public static final int ENM_IMECHANGE = 0x00800000;
//	public static final int ENM_KEYEVENTS = 0x00010000;
//	public static final int ENM_LANGCHANGE = 0x01000000;
//	public static final int ENM_LINK = 0x04000000;
//	public static final int ENM_MOUSEEVENTS = 0x00020000;
//	public static final int ENM_NONE = 0x00000000;
//	public static final int ENM_OBJECTPOSITIONS = 0x02000000;
//	public static final int ENM_PROTECTED = 0x00200000;
//	public static final int ENM_REQUESTRESIZE = 0x00040000;
//	public static final int ENM_SCROLL = 0x00000004;
//	public static final int ENM_SCROLLEVENTS = 0x00000008;
//	public static final int ENM_SELCHANGE = 0x00080000;
//	public static final int ENM_UPDATE = 0x00000002;
//	public static final int ENUM_ALL_CALENDARS = 0xFFFFFFFF;
//	public static final int ENUM_E_FIRST = 0x800401B0;
//	public static final int ENUM_E_LAST = 0x800401BF;
//	public static final int ENUM_S_FIRST = 0x401B0;
//	public static final int ENUM_S_LAST = 0x401BF;
//	public static final int ENUMPAPERBINS = 0x1F;
//	public static final int ENUMPAPERMETRICS = 0x22;
//	public static final int ERROR = 0x0;
	public static final int ERROR_NO_MORE_ITEMS = 259;
	public static final int ES_AUTOHSCROLL = 0x80;
//	public static final int ES_AUTOVSCROLL = 0x40;
//	public static final int ES_CENTER = 0x1;
//	public static final int ES_DISABLENOSCROLL = 0x00002000;
//	public static final int ES_EX_NOCALLOLEINIT = 0x01000000;
//	public static final int ES_LEFT = 0x0;
//	public static final int ES_LOWERCASE = 0x10;
	public static final int ES_MULTILINE = 0x4;
	public static final int ES_NOHIDESEL = 0x100;
//	public static final int ES_NOIME = 0x00080000;
//	public static final int ES_NOOLEDRAGDROP = 0x00000008;
//	public static final int ES_NUMBER = 0x2000;
//	public static final int ES_OEMCONVERT = 0x400;
//	public static final int ES_PASSWORD = 0x20;
	public static final int ES_READONLY = 0x800;
//	public static final int ES_RIGHT = 0x2;
//	public static final int ES_SAVESEL = 0x00008000;
//	public static final int ES_SELECTIONBAR = 0x01000000;
//	public static final int ES_SELFIME = 0x00040000;
//	public static final int ES_SUNKEN = 0x00004000;
//	public static final int ES_UPPERCASE = 0x8;
//	public static final int ES_VERTICAL = 0x00400000;
//	public static final int ES_WANTRETURN = 0x1000;
	public static final int ESB_DISABLE_BOTH = 0x3;
//	public static final int ESB_DISABLE_DOWN = 0x2;
//	public static final int ESB_DISABLE_LEFT = 0x1;
//	public static final int ESB_DISABLE_LTUP = 0x1;
//	public static final int ESB_DISABLE_RIGHT = 0x2;
//	public static final int ESB_DISABLE_RTDN = 0x2;
//	public static final int ESB_DISABLE_UP = 0x1;
	public static final int ESB_ENABLE_BOTH = 0x0;
	public static final int FALT = 0x10;
	public static final int FCONTROL = 0x8;
//	public static final int FNERR_BUFFERTOOSMALL = 0x3003;
//	public static final int FNERR_FILENAMECODES = 0x3000;
	public static final int FNERR_INVALIDFILENAME = 0x3002;
//	public static final int FNERR_SUBCLASSFAILURE = 0x3001;
//	public static final int FNOINVERT = 0x2;	
//	public static final int FR_MATCHALEFHAMZA = 0x80000000;
//	public static final int FR_MATCHDIAC = 0x20000000;
//	public static final int FR_MATCHKASHIDA = 0x40000000;
	public static final int FSHIFT = 0x4;
	public static final int FVIRTKEY = 0x1;
//	public static final int GCL_CBCLSEXTRA = 0xFFFFFFEC;
//	public static final int GCL_CBWNDEXTRA = 0xFFFFFFEE;
//	public static final int GCL_CONVERSION = 0x1;
//	public static final int GCL_HBRBACKGROUND = 0xFFFFFFF6;
//	public static final int GCL_HCURSOR = 0xFFFFFFF4;
//	public static final int GCL_HICON = 0xFFFFFFF2;
//	public static final int GCL_HICONSM = 0xFFFFFFDE;
//	public static final int GCL_HMODULE = 0xFFFFFFF0;
//	public static final int GCL_MENUNAME = 0xFFFFFFF8;
//	public static final int GCL_REVERSE_LENGTH = 0x3;
//	public static final int GCL_REVERSECONVERSION = 0x2;
//	public static final int GCL_STYLE = 0xFFFFFFE6;
//	public static final int GCL_WNDPROC = 0xFFFFFFE8;
//	public static final int GCM_RIGHTMOUSEDROP = 0x8000;
//	public static final int GHND = (GMEM_MOVEABLE | GMEM_ZEROINIT);
//	public static final int GMDI_GOINTOPOPUPS = 0x2;
	public static final int GMDI_USEDISABLED = 0x1;
//	public static final int GMEM_DDESHARE = 0x2000;
//	public static final int GMEM_DISCARDABLE = 0x0100;
//	public static final int GMEM_DISCARDED = 0x4000;
	public static final int GMEM_FIXED = 0x0000;
//	public static final int GMEM_INVALID_HANDLE = 0x8000;
//	public static final int GMEM_LOCKCOUNT = 0x00FF;
//	public static final int GMEM_LOWER = GMEM_NOT_BANKED;
//	public static final int GMEM_MODIFY = 0x0080;
//	public static final int GMEM_MOVEABLE = 0x0002;
//	public static final int GMEM_NOCOMPACT = 0x0010;
//	public static final int GMEM_NODISCARD = 0x0020;
//	public static final int GMEM_NOT_BANKED = 0x1000;
//	public static final int GMEM_NOTIFY = 0x4000;
//	public static final int GMEM_SHARE = 0x2000;
//	public static final int GMEM_VALID_FLAGS = 0x7F72;
	public static final int GMEM_ZEROINIT = 0x0040;
	public static final int GPTR = (GMEM_FIXED | GMEM_ZEROINIT);
//	public static final int GRAY_BRUSH = 0x2;
	public static final int GT_DEFAULT = 0;
//	public static final int GT_USECRLF = 1;
//	public static final int GTL_CLOSE = 4;
//	public static final int GTL_DEFAULT = 0;
	public static final int GTL_NUMBYTES = 16;
	public static final int GTL_NUMCHARS = 8;
	public static final int GTL_PRECISE = 2;
//	public static final int GTL_USECRLF = 1;
	public static final int GW_CHILD = 0x5;
	public static final int GW_HWNDFIRST = 0x0;
	public static final int GW_HWNDLAST = 0x1;
	public static final int GW_HWNDNEXT = 0x2;
	public static final int GW_HWNDPREV = 0x3;
//	public static final int GW_MAX = 0x5;
//	public static final int GW_OWNER = 0x4;
	public static final int GWL_EXSTYLE = 0xFFFFFFEC;
//	public static final int GWL_HINSTANCE = 0xFFFFFFFA;
//	public static final int GWL_HWNDPARENT = 0xFFFFFFF8;
//	public static final int GWL_ID = 0xFFFFFFF4;
	public static final int GWL_STYLE = 0xFFFFFFF0;
	public static final int GWL_USERDATA = 0xFFFFFFEB;
	public static final int GWL_WNDPROC = 0xFFFFFFFC;
	public static final int HBMMENU_CALLBACK = -1;
//	public static final int HBMMENU_SYSTEM = 1;
//	public static final int HBMMENU_MBAR_RESTORE = 2;
//	public static final int HBMMENU_MBAR_MINIMIZE = 3;
//	public static final int HBMMENU_MBAR_CLOSE = 5;
//	public static final int HBMMENU_MBAR_CLOSE_D = 6;
//	public static final int HBMMENU_MBAR_MINIMIZE_D = 7;
//	public static final int HBMMENU_POPUP_CLOSE = 8;
//	public static final int HBMMENU_POPUP_RESTORE = 9;
//	public static final int HBMMENU_POPUP_MAXIMIZE = 10;
//	public static final int HBMMENU_POPUP_MINIMIZE = 11;
//	public static final int HDF_BITMAP = 0x2000;
//	public static final int HDF_BITMAP_ON_RIGHT = 0x1000;
//	public static final int HDF_CENTER = 2;
//	public static final int HDF_IMAGE = 0x0800;
//	public static final int HDF_JUSTIFYMASK = 0x0003;
//	public static final int HDF_LEFT = 0;
//	public static final int HDF_OWNERDRAW = 0x8000;
//	public static final int HDF_RIGHT = 1;
//	public static final int HDF_RTLREADING = 4;
//	public static final int HDF_STRING = 0x4000;
//	public static final int HDI_BITMAP = 0x0010;
//	public static final int HDI_DI_SETITEM = 0x0040;
//	public static final int HDI_FORMAT = 0x0004;
//	public static final int HDI_HEIGHT = HDI_WIDTH;
//	public static final int HDI_IMAGE = 0x0020;
//	public static final int HDI_LPARAM = 0x0008;
//	public static final int HDI_ORDER = 0x0080;
//	public static final int HDI_TEXT = 0x0002;
	public static final int HDI_WIDTH = 0x0001;
//	public static final int HDM_CREATEDRAGIMAGE = (HDM_FIRST + 16);
//	public static final int HDM_DELETEITEM = (HDM_FIRST + 2);
//	public static final int HDM_GETIMAGELIST = (HDM_FIRST + 9);
//	public static final int HDM_GETITEM = (HDM_FIRST + 3);
	public static final int HDM_GETITEMCOUNT = (HDM_FIRST + 0);
//	public static final int HDM_GETITEMRECT = (HDM_FIRST + 7);
//	public static final int HDM_GETORDERARRAY = (HDM_FIRST + 17);
//	public static final int HDM_GETUNICODEFORMAT = CCM_GETUNICODEFORMAT; 
//	public static final int HDM_HITTEST = (HDM_FIRST + 6);
//	public static final int HDM_INSERTITEM = (HDM_FIRST + 1);
//	public static final int HDM_LAYOUT = (HDM_FIRST + 5);
//	public static final int HDM_ORDERTOINDEX = (HDM_FIRST + 15);
//	public static final int HDM_SETHOTDIVIDER = (HDM_FIRST + 19);
//	public static final int HDM_SETIMAGELIST = (HDM_FIRST + 8);
//	public static final int HDM_SETITEM = (HDM_FIRST + 4);
//	public static final int HDM_SETORDERARRAY = (HDM_FIRST + 18);
//	public static final int HDM_SETUNICODEFORMAT = CCM_SETUNICODEFORMAT;
//	public static final int HDN_BEGINDRAG = (HDN_FIRST-10);
	public static final int HDN_BEGINTRACK = (HDN_FIRST-6);
	public static final int HDN_BEGINTRACKW = (HDN_FIRST-26);
//	public static final int HDN_DIVIDERDBLCLICK = (HDN_FIRST-5);
//	public static final int HDN_ENDDRAG = (HDN_FIRST-11);
//	public static final int HDN_ENDTRACK = (HDN_FIRST-7);
//	public static final int HDN_GETDISPINFO = (HDN_FIRST-9);
	public static final int HDN_ITEMCHANGED = (HDN_FIRST-1);
	public static final int HDN_ITEMCHANGEDW = (HDN_FIRST-21);
//	public static final int HDN_ITEMCHANGING = (HDN_FIRST-0);
//	public static final int HDN_ITEMCHANGINGW = (HDN_FIRST-20);
//	public static final int HDN_ITEMCLICK = (HDN_FIRST-2);
//	public static final int HDN_ITEMDBLCLICK = (HDN_FIRST-3);
//	public static final int HDN_TRACK = (HDN_FIRST-8);
//	public static final int HDS_BUTTONS = 0x0002;
//	public static final int HDS_DRAGDROP = 0x0040;
//	public static final int HDS_FULLDRAG = 0x0080;
//	public static final int HDS_HIDDEN = 0x0008;
//	public static final int HDS_HORZ = 0x0000;
//	public static final int HDS_HOTTRACK = 0x0004;
//	public static final int HEAP_CREATE_ALIGN16 = 0x10000;
//	public static final int HEAP_CREATE_ENABLE_TRACING = 0x20000;
//	public static final int HEAP_DISABLE_COALESCE_ON_FREE = 0x80;
//	public static final int HEAP_FREE_CHECKING_ENABLED = 0x40;
//	public static final int HEAP_GENERATE_EXCEPTIONS = 0x4;
//	public static final int HEAP_GROWABLE = 0x2;
//	public static final int HEAP_MAXIMUM_TAG = 0xFFF;
//	public static final int HEAP_NO_SERIALIZE = 0x1;
//	public static final int HEAP_PSEUDO_TAG_FLAG = 0x8000;
//	public static final int HEAP_REALLOC_IN_PLACE_ONLY = 0x10;
//	public static final int HEAP_TAG_SHIFT = 0x10;
//	public static final int HEAP_TAIL_CHECKING_ENABLED = 0x20;
	public static final int HEAP_ZERO_MEMORY = 0x8;
	public static final int HELPINFO_MENUITEM = 0x2;
//	public static final int HELPINFO_WINDOW = 0x1;
//	public static final int HHT_ABOVE = 0x0100;
//	public static final int HHT_BELOW = 0x0200;
//	public static final int HHT_NOWHERE = 0x0001;
//	public static final int HHT_ONDIVIDER = 0x0004;
//	public static final int HHT_ONDIVOPEN = 0x0008;
//	public static final int HHT_ONHEADER = 0x0002;
//	public static final int HHT_TOLEFT = 0x0800;
//	public static final int HHT_TORIGHT = 0x0400;
	public static final int HINST_COMMCTRL = 0xFFFFFFFF;
	public static final int HKEY_CLASSES_ROOT = 0x80000000;
	public static final int HKEY_CURRENT_USER = 0x80000001;
//	public static final int HKEY_LOCAL_MACHINE = 0x80000002;
//	public static final int HKEY_USERS = 0x80000003;
//	public static final int HKEY_PERFORMANCE_DATA = 0x80000004;
//	public static final int HKEY_CURRENT_CONFIG = 0x80000005;
//	public static final int HKEY_DYN_DATA = 0x80000006;
//	public static final int HOLLOW_BRUSH = 0x5;
	public static final int HORZRES		= 8;
	public static final int HTBORDER = 0x12;
//	public static final int HTBOTTOM = 0xF;
//	public static final int HTBOTTOMLEFT = 0x10;
//	public static final int HTBOTTOMRIGHT = 0x11;
//	public static final int HTCAPTION = 0x2;
	public static final int HTCLIENT = 0x1;
//	public static final int HTCLOSE = 0x14;
//	public static final int HTERROR = 0xFFFFFFFE;
//	public static final int HTGROWBOX = 0x4;
//	public static final int HTHELP = 0x15;
	public static final int HTHSCROLL = 0x6;
//	public static final int HTLEFT = 0xA;
//	public static final int HTMAXBUTTON = 0x9;
	public static final int HTMENU = 0x5;
//	public static final int HTMINBUTTON = 0x8;
	public static final int HTNOWHERE = 0x0;
//	public static final int HTOBJECT = 0x13;
//	public static final int HTREDUCE = 0x8;
//	public static final int HTRIGHT = 0xB;
//	public static final int HTSIZE = 0x4;
//	public static final int HTSIZEFIRST = 0xA;
//	public static final int HTSIZELAST = 0x11;
//	public static final int HTSYSMENU = 0x3;
//	public static final int HTTOP = 0xC;
//	public static final int HTTOPLEFT = 0xD;
//	public static final int HTTOPRIGHT = 0xE;
	public static final int HTTRANSPARENT = 0xFFFFFFFF;
	public static final int HTVSCROLL = 0x7;
//	public static final int HTZOOM = 0x9;
	public static final int HWND_BOTTOM = 0x1;
//	public static final int HWND_BROADCAST = 0xFFFF;
//	public static final int HWND_DESKTOP = 0x0;
//	public static final int HWND_NOTOPMOST = 0xFFFFFFFE;
	public static final int HWND_TOP = 0x0;
	public static final int HWND_TOPMOST = 0xFFFFFFFF;
//	public static final int I_CHILDRENCALLBACK = -1;
//	public static final int ICM_LEVEL2 = 0x0002;
//	public static final int ICM_LEVEL2_5 = 0x0003;
//	public static final int ICM_LEVEL2_SUI = 0x0004;
//	public static final int ICM_LEVEL3 = 0x0001;
	public static final int ICM_NOTOPEN = 0x0000;
	public static final int ICON_BIG = 1;
	public static final int ICON_SMALL = 0;
//	public static final int ID_BROWSE_ADDCONTROL = 0x3;
//	public static final int ID_BROWSE_CHANGEICON = 0x1;
//	public static final int ID_BROWSE_CHANGESOURCE = 0x4;
//	public static final int ID_BROWSE_INSERTFILE = 0x2;
//	public static final int ID_DEFAULTINST = 0xFFFFFFFE;
//	public static final int ID_PSREBOOTSYSTEM = 0x3;
//	public static final int ID_PSRESTARTWINDOWS = 0x2;
	public static final int IDABORT = 0x3;
//	public static final int IDANI_CAPTION = 0x3;
//	public static final int IDANI_CLOSE = 0x2;
//	public static final int IDANI_OPEN = 0x1;
//	public static final int IDB_STD_LARGE_COLOR = 0x1;
	public static final int IDB_STD_SMALL_COLOR = 0x0;
//	public static final int IDB_VIEW_LARGE_COLOR = 0x5;
//	public static final int IDB_VIEW_SMALL_COLOR = 0x4;
	public static final int IDC_APPSTARTING = 0x7F8A;
	public static final int IDC_ARROW = 0x7F00;
//	public static final int IDC_BZ_ICON = 0x259;
//	public static final int IDC_BZ_MESSAGE1 = 0x25A;
//	public static final int IDC_BZ_RETRY = 0x258;
//	public static final int IDC_BZ_SWITCHTO = 0x25C;
//	public static final int IDC_CI_BROWSE = 0x82;
//	public static final int IDC_CI_CURRENT = 0x79;
//	public static final int IDC_CI_CURRENTICON = 0x7A;
//	public static final int IDC_CI_DEFAULT = 0x7B;
//	public static final int IDC_CI_DEFAULTICON = 0x7C;
//	public static final int IDC_CI_FROMFILE = 0x7D;
//	public static final int IDC_CI_FROMFILEEDIT = 0x7E;
//	public static final int IDC_CI_GROUP = 0x78;
//	public static final int IDC_CI_ICONDISPLAY = 0x83;
//	public static final int IDC_CI_ICONLIST = 0x7F;
//	public static final int IDC_CI_LABEL = 0x80;
//	public static final int IDC_CI_LABELEDIT = 0x81;
	public static final int IDC_CROSS = 0x7F03;
//	public static final int IDC_CV_ACTIVATEAS = 0x9C;
//	public static final int IDC_CV_ACTIVATELIST = 0x9A;
//	public static final int IDC_CV_CHANGEICON = 0x99;
//	public static final int IDC_CV_CONVERTLIST = 0x9E;
//	public static final int IDC_CV_CONVERTTO = 0x9B;
//	public static final int IDC_CV_DISPLAYASICON = 0x98;
//	public static final int IDC_CV_ICONDISPLAY = 0xA5;
//	public static final int IDC_CV_OBJECTTYPE = 0x96;
//	public static final int IDC_CV_RESULTTEXT = 0x9D;
//	public static final int IDC_EL_AUTOMATIC = 0xCA;
//	public static final int IDC_EL_CANCELLINK = 0xD1;
//	public static final int IDC_EL_CHANGESOURCE = 0xC9;
//	public static final int IDC_EL_COL1 = 0xDC;
//	public static final int IDC_EL_COL2 = 0xDD;
//	public static final int IDC_EL_COL3 = 0xDE;
//	public static final int IDC_EL_LINKSLISTBOX = 0xCE;
//	public static final int IDC_EL_LINKSOURCE = 0xD8;
//	public static final int IDC_EL_LINKTYPE = 0xD9;
//	public static final int IDC_EL_MANUAL = 0xD4;
//	public static final int IDC_EL_OPENSOURCE = 0xD3;
//	public static final int IDC_EL_UPDATENOW = 0xD2;
//	public static final int IDC_GP_CONVERT = 0x3F5;
//	public static final int IDC_GP_OBJECTICON = 0x3F6;
//	public static final int IDC_GP_OBJECTLOCATION = 0x3FE;
//	public static final int IDC_GP_OBJECTNAME = 0x3F1;
//	public static final int IDC_GP_OBJECTSIZE = 0x3F3;
//	public static final int IDC_GP_OBJECTTYPE = 0x3F2;
	public static final int IDC_HAND = 0x7F89;	
	public static final int IDC_HELP = 0x7F8B;
	public static final int IDC_IBEAM = 0x7F01;
//	public static final int IDC_ICON = 0x7F81;
//	public static final int IDC_IO_ADDCONTROL = 0x843;
//	public static final int IDC_IO_CHANGEICON = 0x839;
//	public static final int IDC_IO_CONTROLTYPELIST = 0x844;
//	public static final int IDC_IO_CREATEFROMFILE = 0x835;
//	public static final int IDC_IO_CREATENEW = 0x834;
//	public static final int IDC_IO_DISPLAYASICON = 0x838;
//	public static final int IDC_IO_FILE = 0x83A;
//	public static final int IDC_IO_FILEDISPLAY = 0x83B;
//	public static final int IDC_IO_FILETEXT = 0x840;
//	public static final int IDC_IO_FILETYPE = 0x841;
//	public static final int IDC_IO_ICONDISPLAY = 0x83E;
//	public static final int IDC_IO_INSERTCONTROL = 0x842;
//	public static final int IDC_IO_LINKFILE = 0x836;
//	public static final int IDC_IO_OBJECTTYPELIST = 0x837;
//	public static final int IDC_IO_OBJECTTYPETEXT = 0x83F;
//	public static final int IDC_IO_RESULTIMAGE = 0x83C;
//	public static final int IDC_IO_RESULTTEXT = 0x83D;
//	public static final int IDC_LP_AUTOMATIC = 0x3F8;
//	public static final int IDC_LP_BREAKLINK = 0x3F0;
//	public static final int IDC_LP_CHANGESOURCE = 0x3F7;
//	public static final int IDC_LP_DATE = 0x3FA;
//	public static final int IDC_LP_LINKSOURCE = 0x3F4;
//	public static final int IDC_LP_MANUAL = 0x3F9;
//	public static final int IDC_LP_OPENSOURCE = 0x3EE;
//	public static final int IDC_LP_TIME = 0x3FB;
//	public static final int IDC_LP_UPDATENOW = 0x3EF;
	public static final int IDC_NO = 0x7F88;
//	public static final int IDC_OLEUIHELP = 0x63;
//	public static final int IDC_PS_CHANGEICON = 0x1FC;
//	public static final int IDC_PS_DISPLAYASICON = 0x1FA;
//	public static final int IDC_PS_DISPLAYLIST = 0x1F9;
//	public static final int IDC_PS_ICONDISPLAY = 0x1FB;
//	public static final int IDC_PS_PASTE = 0x1F4;
//	public static final int IDC_PS_PASTELINK = 0x1F5;
//	public static final int IDC_PS_PASTELINKLIST = 0x1F8;
//	public static final int IDC_PS_PASTELIST = 0x1F7;
//	public static final int IDC_PS_RESULTIMAGE = 0x1FD;
//	public static final int IDC_PS_RESULTTEXT = 0x1FE;
//	public static final int IDC_PS_SOURCETEXT = 0x1F6;
//	public static final int IDC_PU_CONVERT = 0x386;
//	public static final int IDC_PU_ICON = 0x38C;
//	public static final int IDC_PU_LINKS = 0x384;
//	public static final int IDC_PU_TEXT = 0x385;
	public static final int IDC_SIZE = 0x7F80;
	public static final int IDC_SIZEALL = 0x7F86;
	public static final int IDC_SIZENESW = 0x7F83;
	public static final int IDC_SIZENS = 0x7F85;
	public static final int IDC_SIZENWSE = 0x7F82;
	public static final int IDC_SIZEWE = 0x7F84;
//	public static final int IDC_UL_METER = 0x405;
//	public static final int IDC_UL_PERCENT = 0x407;
//	public static final int IDC_UL_PROGRESS = 0x408;
//	public static final int IDC_UL_STOP = 0x406;
	public static final int IDC_UPARROW = 0x7F04;
//	public static final int IDC_VP_ASICON = 0x3EB;
//	public static final int IDC_VP_CHANGEICON = 0x3E9;
//	public static final int IDC_VP_EDITABLE = 0x3EA;
//	public static final int IDC_VP_ICONDISPLAY = 0x3FD;
//	public static final int IDC_VP_PERCENT = 0x3E8;
//	public static final int IDC_VP_RELATIVE = 0x3ED;
//	public static final int IDC_VP_RESULTIMAGE = 0x409;
//	public static final int IDC_VP_SCALETXT = 0x40A;
//	public static final int IDC_VP_SPIN = 0x3EE;
	public static final int IDC_WAIT = 0x7F02;	
//	public static final int IDCANCEL = 0x2;
//	public static final int IDCLOSE = 0x8;
//	public static final int IDD_BUSY = 0x3EE;
//	public static final int IDD_CANNOTUPDATELINK = 0x3F0;
//	public static final int IDD_CHANGEICON = 0x3E9;
//	public static final int IDD_CHANGEICONBROWSE = 0x3F3;
//	public static final int IDD_CHANGESOURCE = 0x3F1;
//	public static final int IDD_CHANGESOURCE4 = 0x3F5;
//	public static final int IDD_CONVERT = 0x3EA;
//	public static final int IDD_CONVERTONLY = 0x3F4;
//	public static final int IDD_EDITLINKS = 0x3EC;
//	public static final int IDD_GNRLPROPS = 0x44C;
//	public static final int IDD_INSERTFILEBROWSE = 0x3F2;
//	public static final int IDD_INSERTOBJECT = 0x3E8;
//	public static final int IDD_LINKPROPS = 0x44E;
//	public static final int IDD_LINKSOURCEUNAVAILABLE = 0x3FC;
//	public static final int IDD_LINKTYPECHANGED = 0x402;
//	public static final int IDD_LINKTYPECHANGEDA = 0x402;
//	public static final int IDD_LINKTYPECHANGEDW = 0x3FE;
//	public static final int IDD_OUTOFMEMORY = 0x400;
//	public static final int IDD_PASTESPECIAL = 0x3EB;
//	public static final int IDD_SERVERNOTFOUND = 0x3FF;
//	public static final int IDD_SERVERNOTREG = 0x401;
//	public static final int IDD_SERVERNOTREGA = 0x401;
//	public static final int IDD_SERVERNOTREGW = 0x3FD;
//	public static final int IDD_UPDATELINKS = 0x3EF;
//	public static final int IDD_VIEWPROPS = 0x44D;
//	public static final int IDH_CANCEL = 0x6F1C;
//	public static final int IDH_GENERIC_HELP_BUTTON = 0x6F1A;
//	public static final int IDH_HELP = 0x6F1D;
//	public static final int IDH_MISSING_CONTEXT = 0x6F19;
//	public static final int IDH_NO_HELP = 0x6F18;
//	public static final int IDH_OK = 0x6F1B;
//	public static final int IDHELP = 0x9;
//	public static final int IDHOT_SNAPDESKTOP = 0xFFFFFFFE;
//	public static final int IDHOT_SNAPWINDOW = 0xFFFFFFFF;
//	public static final int IDI_APPLICATION = 0x7F00;
//	public static final int IDI_ASTERISK = 0x7F04;
//	public static final int IDI_ERROR = 0x7F01;
//	public static final int IDI_EXCLAMATION = 0x7F03;
//	public static final int IDI_HAND = 0x7F01;
//	public static final int IDI_INFORMATION = 0x7F04;
//	public static final int IDI_QUESTION = 0x7F02;
//	public static final int IDI_WARNING = 0x7F03;
	public static final int IDI_WINLOGO = 0x7F05;
//	public static final int IDIGNORE = 0x5;
//	public static final int IDLE_PRIORITY_CLASS = 0x40;
//	public static final int IDLFLAG_FIN = 0x1;
//	public static final int IDLFLAG_FLCID = 0x4;
//	public static final int IDLFLAG_FOUT = 0x2;
//	public static final int IDLFLAG_FRETVAL = 0x8;
//	public static final int IDLFLAG_NONE = 0x0;
	public static final int IDNO = 0x7;
	public static final int IDOK = 0x1;
	public static final int IDRETRY = 0x4;
	public static final int IDYES = 0x6;
	public static final int ILC_COLOR = 0x0;
	public static final int ILC_COLOR16 = 0x10;
	public static final int ILC_COLOR24 = 0x18;
	public static final int ILC_COLOR32 = 0x20;
	public static final int ILC_COLOR4 = 0x4;
	public static final int ILC_COLOR8 = 0x8;
//	public static final int ILC_COLORDDB = 0xFE;
	public static final int ILC_MASK = 0x1;
//	public static final int ILC_PALETTE = 0x800;
//	public static final int ILD_BLEND = 0x4;
//	public static final int ILD_BLEND25 = 0x2;
//	public static final int ILD_BLEND50 = 0x4;
//	public static final int ILD_FOCUS = 0x2;
//	public static final int ILD_IMAGE = 0x20;
//	public static final int ILD_MASK = 0x10;
	public static final int ILD_NORMAL = 0x0;
//	public static final int ILD_OVERLAYMASK = 0xF00;
//	public static final int ILD_SELECTED = 0x4;
//	public static final int ILD_TRANSPARENT = 0x1;
	public static final int IMAGE_BITMAP = 0x0;
	public static final int IMAGE_CURSOR = 0x2;
	public static final int IMAGE_ICON = 0x1;
//	public static final int IMF_AUTOFONT = 0x0002;
//	public static final int IMF_AUTOKEYBOARD = 0x0001;
//	public static final int IMF_CLOSESTATUSWINDOW = 0x0008;
//	public static final int IMF_FORCEACTIVE = 0x0040;
//	public static final int IMF_FORCEDISABLE = 0x0004;
//	public static final int IMF_FORCEENABLE = 0x0002;
//	public static final int IMF_FORCEINACTIVE = 0x0080;
//	public static final int IMF_FORCENONE = 0x0001;
//	public static final int IMF_FORCEREMEMBER = 0x0100;
//	public static final int IMF_IMEALWAYSSENDNOTIFY = 0x0008;
//	public static final int IMF_IMECANCELCOMPLETE = 0x0004;
//	public static final int IMF_MULTIPLEEDIT = 0x0400;
//	public static final int IMF_VERTICAL = 0x0020;
	public static final int KEY_QUERY_VALUE = 0x0001;
//	public static final int KEY_SET_VALUE = 0x0002;
//	public static final int KEY_CREATE_SUB_KEY = 0x0004;
	public static final int KEY_ENUMERATE_SUB_KEYS = 0x0008;
	public static final int KEY_NOTIFY = 0x0010;
//	public static final int KEY_CREATE_LINK = 0x0020;
	public static final int KEY_READ = (STANDARD_RIGHTS_READ | KEY_QUERY_VALUE | KEY_ENUMERATE_SUB_KEYS | KEY_NOTIFY) & ~SYNCHRONIZE;
//	public static final int KEY_WRITE = (STANDARD_RIGHTS_WRITE | KEY_SET_VALUE | KEY_CREATE_SUB_KEY) & ~SYNCHRONIZE;
//	public static final int KEY_EXECUTE = (KEY_READ & ~SYNCHRONIZE);
//	public static final int KEY_ALL_ACCESS = (STANDARD_RIGHTS_ALL | KEY_QUERY_VALUE | KEY_SET_VALUE | KEY_CREATE_SUB_KEY | KEY_ENUMERATE_SUB_KEYS | KEY_NOTIFY | KEY_CREATE_LINK) & ~SYNCHRONIZE;
//	public static final int LB_ADDFILE = 0x196;
//	public static final int LB_ADDSTRING = 0x180;
	public static final int LB_ADDSTRING = 0x180;
//	public static final int LB_CTLCODE = 0x0;
	public static final int LB_DELETESTRING = 0x182;
//	public static final int LB_DIR = 0x18D;
	public static final int LB_ERR = 0xFFFFFFFF;
	public static final int LB_ERRSPACE = 0xFFFFFFFE;
//	public static final int LB_ERRSPACE = 0xFFFFFFFE;
//	public static final int LB_FINDSTRING = 0x18F;
	public static final int LB_FINDSTRINGEXACT = 0x1A2;
//	public static final int LB_GETANCHORINDEX = 0x19D;
	public static final int LB_GETCARETINDEX = 0x19F;
	public static final int LB_GETCOUNT = 0x18B;
	public static final int LB_GETCURSEL = 0x188;
	public static final int LB_GETHORIZONTALEXTENT = 0x193;
//	public static final int LB_GETITEMDATA = 0x199;
	public static final int LB_GETITEMHEIGHT = 0x1A1;
	public static final int LB_GETITEMRECT = 0x198;
//	public static final int LB_GETLOCALE = 0x1A6;
	public static final int LB_GETSEL = 0x187;
	public static final int LB_GETSELCOUNT = 0x190;
	public static final int LB_GETSELITEMS = 0x191;
	public static final int LB_GETTEXT = 0x189;
	public static final int LB_GETTEXTLEN = 0x18A;
	public static final int LB_GETTOPINDEX = 0x18E;
	public static final int LB_INITSTORAGE = 0x1A8;
	public static final int LB_INSERTSTRING = 0x181;
//	public static final int LB_INSERTSTRING = 0x181;
//	public static final int LB_ITEMFROMPOINT = 0x1A9;
//	public static final int LB_MSGMAX = 0x1B0;
//	public static final int LB_OKAY = 0x0;
	public static final int LB_RESETCONTENT = 0x184;
//	public static final int LB_SELECTSTRING = 0x18C;
	public static final int LB_SELITEMRANGE = 0x19B;
	public static final int LB_SELITEMRANGEEX = 0x183;
//	public static final int LB_SETANCHORINDEX = 0x19C;
	public static final int LB_SETCARETINDEX = 0x19E;
//	public static final int LB_SETCOLUMNWIDTH = 0x195;
//	public static final int LB_SETCOUNT = 0x1A7;
	public static final int LB_SETCURSEL = 0x186;
	public static final int LB_SETHORIZONTALEXTENT = 0x194;
//	public static final int LB_SETITEMDATA = 0x19A;
//	public static final int LB_SETITEMHEIGHT = 0x1A0;
//	public static final int LB_SETLOCALE = 0x1A5;
	public static final int LB_SETSEL = 0x185;
//	public static final int LB_SETTABSTOPS = 0x192;
	public static final int LB_SETTOPINDEX = 0x197;
	public static final int LBN_DBLCLK = 0x2;
//	public static final int LBN_ERRSPACE = 0xFFFFFFFE;
//	public static final int LBN_KILLFOCUS = 0x5;
//	public static final int LBN_SELCANCEL = 0x3;
	public static final int LBN_SELCHANGE = 0x1;
//	public static final int LBN_SETFOCUS = 0x4;
//	public static final int LBS_DISABLENOSCROLL = 0x1000;
	public static final int LBS_EXTENDEDSEL = 0x800;
//	public static final int LBS_HASSTRINGS = 0x40;
//	public static final int LBS_MULTICOLUMN = 0x200;
	public static final int LBS_MULTIPLESEL = 0x8;
//	public static final int LBS_NODATA = 0x2000;
	public static final int LBS_NOINTEGRALHEIGHT = 0x100;
//	public static final int LBS_NOREDRAW = 0x4;
//	public static final int LBS_NOSEL = 0x4000;
	public static final int LBS_NOTIFY = 0x1;
//	public static final int LBS_OWNERDRAWFIXED = 0x10;
//	public static final int LBS_OWNERDRAWVARIABLE = 0x20;
//	public static final int LBS_SORT = 0x2;
//	public static final int LBS_STANDARD = 0xA00003;
//	public static final int LBS_USETABSTOPS = 0x80;
//	public static final int LBS_WANTKEYBOARDINPUT = 0x400;
	public static final int LOGPIXELSX = 88;
	public static final int LOGPIXELSY = 90;
	public static final int LPSTR_TEXTCALLBACK = 0xFFFFFFFF;
//	public static final int LR_COLOR = 0x2;
//	public static final int LR_COPYDELETEORG = 0x8;
//	public static final int LR_COPYFROMRESOURCE = 0x4000;
//	public static final int LR_COPYRETURNORG = 0x4;
//	public static final int LR_CREATEDIBSECTION = 0x2000;
	public static final int LR_DEFAULTCOLOR = 0x0;
//	public static final int LR_DEFAULTSIZE = 0x40;
//	public static final int LR_LOADFROMFILE = 0x10;
//	public static final int LR_LOADMAP3DCOLORS = 0x1000;
//	public static final int LR_LOADTRANSPARENT = 0x20;
//	public static final int LR_MONOCHROME = 0x1;
//	public static final int LR_SHARED = 0x8000;
//	public static final int LTGRAY_BRUSH = 0x1;
//	public static final int LVA_ALIGNLEFT = 0x1;
//	public static final int LVA_ALIGNTOP = 0x2;
//	public static final int LVA_DEFAULT = 0x0;
//	public static final int LVA_SNAPTOGRID = 0x5;
	public static final int LVCF_FMT = 0x1;
//	public static final int LVCF_SUBITEM = 0x8;
	public static final int LVCF_TEXT = 0x4;
	public static final int LVCF_WIDTH = 0x2;
	public static final int LVCFMT_CENTER = 0x2;
//	public static final int LVCFMT_JUSTIFYMASK = 0x3;
	public static final int LVCFMT_LEFT = 0x0;
	public static final int LVCFMT_RIGHT = 0x1;
//	public static final int LVFI_NEARESTXY = 0x40;
//	public static final int LVFI_PARAM = 0x1;
//	public static final int LVFI_PARTIAL = 0x8;
//	public static final int LVFI_STRING = 0x2;
//	public static final int LVFI_WRAP = 0x20;
//	public static final int LVHT_ABOVE = 0x8;
//	public static final int LVHT_BELOW = 0x10;
//	public static final int LVHT_NOWHERE = 0x1;
	public static final int LVHT_ONITEM = 0xE;
	public static final int LVHT_ONITEMICON = 0x2;
	public static final int LVHT_ONITEMLABEL = 0x4;
	public static final int LVHT_ONITEMSTATEICON = 0x8;
//	public static final int LVHT_TOLEFT = 0x40;
//	public static final int LVHT_TORIGHT = 0x20;
//	public static final int LVIF_DI_SETITEM = 0x1000;
	public static final int LVIF_IMAGE = 0x2;
	public static final int LVIF_INDENT = 0x0010;
//	public static final int LVIF_PARAM = 0x4;
	public static final int LVIF_STATE = 0x8;
	public static final int LVIF_TEXT = 0x1;
	public static final int LVIR_BOUNDS = 0x0;
	public static final int LVIR_ICON = 0x1;
	public static final int LVIR_LABEL = 0x2;
//	public static final int LVIR_SELECTBOUNDS = 0x3;
//	public static final int LVIS_ACTIVATING = 0x0020;
//	public static final int LVIS_CUT = 0x4;
	public static final int LVIS_DROPHILITED = 0x8;
	public static final int LVIS_FOCUSED = 0x1;
//	public static final int LVIS_OVERLAYMASK = 0xF00;
	public static final int LVIS_SELECTED = 0x2;
	public static final int LVIS_STATEIMAGEMASK = 0xF000;
	public static final int LVM_APPROXIMATEVIEWRECT = (LVM_FIRST+64);
//	public static final int LVM_ARRANGE = 0x1016;
//	public static final int LVM_CREATEDRAGIMAGE = 0x1021;
	public static final int LVM_DELETEALLITEMS = 0x1009;
	public static final int LVM_DELETECOLUMN = 0x101C;
	public static final int LVM_DELETEITEM = 0x1008;
//	public static final int LVM_EDITLABEL = 0x1017;
//	public static final int LVM_EDITLABELA = 0x1017;
//	public static final int LVM_EDITLABELW = 0x1076;
	public static final int LVM_ENSUREVISIBLE = 0x1013;
//	public static final int LVM_FINDITEM = 0x100D;
//	public static final int LVM_FINDITEMA = 0x100D;
//	public static final int LVM_FINDITEMW = 0x1053;
	public static final int LVM_GETBKCOLOR = 0x1000;
//	public static final int LVM_GETCALLBACKMASK = 0x100A;
	public static final int LVM_GETCOLUMN = 0x1019;
//	public static final int LVM_GETCOLUMNA = 0x1019;
//	public static final int LVM_GETCOLUMNW = 0x105F;
	public static final int LVM_GETCOLUMNWIDTH = 0x101D;
	public static final int LVM_GETCOUNTPERPAGE = 0x1028;
//	public static final int LVM_GETEDITCONTROL = 0x1018;
	public static final int LVM_GETEXTENDEDLISTVIEWSTYLE = (LVM_FIRST + 55);
	public static final int LVM_GETHEADER = (LVM_FIRST + 31);
	public static final int LVM_GETIMAGELIST = 0x1002;
//	public static final int LVM_GETISEARCHSTRING = 0x1034;
//	public static final int LVM_GETISEARCHSTRINGA = 0x1034;
//	public static final int LVM_GETISEARCHSTRINGW = 0x1075;
	public static final int LVM_GETITEM = 0x1005;
//	public static final int LVM_GETITEMA = 0x1005;
	public static final int LVM_GETITEMCOUNT = 0x1004;
//	public static final int LVM_GETITEMPOSITION = 0x1010;
	public static final int LVM_GETITEMRECT = 0x100E;
//	public static final int LVM_GETITEMSPACING = 0x1033;
	public static final int LVM_GETITEMSTATE = 0x102C;
//	public static final int LVM_GETITEMTEXT = 0x102D;
//	public static final int LVM_GETITEMTEXTA = 0x102D;
//	public static final int LVM_GETITEMTEXTW = 0x1073;
//	public static final int LVM_GETITEMW = 0x104B;
	public static final int LVM_GETNEXTITEM = 0x100C;
//	public static final int LVM_GETORIGIN = 0x1029;
	public static final int LVM_GETSELECTEDCOUNT = 0x1032;
	public static final int LVM_GETSTRINGWIDTH = 0x1011;
//	public static final int LVM_GETSTRINGWIDTHA = 0x1011;
//	public static final int LVM_GETSTRINGWIDTHW = 0x1057;
	public static final int LVM_GETSUBITEMRECT = OS.LVM_FIRST + 56;
//	public static final int LVM_GETTEXTBKCOLOR = 0x1025;
	public static final int LVM_GETTEXTCOLOR = 0x1023;
	public static final int LVM_GETTOPINDEX = 0x1027;
//	public static final int LVM_GETVIEWRECT = 0x1022;
	public static final int LVM_HITTEST = 0x1012;
	public static final int LVM_INSERTCOLUMN = 0x101B;
//	public static final int LVM_INSERTCOLUMNA = 0x101B;
//	public static final int LVM_INSERTCOLUMNW = 0x1061;
	public static final int LVM_INSERTITEM = 0x1007;
//	public static final int LVM_INSERTITEMA = 0x1007;
//	public static final int LVM_INSERTITEMW = 0x104D;
//	public static final int LVM_REDRAWITEMS = 0x1015;
	public static final int LVM_SCROLL = 0x1014;
	public static final int LVM_SETBKCOLOR = 0x1001;
//	public static final int LVM_SETCALLBACKMASK = 0x100B;
	public static final int LVM_SETCOLUMN = 0x101A;
//	public static final int LVM_SETCOLUMNA = 0x101A;
//	public static final int LVM_SETCOLUMNW = 0x1060;
	public static final int LVM_SETCOLUMNWIDTH = 0x101E;
	public static final int LVM_SETEXTENDEDLISTVIEWSTYLE = (LVM_FIRST + 54);
	public static final int LVM_SETIMAGELIST = 0x1003;
	public static final int LVM_SETITEM = 0x1006;
//	public static final int LVM_SETITEMA = 0x1006;
//	public static final int LVM_SETITEMCOUNT = 0x102F;
//	public static final int LVM_SETITEMPOSITION = 0x100F;
//	public static final int LVM_SETITEMPOSITION32 = 0x1031;
	public static final int LVM_SETITEMSTATE = 0x102B;
//	public static final int LVM_SETITEMTEXT = 0x102E;
//	public static final int LVM_SETITEMTEXTA = 0x102E;
//	public static final int LVM_SETITEMTEXTW = 0x1074;
//	public static final int LVM_SETITEMW = 0x104C;
	public static final int LVM_SETTEXTBKCOLOR = 0x1026;
	public static final int LVM_SETTEXTCOLOR = 0x1024;
//	public static final int LVM_SORTITEMS = 0x1030;
//	public static final int LVM_UPDATE = 0x102A;
	public static final int LVN_BEGINDRAG = 0xFFFFFF93;
//	public static final int LVN_BEGINLABELEDIT = 0xFFFFFF97;
//	public static final int LVN_BEGINLABELEDITA = 0xFFFFFF97;
//	public static final int LVN_BEGINLABELEDITW = 0xFFFFFF51;
	public static final int LVN_BEGINRDRAG = 0xFFFFFF91;
	public static final int LVN_COLUMNCLICK = 0xFFFFFF94;
//	public static final int LVN_DELETEALLITEMS = 0xFFFFFF98;
//	public static final int LVN_DELETEITEM = 0xFFFFFF99;
//	public static final int LVN_ENDLABELEDIT = 0xFFFFFF96;
//	public static final int LVN_ENDLABELEDITA = 0xFFFFFF96;
//	public static final int LVN_ENDLABELEDITW = 0xFFFFFF50;
	public static final int LVN_FIRST = 0xFFFFFF9C;
//	public static final int LVN_GETDISPINFO = 0xFFFFFF6A;
//	public static final int LVN_GETDISPINFOA = 0xFFFFFF6A;
//	public static final int LVN_GETDISPINFOW = 0xFFFFFF4F;
//	public static final int LVN_HOTTRACK            = (LVN_FIRST-21);
//	public static final int LVN_INSERTITEM = 0xFFFFFF9A;
	public static final int LVN_ITEMACTIVATE 		= (LVN_FIRST-14);
	public static final int LVN_ITEMCHANGED = 0xFFFFFF9B;
//	public static final int LVN_ITEMCHANGING = 0xFFFFFF9C;
//	public static final int LVN_KEYDOWN = 0xFFFFFF65;
//	public static final int LVN_LAST = 0xFFFFFF39;
	public static final int LVN_MARQUEEBEGIN		= (LVN_FIRST-56);
//	public static final int LVN_ODCACHEHINT			= (LVN_FIRST-13); 
//	public static final int LVN_ODFINDITEM          = LVN_ODFINDITEMA;
//	public static final int LVN_ODFINDITEMA 		= (LVN_FIRST-52);
//	public static final int LVN_ODFINDITEMW			= (LVN_FIRST-79);
//	public static final int LVN_ODSTATECHANGED		= (LVN_FIRST-15);
//	public static final int LVN_SETDISPINFO = 0xFFFFFF69;
//	public static final int LVN_SETDISPINFOA = 0xFFFFFF69;
//	public static final int LVN_SETDISPINFOW = 0xFFFFFF4E;
//	public static final int LVNI_ABOVE = 0x100;
//	public static final int LVNI_ALL = 0x0;
//	public static final int LVNI_BELOW = 0x200;
//	public static final int LVNI_CUT = 0x4;
//	public static final int LVNI_DROPHILITED = 0x8;
	public static final int LVNI_FOCUSED = 0x1;
	public static final int LVNI_SELECTED = 0x2;
//	public static final int LVNI_TOLEFT = 0x400;
//	public static final int LVNI_TORIGHT = 0x800;
//	public static final int LVS_ALIGNLEFT = 0x800;
//	public static final int LVS_ALIGNMASK = 0xC00;
//	public static final int LVS_ALIGNTOP = 0x0;
//	public static final int LVS_AUTOARRANGE = 0x100;
//	public static final int LVS_EDITLABELS = 0x200;
//	public static final int LVS_EX_CHECKBOXES = 0x00000004;
//	public static final int LVS_EX_FLATSB = 0x00000100;
	public static final int LVS_EX_FULLROWSELECT = 0x00000020; // applies to report mode only 
	public static final int LVS_EX_GRIDLINES = 0x00000001;
//	public static final int LVS_EX_HEADERDRAGDROP = 0x00000010;
//	public static final int LVS_EX_INFOTIP = 00000400; // listview does InfoTips for you 
	public static final int LVS_EX_LABELTIP = 0x00004000;
//	public static final int LVS_EX_MULTIWORKAREAS = 0x00002000;
	public static final int LVS_EX_ONECLICKACTIVATE = 0x00000040;
//	public static final int LVS_EX_REGIONAL = 0x00000200;
	public static final int LVS_EX_SUBITEMIMAGES = 0x00000002;
	public static final int LVS_EX_TRACKSELECT = 0x00000008;
	public static final int LVS_EX_TWOCLICKACTIVATE = 0x00000080;
//	public static final int LVS_EX_UNDERLINECOLD = 0x00001000;
//	public static final int LVS_EX_UNDERLINEHOT = 0x00000800;
//	public static final int LVS_ICON = 0x0;
//	public static final int LVS_LIST = 0x3;
	public static final int LVS_NOCOLUMNHEADER = 0x4000;
//	public static final int LVS_NOLABELWRAP = 0x80;
	public static final int LVS_NOSCROLL = 0x2000;
//	public static final int LVS_NOSORTHEADER = 0x8000;
//	public static final int LVS_OWNERDRAWFIXED = 0x400;
	public static final int LVS_REPORT = 0x1;
	public static final int LVS_SHAREIMAGELISTS = 0x40;
	public static final int LVS_SHOWSELALWAYS = 0x8;
	public static final int LVS_SINGLESEL = 0x4;
//	public static final int LVS_SMALLICON = 0x2;
//	public static final int LVS_SORTASCENDING = 0x10;
//	public static final int LVS_SORTDESCENDING = 0x20;
//	public static final int LVS_TYPEMASK = 0x3;
//	public static final int LVS_TYPESTYLEMASK = 0xFC00;
	public static final int LVSCW_AUTOSIZE = 0xFFFFFFFF;
	public static final int LVSCW_AUTOSIZE_USEHEADER = 0xFFFFFFFE;
//	public static final int LVSIL_NORMAL = 0x0;
	public static final int LVSIL_SMALL = 0x1;
	public static final int LVSIL_STATE = 0x2;
//	public static final int MAX_TAB_STOPS = 32;
//	public static final int MA_ACTIVATE = 0x1;
//	public static final int MA_ACTIVATEANDEAT = 0x2;
	public static final int MA_NOACTIVATE = 0x3;
//	public static final int MA_NOACTIVATEANDEAT = 0x4;
	public static final int MB_ABORTRETRYIGNORE = 0x2;
	public static final int MB_APPLMODAL = 0x0;
//	public static final int MB_COMPOSITE = 0x2;
//	public static final int MB_DEFAULT_DESKTOP_ONLY = 0x20000;
//	public static final int MB_DEFBUTTON1 = 0x0;
//	public static final int MB_DEFBUTTON2 = 0x100;
//	public static final int MB_DEFBUTTON3 = 0x200;
//	public static final int MB_DEFBUTTON4 = 0x300;
//	public static final int MB_DEFMASK = 0xF00;
//	public static final int MB_ERR_INVALID_CHARS = 0x8;
//	public static final int MB_HELP = 0x4000;
//	public static final int MB_ICONASTERISK = 0x40;
	public static final int MB_ICONERROR = 0x10;
//	public static final int MB_ICONEXCLAMATION = 0x30;
//	public static final int MB_ICONHAND = 0x10;
	public static final int MB_ICONINFORMATION = 0x40;
//	public static final int MB_ICONMASK = 0xF0;
	public static final int MB_ICONQUESTION = 0x20;
//	public static final int MB_ICONSTOP = 0x10;
	public static final int MB_ICONWARNING = 0x30;
//	public static final int MB_MISCMASK = 0xC000;
//	public static final int MB_MODEMASK = 0x3000;
//	public static final int MB_NOFOCUS = 0x8000;
	public static final int MB_OK = 0x0;
	public static final int MB_OKCANCEL = 0x1;
	public static final int MB_PRECOMPOSED = 0x1;
	public static final int MB_RETRYCANCEL = 0x5;
//	public static final int MB_RIGHT = 0x80000;
//	public static final int MB_RTLREADING = 0x100000;
//	public static final int MB_SERVICE_NOTIFICATION = 0x40000;
//	public static final int MB_SETFOREGROUND = 0x10000;
	public static final int MB_SYSTEMMODAL = 0x1000;
	public static final int MB_TASKMODAL = 0x2000;
//	public static final int MB_TOPMOST = 0x40000;
//	public static final int MB_TYPEMASK = 0xF;
//	public static final int MB_USEGLYPHCHARS = 0x4;
//	public static final int MB_USERICON = 0x80;
	public static final int MB_YESNO = 0x4;
	public static final int MB_YESNOCANCEL = 0x3;
//	public static final int MERGECOPY = 0xC000CA;
//	public static final int MERGEPAINT = 0xBB0226;
//	public static final int MF_APPEND = 0x100;
//	public static final int MF_BITMAP = 0x4;
	public static final int MF_BYCOMMAND = 0x0;
	public static final int MF_BYPOSITION = 0x400;
//	public static final int MF_CALLBACKS = 0x8000000;
//	public static final int MF_CHANGE = 0x80;
//	public static final int MF_CHECKED = 0x8;
//	public static final int MF_CONV = 0x40000000;
//	public static final int MF_DEFAULT = 0x1000;
//	public static final int MF_DELETE = 0x200;
	public static final int MF_DISABLED = 0x2;
	public static final int MF_ENABLED = 0x0;
//	public static final int MF_END = 0x80;
//	public static final int MF_ERRORS = 0x10000000;
	public static final int MF_GRAYED = 0x1;
//	public static final int MF_HELP = 0x4000;
	public static final int MF_HILITE = 0x80;
//	public static final int MF_HSZ_INFO = 0x1000000;
//	public static final int MF_INSERT = 0x0;
//	public static final int MF_LINKS = 0x20000000;
//	public static final int MF_MASK = 0xFF000000;
//	public static final int MF_MENUBARBREAK = 0x20;
//	public static final int MF_MENUBREAK = 0x40;
//	public static final int MF_MOUSESELECT = 0x8000;
//	public static final int MF_OWNERDRAW = 0x100;
	public static final int MF_POPUP = 0x10;
//	public static final int MF_POSTMSGS = 0x4000000;
//	public static final int MF_REMOVE = 0x1000;
//	public static final int MF_RIGHTJUSTIFY = 0x4000;
//	public static final int MF_SENDMSGS = 0x2000000;
//	public static final int MF_SEPARATOR = 0x800;
//	public static final int MF_STRING = 0x0;
	public static final int MF_SYSMENU = 0x2000;
//	public static final int MF_UNCHECKED = 0x0;
//	public static final int MF_UNHILITE = 0x0;
//	public static final int MF_USECHECKBITMAPS = 0x200;
//	public static final int MFCOMMENT = 0xF;
	public static final int MFS_CHECKED = 0x8;
//	public static final int MFS_DEFAULT = 0x1000;
	public static final int MFS_DISABLED = 0x3;
//	public static final int MFS_ENABLED = 0x0;
	public static final int MFS_GRAYED = 0x3;
//	public static final int MFS_HILITE = 0x80;
//	public static final int MFS_UNCHECKED = 0x0;
//	public static final int MFS_UNHILITE = 0x0;
//	public static final int MFT_BITMAP = 0x4;
//	public static final int MFT_MENUBARBREAK = 0x20;
//	public static final int MFT_MENUBREAK = 0x40;
//	public static final int MFT_OWNERDRAW = 0x100;
	public static final int MFT_RADIOCHECK = 0x200;
//	public static final int MFT_RIGHTJUSTIFY = 0x4000;
//	public static final int MFT_RIGHTORDER = 0x2000;
	public static final int MFT_SEPARATOR = 0x800;
	public static final int MFT_STRING = 0x0;
	public static final int MIIM_BITMAP = 0x80;
//	public static final int MIIM_CHECKMARKS = 0x8;
//	public static final int MIIM_DATA = 0x20;
//	public static final int MIIM_FTYPE = 0x00000100;
	public static final int MIIM_ID = 0x2;
	public static final int MIIM_STATE = 0x1;
//	public static final int MIIM_STRING = 0x00000040;
	public static final int MIIM_SUBMENU = 0x4;
	public static final int MIIM_TYPE = 0x10;
//	public static final int MK_ALT = 0x20;
	public static final int MK_CONTROL = 0x8;
	public static final int MK_LBUTTON = 0x1;
	public static final int MK_MBUTTON = 0x10;
	public static final int MK_RBUTTON = 0x2;
	public static final int MK_SHIFT = 0x4;
	public static final int MM_TEXT		= 1;
	public static final int MNC_CLOSE = 0x1;
//	public static final int MNC_EXECUTE = 0x2;
//	public static final int MNC_IGNORE = 0x0;
//	public static final int MNC_SELECT = 0x3;
//	public static final int NM_CHAR                 = (NM_FIRST-18);
	public static final int NM_CLICK                = (NM_FIRST-2);
//	public static final int NM_CUSTOMDRAW           = (NM_FIRST-12);
	public static final int NM_DBLCLK = (NM_FIRST-3);
//	public static final int NM_HOVER                = (NM_FIRST-13); 
//	public static final int NM_KEYDOWN              = (NM_FIRST-15);
//	public static final int NM_KILLFOCUS            = (NM_FIRST-8);
//	public static final int NM_LAST                 = -99;
//	public static final int NM_NCHITTEST            = (NM_FIRST-14);
//	public static final int NM_OUTOFMEMORY          = (NM_FIRST-1);
//	public static final int NM_RCLICK               = (NM_FIRST-5);
//	public static final int NM_RDBLCLK              = (NM_FIRST-6);
//	public static final int NM_RELEASEDCAPTURE      = (NM_FIRST-16); 
	public static final int NM_RETURN               = (NM_FIRST-4);
//	public static final int NM_SETCURSOR            = (NM_FIRST-17);
//	public static final int NM_SETFOCUS             = (NM_FIRST-7);
	public static final int NOTSRCCOPY = 0x330008;
//	public static final int NOTSRCERASE = 0x1100A6;
	public static final int NULL_BRUSH = 0x5;
	public static final int NULL_PEN = 0x8;
	public static final int NULLREGION = 0x1;
//	public static final int OBJ_BITMAP = 0x7;
//	public static final int OBJ_BRUSH = 0x2;
//	public static final int OBJ_DC = 0x3;
//	public static final int OBJ_ENHMETADC = 0xC;
//	public static final int OBJ_ENHMETAFILE = 0xD;
//	public static final int OBJ_EXTPEN = 0xB;
	public static final int OBJ_FONT = 0x6;
//	public static final int OBJ_MEMDC = 0xA;
//	public static final int OBJ_METADC = 0x4;
//	public static final int OBJ_METAFILE = 0x9;
//	public static final int OBJ_PAL = 0x5;
	public static final int OBJ_PEN = 0x1;
//	public static final int OBJ_REGION = 0x8;
//	public static final int OBJECT_INHERIT_ACE = 0x1;
//	public static final int OBM_BTNCORNERS = 0x7FF6;
//	public static final int OBM_BTSIZE = 0x7FF9;
//	public static final int OBM_CHECK = 0x7FF8;
	public static final int OBM_CHECKBOXES = 0x7FF7;
//	public static final int OBM_CLOSE = 0x7FF2;
//	public static final int OBM_COMBO = 0x7FE2;
//	public static final int OBM_DNARROW = 0x7FF0;
//	public static final int OBM_DNARROWD = 0x7FE6;
//	public static final int OBM_DNARROWI = 0x7FE0;
//	public static final int OBM_LFARROW = 0x7FEE;
//	public static final int OBM_LFARROWD = 0x7FE4;
//	public static final int OBM_LFARROWI = 0x7FDE;
//	public static final int OBM_MNARROW = 0x7FE3;
//	public static final int OBM_OLD_CLOSE = 0x7FFF;
//	public static final int OBM_OLD_DNARROW = 0x7FFC;
//	public static final int OBM_OLD_LFARROW = 0x7FFA;
//	public static final int OBM_OLD_REDUCE = 0x7FF5;
//	public static final int OBM_OLD_RESTORE = 0x7FF3;
//	public static final int OBM_OLD_RGARROW = 0x7FFB;
//	public static final int OBM_OLD_UPARROW = 0x7FFD;
//	public static final int OBM_OLD_ZOOM = 0x7FF4;
//	public static final int OBM_REDUCE = 0x7FED;
//	public static final int OBM_REDUCED = 0x7FEA;
//	public static final int OBM_RESTORE = 0x7FEB;
//	public static final int OBM_RESTORED = 0x7FE8;
//	public static final int OBM_RGARROW = 0x7FEF;
//	public static final int OBM_RGARROWD = 0x7FE5;
//	public static final int OBM_RGARROWI = 0x7FDF;
//	public static final int OBM_SIZE = 0x7FFE;
//	public static final int OBM_UPARROW = 0x7FF1;
//	public static final int OBM_UPARROWD = 0x7FE7;
//	public static final int OBM_UPARROWI = 0x7FE1;
//	public static final int OBM_ZOOM = 0x7FEC;
//	public static final int OBM_ZOOMD = 0x7FE9;
//	public static final int OCR_APPSTARTING = 0x7F8A;
//	public static final int OCR_CROSS = 0x7F03;
//	public static final int OCR_IBEAM = 0x7F01;
//	public static final int OCR_ICOCUR = 0x7F87;
//	public static final int OCR_ICON = 0x7F81;
//	public static final int OCR_NO = 0x7F88;
//	public static final int OCR_NORMAL = 0x7F00;
//	public static final int OCR_SIZE = 0x7F80;
//	public static final int OCR_SIZEALL = 0x7F86;
//	public static final int OCR_SIZENESW = 0x7F83;
//	public static final int OCR_SIZENS = 0x7F85;
//	public static final int OCR_SIZENWSE = 0x7F82;
//	public static final int OCR_SIZEWE = 0x7F84;
//	public static final int OCR_UP = 0x7F04;
//	public static final int OCR_WAIT = 0x7F02;
//	public static final int ODA_DRAWENTIRE = 0x1;
//	public static final int ODA_FOCUS = 0x4;
//	public static final int ODA_SELECT = 0x2;
//	public static final int ODDPARITY = 0x1;
//	public static final int ODS_CHECKED = 0x8;
//	public static final int ODS_COMBOBOXEDIT = 0x1000;
//	public static final int ODS_DEFAULT = 0x20;
//	public static final int ODS_DISABLED = 0x4;
//	public static final int ODS_FOCUS = 0x10;
//	public static final int ODS_GRAYED = 0x2;
	public static final int ODS_SELECTED = 0x1;
//	public static final int ODT_BUTTON = 0x4;
//	public static final int ODT_COMBOBOX = 0x3;
//	public static final int ODT_HEADER = 0x64;
//	public static final int ODT_LISTBOX = 0x2;
//	public static final int ODT_LISTVIEW = 0x66;
	public static final int ODT_MENU = 0x1;
//	public static final int ODT_STATIC = 0x5;
//	public static final int ODT_TAB = 0x65;
//	public static final int OEM_FIXED_FONT = 0xA;
	public static final int OFN_ALLOWMULTISELECT = 0x200;
//	public static final int OFN_CREATEPROMPT = 0x2000;
//	public static final int OFN_ENABLEHOOK = 0x20;
//	public static final int OFN_ENABLETEMPLATE = 0x40;
//	public static final int OFN_ENABLETEMPLATEHANDLE = 0x80;
	public static final int OFN_EXPLORER = 0x80000;
//	public static final int OFN_EXTENSIONDIFFERENT = 0x400;
//	public static final int OFN_FILEMUSTEXIST = 0x1000;
	public static final int OFN_HIDEREADONLY = 0x4;
//	public static final int OFN_LONGNAMES = 0x200000;
	public static final int OFN_NOCHANGEDIR = 0x8;
//	public static final int OFN_NODEREFERENCELINKS = 0x100000;
//	public static final int OFN_NOLONGNAMES = 0x40000;
//	public static final int OFN_NONETWORKBUTTON = 0x20000;
//	public static final int OFN_NOREADONLYRETURN = 0x8000;
//	public static final int OFN_NOTESTFILECREATE = 0x10000;
//	public static final int OFN_NOVALIDATE = 0x100;
//	public static final int OFN_OVERWRITEPROMPT = 0x2;
//	public static final int OFN_PATHMUSTEXIST = 0x800;
//	public static final int OFN_READONLY = 0x1;
//	public static final int OFN_SHAREAWARE = 0x4000;
//	public static final int OFN_SHAREFALLTHROUGH = 0x2;
//	public static final int OFN_SHARENOWARN = 0x1;
//	public static final int OFN_SHAREWARN = 0x0;
//	public static final int OFN_SHOWHELP = 0x10;
//	public static final int OIC_BANG = 0x7F03;
//	public static final int OIC_ERROR = 0x7F01;
//	public static final int OIC_HAND = 0x7F01;
//	public static final int OIC_INFORMATION = 0x7F04;
//	public static final int OIC_NOTE = 0x7F04;
//	public static final int OIC_QUES = 0x7F02;
//	public static final int OIC_SAMPLE = 0x7F00;
//	public static final int OIC_WARNING = 0x7F03;
//	public static final int OIC_WINLOGO = 0x7F05;
//	public static final int OLEOP_DOVERB = 1;
	public static final int OPAQUE = 0x2;
	public static final int PATCOPY = 0xF00021;
	public static final int PATINVERT = 0x5A0049;
//	public static final int PATPAINT = 0xFB0A09;
//	public static final int PBM_DELTAPOS = 0x403;
	public static final int PBM_GETPOS = (WM_USER+8);
	public static final int PBM_GETRANGE = (WM_USER+7);  // wParam = return (TRUE ? low : high). lParam = PPBRANGE or NULL
	public static final int PBM_SETBARCOLOR = (WM_USER+9);		// lParam = bar color
	public static final int PBM_SETBKCOLOR = CCM_SETBKCOLOR;  // lParam = bkColor
	public static final int PBM_SETPOS = 0x402;
//	public static final int PBM_SETRANGE = 0x401;
	public static final int PBM_SETRANGE32 = (WM_USER+6);  // lParam = high, wParam = low
//	public static final int PBM_SETSTEP = 0x404;
//	public static final int PBM_STEPIT = 0x405;
	public static final int PBS_SMOOTH = 0x01;
	public static final int PBS_VERTICAL = 0x04;
//	public static final int PC_DELIMITER = 4;
//	public static final int PC_FOLLOWING = 1;
//	public static final int PC_LEADING = 2;
//	public static final int PC_OVERFLOW = 3;
	public static final int PD_ALLPAGES                   = 0x00000000;
	public static final int PD_SELECTION                  = 0x00000001;
	public static final int PD_PAGENUMS                   = 0x00000002;
//	public static final int PD_NOSELECTION                = 0x00000004;
//	public static final int PD_NOPAGENUMS                 = 0x00000008;
	public static final int PD_COLLATE                    = 0x00000010;
	public static final int PD_PRINTTOFILE                = 0x00000020;
//	public static final int PD_PRINTSETUP                 = 0x00000040;
//	public static final int PD_NOWARNING                  = 0x00000080;
	public static final int PD_RETURNDC                   = 0x00000100;
//	public static final int PD_RETURNIC                   = 0x00000200;
//	public static final int PD_RETURNDEFAULT              = 0x00000400;
//	public static final int PD_SHOWHELP                   = 0x00000800;
//	public static final int PD_ENABLEPRINTHOOK            = 0x00001000;
//	public static final int PD_ENABLESETUPHOOK            = 0x00002000;
//	public static final int PD_ENABLEPRINTTEMPLATE        = 0x00004000;
//	public static final int PD_ENABLESETUPTEMPLATE        = 0x00008000;
//	public static final int PD_ENABLEPRINTTEMPLATEHANDLE  = 0x00010000;
//	public static final int PD_ENABLESETUPTEMPLATEHANDLE  = 0x00020000;
//	public static final int PD_USEDEVMODECOPIES           = 0x00040000;
	public static final int PD_USEDEVMODECOPIESANDCOLLATE = 0x00040000;
//	public static final int PD_DISABLEPRINTTOFILE         = 0x00080000;
//	public static final int PD_HIDEPRINTTOFILE            = 0x00100000;
//	public static final int PD_NONETWORKBUTTON            = 0x00200000;
	public static final int RC_BITBLT                     = 1;
//	public static final int PRINTER_ENUM_NAME             = 0x00000008;
//	public static final int PRINTER_ENUM_EXPAND           = 0x00004000;
//	public static final int PRINTER_ENUM_CONTAINER        = 0x00008000;
//	public static final int PRINTER_ENUM_ICON1            = 0x00010000;
//	public static final int PRINTER_ENUM_ICON2            = 0x00020000;
//	public static final int PRINTER_ENUM_ICON3            = 0x00040000;
//	public static final int PRINTER_ENUM_ICON4            = 0x00080000;
//	public static final int PRINTER_ENUM_ICON5            = 0x00100000;
//	public static final int PRINTER_ENUM_ICON6            = 0x00200000;
//	public static final int PRINTER_ENUM_ICON7            = 0x00400000;
//	public static final int PRINTER_ENUM_ICON8            = 0x00800000;
//	public static final int PFA_CENTER = 0x0003;
//	public static final int PFA_JUSTIFY = 4;
//	public static final int PFA_LEFT = 0x0001;
//	public static final int PFA_RIGHT = 0x0002;
//	public static final int PFE_DONOTHYPHEN = (PFM_DONOTHYPHEN >> 16);
//	public static final int PFE_KEEP = (PFM_KEEP >> 16);
//	public static final int PFE_KEEPNEXT = (PFM_KEEPNEXT >> 16);
//	public static final int PFE_NOLINENUMBER = (PFM_NOLINENUMBER >> 16);
//	public static final int PFE_NOWIDOWCONTROL = (PFM_NOWIDOWCONTROL >> 16);
//	public static final int PFE_PAGEBREAKBEFORE = (PFM_PAGEBREAKBEFORE >> 16);
//	public static final int PFE_RTLPAR = (PFM_RTLPARA >> 16);
//	public static final int PFE_RTLPARA = (PFM_DIR >> 16); 
//	public static final int PFE_SIDEBYSIDE = (PFM_SIDEBYSIDE >> 16); 
//	public static final int PFE_TABLECELL = 0x4000;
//	public static final int PFE_TABLECELLEND = 0x8000;
//	public static final int PFE_TABLEROW = 0xC000;
//	public static final int PFM_ALIGNMENT = 0x00000008;
//	public static final int PFM_ALL = (PFM_STARTINDENT | PFM_RIGHTINDENT | PFM_OFFSET | PFM_ALIGNMENT | PFM_TABSTOPS | PFM_NUMBERING | PFM_OFFSETINDENT | PFM_DIR);
//	public static final int PFM_ALL2 = (PFM_ALL | PFM_EFFECTS | PFM_SPACEBEFORE | PFM_SPACEAFTER | PFM_LINESPACING | PFM_STYLE | PFM_SHADING | PFM_BORDER | PFM_NUMBERINGTAB | PFM_NUMBERINGSTART | PFM_NUMBERINGSTYLE);
//	public static final int PFM_BORDER = 0x00000800;
//	public static final int PFM_DIR = 0x00010000;
//	public static final int PFM_DONOTHYPHEN = 0x00400000;
//	public static final int PFM_EFFECTS = (PFM_DIR | PFM_KEEP | PFM_KEEPNEXT | PFM_TABLE | PFM_PAGEBREAKBEFORE | PFM_NOLINENUMBER | PFM_NOWIDOWCONTROL | PFM_DONOTHYPHEN | PFM_SIDEBYSIDE | PFM_TABLE);
//	public static final int PFM_KEEP = 0x00020000;
//	public static final int PFM_KEEPNEXT = 0x00040000;
//	public static final int PFM_LINESPACING = 0x00000100;
//	public static final int PFM_NOLINENUMBER = 0x00100000;
//	public static final int PFM_NOWIDOWCONTROL = 0x00200000;
//	public static final int PFM_NUMBERING = 0x00000020;
//	public static final int PFM_NUMBERINGSTART = 0x00008000;
//	public static final int PFM_NUMBERINGSTYLE = 0x00002000;
//	public static final int PFM_NUMBERINGTAB = 0x00004000;
//	public static final int PFM_OFFSET = 0x00000004;
//	public static final int PFM_OFFSETINDENT = 0x80000000;
//	public static final int PFM_PAGEBREAKBEFORE = 0x00080000;
//	public static final int PFM_RIGHTINDENT = 0x00000002;
//	public static final int PFM_RTLPARA = 0x00010000;
//	public static final int PFM_SHADING = 0x00001000;
//	public static final int PFM_SIDEBYSIDE = 0x00800000;
//	public static final int PFM_SPACEAFTER = 0x00000080;
//	public static final int PFM_SPACEBEFORE = 0x00000040;
//	public static final int PFM_STARTINDENT = 0x00000001;
//	public static final int PFM_STYLE = 0x00000400;
//	public static final int PFM_TABLE = 0xC0000000;
	public static final int PFM_TABSTOPS = 0x00000010;
//	public static final int PFN_BULLET = 0x0001;
	public static final int PLANES = 14;
	public static final int PHYSICALOFFSETX = 112;
	public static final int PHYSICALOFFSETY = 113;
	public static final int PHYSICALWIDTH = 110;
	public static final int PHYSICALHEIGHT = 111;
//	public static final int PM_NOREMOVE = 0x0;
//	public static final int PM_NOYIELD = 0x2;
	public static final int PM_REMOVE = 0x1;
//	public static final int PS_ALTERNATE = 0x8;
//	public static final int PS_COSMETIC = 0x0;
	public static final int PS_DASH = 0x1;
	public static final int PS_DASHDOT = 0x3;
	public static final int PS_DASHDOTDOT = 0x4;
	public static final int PS_DOT = 0x2;
	public static final int PS_ENDCAP_FLAT = 0x200;
//	public static final int PS_ENDCAP_MASK = 0xF00;
//	public static final int PS_ENDCAP_ROUND = 0x0;
//	public static final int PS_ENDCAP_SQUARE = 0x100;
	public static final int PS_GEOMETRIC = 0x10000;
//	public static final int PS_INSIDEFRAME = 0x6;
//	public static final int PS_JOIN_BEVEL = 0x1000;
//	public static final int PS_JOIN_MASK = 0xF000;
	public static final int PS_JOIN_MITER = 0x2000;
//	public static final int PS_JOIN_ROUND = 0x0;
//	public static final int PS_MAXLINKTYPES = 0x8;
//	public static final int PS_NULL = 0x5;
	public static final int PS_SOLID = 0x0;
	public static final int PS_STYLE_MASK = 0xF;
//	public static final int PS_TYPE_MASK = 0xF0000;
//	public static final int PS_USERSTYLE = 0x7;
//	public static final int PSBTN_APPLYNOW = 0x4;
//	public static final int PSBTN_BACK = 0x0;
//	public static final int PSBTN_CANCEL = 0x5;
//	public static final int PSBTN_FINISH = 0x2;
//	public static final int PSBTN_HELP = 0x6;
//	public static final int PSBTN_MAX = 0x6;
//	public static final int PSBTN_NEXT = 0x1;
//	public static final int PSBTN_OK = 0x3;
//	public static final int PSCB_INITIALIZED = 0x1;
//	public static final int PSCB_PRECREATE = 0x2;
//	public static final int PSD_DEFAULTMINMARGINS = 0x0;
//	public static final int PSD_DISABLEMARGINS = 0x10;
//	public static final int PSD_DISABLEORIENTATION = 0x100;
//	public static final int PSD_DISABLEPAGEPAINTING = 0x80000;
//	public static final int PSD_DISABLEPAPER = 0x200;
//	public static final int PSD_DISABLEPRINTER = 0x20;
//	public static final int PSD_ENABLEPAGEPAINTHOOK = 0x40000;
//	public static final int PSD_ENABLEPAGESETUPHOOK = 0x2000;
//	public static final int PSD_ENABLEPAGESETUPTEMPLATE = 0x8000;
//	public static final int PSD_ENABLEPAGESETUPTEMPLATEHANDLE = 0x20000;
//	public static final int PSD_INHUNDREDTHSOFMILLIMETERS = 0x8;
//	public static final int PSD_INTHOUSANDTHSOFINCHES = 0x4;
//	public static final int PSD_INWININIINTLMEASURE = 0x0;
//	public static final int PSD_MARGINS = 0x2;
//	public static final int PSD_MINMARGINS = 0x1;
//	public static final int PSD_NOWARNING = 0x80;
//	public static final int PSD_RETURNDEFAULT = 0x400;
//	public static final int PSD_SHOWHELP = 0x800;
//	public static final int PSF_CHECKDISPLAYASICON = 0x8;
//	public static final int PSF_DISABLEDISPLAYASICON = 0x10;
//	public static final int PSF_HIDECHANGEICON = 0x20;
//	public static final int PSF_NOREFRESHDATAOBJECT = 0x80;
//	public static final int PSF_SELECTPASTE = 0x2;
//	public static final int PSF_SELECTPASTELINK = 0x4;
//	public static final int PSF_SHOWHELP = 0x1;
//	public static final int PSF_STAYONCLIPBOARDCHANGE = 0x40;
//	public static final int PSH_DEFAULT = 0x0;
//	public static final int PSH_HASHELP = 0x200;
//	public static final int PSH_HELP = 0x40E;
//	public static final int PSH_MODELESS = 0x400;
//	public static final int PSH_NOAPPLYNOW = 0x80;
//	public static final int PSH_PROPSHEETPAGE = 0x8;
//	public static final int PSH_PROPTITLE = 0x1;
//	public static final int PSH_RTLREADING = 0x800;
//	public static final int PSH_USECALLBACK = 0x100;
//	public static final int PSH_USEHICON = 0x2;
//	public static final int PSH_USEICONID = 0x4;
//	public static final int PSH_USEPSTARTPAGE = 0x40;
//	public static final int PSH_WIZARD = 0x20;
//	public static final int PSH1 = 0x400;
//	public static final int PSH10 = 0x409;
//	public static final int PSH11 = 0x40A;
//	public static final int PSH12 = 0x40B;
//	public static final int PSH13 = 0x40C;
//	public static final int PSH14 = 0x40D;
//	public static final int PSH15 = 0x40E;
//	public static final int PSH16 = 0x40F;
//	public static final int PSH2 = 0x401;
//	public static final int PSH3 = 0x402;
//	public static final int PSH4 = 0x403;
//	public static final int PSH5 = 0x404;
//	public static final int PSH6 = 0x405;
//	public static final int PSH7 = 0x406;
//	public static final int PSH8 = 0x407;
//	public static final int PSH9 = 0x408;
//	public static final int PSI_APPLY = 0x3;
//	public static final int PSI_CHANGED = 0x1;
//	public static final int PSI_GETSIBLINGS = 0x4;
//	public static final int PSI_GUISTART = 0x2;
//	public static final int PSI_HASHELP = 0x5;
//	public static final int PSI_HELP = 0x6;
//	public static final int PSI_KILLACTIVE = 0x2;
//	public static final int PSI_REBOOT = 0x3;
//	public static final int PSI_RESET = 0x4;
//	public static final int PSI_SETACTIVE = 0x1;
//	public static final int PSM_ADDPAGE = 0x467;
//	public static final int PSM_APPLY = 0x46E;
//	public static final int PSM_CANCELTOCLOSE = 0x46B;
//	public static final int PSM_CHANGED = 0x468;
//	public static final int PSM_GETCURRENTPAGEHWND = 0x476;
//	public static final int PSM_GETTABCONTROL = 0x474;
//	public static final int PSM_ISDIALOGMESSAGE = 0x475;
//	public static final int PSM_PAGEINFO = 0x464;
//	public static final int PSM_PRESSBUTTON = 0x471;
//	public static final int PSM_QUERYSIBLINGS = 0x46C;
//	public static final int PSM_REBOOTSYSTEM = 0x46A;
//	public static final int PSM_REMOVEPAGE = 0x466;
//	public static final int PSM_RESTARTWINDOWS = 0x469;
//	public static final int PSM_SETCURSEL = 0x465;
//	public static final int PSM_SETCURSELID = 0x472;
//	public static final int PSM_SETFINISHTEXT = 0x473;
//	public static final int PSM_SETFINISHTEXTA = 0x473;
//	public static final int PSM_SETFINISHTEXTW = 0x479;
//	public static final int PSM_SETTITLE = 0x46F;
//	public static final int PSM_SETTITLEA = 0x46F;
//	public static final int PSM_SETTITLEW = 0x478;
//	public static final int PSM_SETWIZBUTTONS = 0x470;
//	public static final int PSM_SHEETINFO = 0x465;
//	public static final int PSM_UNCHANGED = 0x46D;
//	public static final int PSNRET_INVALID = 0x1;
//	public static final int PSNRET_INVALID_NOCHANGEPAGE = 0x2;
//	public static final int PSNRET_NOERROR = 0x0;
//	public static final int PSP_DEFAULT = 0x0;
//	public static final int PSP_DLGINDIRECT = 0x1;
//	public static final int PSP_HASHELP = 0x20;
//	public static final int PSP_RTLREADING = 0x10;
//	public static final int PSP_USECALLBACK = 0x80;
//	public static final int PSP_USEHICON = 0x2;
//	public static final int PSP_USEICONID = 0x4;
//	public static final int PSP_USEREFPARENT = 0x40;
//	public static final int PSP_USETITLE = 0x8;
//	public static final int PSPCB_CREATE = 0x2;
//	public static final int PSPCB_RELEASE = 0x1;
//	public static final int PST_FAX = 0x21;
//	public static final int PST_LAT = 0x101;
//	public static final int PST_MODEM = 0x6;
//	public static final int PST_NETWORK_BRIDGE = 0x100;
//	public static final int PST_PARALLELPORT = 0x2;
//	public static final int PST_RS232 = 0x1;
//	public static final int PST_RS422 = 0x3;
//	public static final int PST_RS423 = 0x4;
//	public static final int PST_RS449 = 0x5;
//	public static final int PST_SCANNER = 0x22;
//	public static final int PST_TCPIP_TELNET = 0x102;
//	public static final int PST_UNSPECIFIED = 0x0;
//	public static final int PST_X25 = 0x103;
//	public static final int PSWIZB_BACK = 0x1;
//	public static final int PSWIZB_DISABLEDFINISH = 0x8;
//	public static final int PSWIZB_FINISH = 0x4;
//	public static final int PSWIZB_NEXT = 0x2;
	public static final int R2_COPYPEN = 13;
	public static final int R2_XORPEN = 7;
	public static final int RASTER_FONTTYPE = 0x0001;
	public static final int RASTERCAPS = 38;
	public static final int RC_PALETTE = 0x0100;
	public static final int RDW_ALLCHILDREN = 0x80;
	public static final int RDW_ERASE = 0x4;
//	public static final int RDW_ERASENOW = 0x200;
	public static final int RDW_FRAME = 0x400;
//	public static final int RDW_INTERNALPAINT = 0x2;
	public static final int RDW_INVALIDATE = 0x1;
//	public static final int RDW_NOCHILDREN = 0x40;
//	public static final int RDW_NOERASE = 0x20;
//	public static final int RDW_NOFRAME = 0x800;
//	public static final int RDW_NOINTERNALPAINT = 0x10;
	public static final int RDW_UPDATENOW = 0x100;
//	public static final int RDW_VALIDATE = 0x8;
//	public static final int RGN_AND = 0x1;
//	public static final int RGN_COPY = 0x5;
//	public static final int RGN_DIFF = 0x4;
//	public static final int RGN_ERROR = 0x0;
//	public static final int RGN_MAX = 0x5;
//	public static final int RGN_MIN = 0x1;
	public static final int RGN_OR = 0x2;
//	public static final int RGN_XOR = 0x3;
//	public static final int S_SERBDNT = 0xFFFFFFFB;
//	public static final int S_SERDCC = 0xFFFFFFF9;
//	public static final int S_SERDDR = 0xFFFFFFF2;
//	public static final int S_SERDFQ = 0xFFFFFFF3;
//	public static final int S_SERDLN = 0xFFFFFFFA;
//	public static final int S_SERDMD = 0xFFFFFFF6;
//	public static final int S_SERDPT = 0xFFFFFFF4;
//	public static final int S_SERDSH = 0xFFFFFFF5;
//	public static final int S_SERDSR = 0xFFFFFFF1;
//	public static final int S_SERDST = 0xFFFFFFF0;
//	public static final int S_SERDTP = 0xFFFFFFF8;
//	public static final int S_SERDVL = 0xFFFFFFF7;
//	public static final int S_SERDVNA = 0xFFFFFFFF;
//	public static final int S_SERMACT = 0xFFFFFFFD;
//	public static final int S_SEROFM = 0xFFFFFFFE;
//	public static final int S_SERQFUL = 0xFFFFFFFC;
//	public static final int S_STACCATO = 0x2;
//	public static final int S_WHITE1024 = 0x5;
//	public static final int S_WHITE2048 = 0x6;
//	public static final int S_WHITE512 = 0x4;
//	public static final int S_WHITEVOICE = 0x7;
//	public static final int SB_BOTH = 0x3;
	public static final int SB_BOTTOM = 0x7;
	public static final int SB_CTL = 0x2;
	public static final int SB_ENDSCROLL = 0x8;
//	public static final int SB_GETBORDERS = 0x407;
//	public static final int SB_GETPARTS = 0x406;
//	public static final int SB_GETRECT = 0x40A;
//	public static final int SB_GETTEXT = 0x402;
//	public static final int SB_GETTEXTA = 0x402;
//	public static final int SB_GETTEXTLENGTH = 0x403;
//	public static final int SB_GETTEXTLENGTHA = 0x403;
//	public static final int SB_GETTEXTLENGTHW = 0x40C;
//	public static final int SB_GETTEXTW = 0x40D;
	public static final int SB_HORZ = 0x0;
//	public static final int SB_LEFT = 0x6;
	public static final int SB_LINEDOWN = 0x1;
//	public static final int SB_LINELEFT = 0x0;
//	public static final int SB_LINERIGHT = 0x1;
	public static final int SB_LINEUP = 0x0;
	public static final int SB_PAGEDOWN = 0x3;
//	public static final int SB_PAGELEFT = 0x2;
//	public static final int SB_PAGERIGHT = 0x3;
	public static final int SB_PAGEUP = 0x2;
//	public static final int SB_RIGHT = 0x7;
//	public static final int SB_SETMINHEIGHT = 0x408;
//	public static final int SB_SETPARTS = 0x404;
//	public static final int SB_SETTEXT = 0x401;
//	public static final int SB_SETTEXTA = 0x401;
//	public static final int SB_SETTEXTW = 0x40B;
//	public static final int SB_SIMPLE = 0x409;
	public static final int SB_THUMBPOSITION = 0x4;
	public static final int SB_THUMBTRACK = 0x5;
	public static final int SB_TOP = 0x6;
	public static final int SB_VERT = 0x1;
//	public static final int SBARS_SIZEGRIP = 0x100;
//	public static final int SBM_ENABLE_ARROWS = 0xE4;
//	public static final int SBM_GETPOS = 0xE1;
//	public static final int SBM_GETRANGE = 0xE3;
//	public static final int SBM_GETSCROLLINFO = 0xEA;
//	public static final int SBM_SETPOS = 0xE0;
//	public static final int SBM_SETRANGE = 0xE2;
//	public static final int SBM_SETRANGEREDRAW = 0xE6;
//	public static final int SBM_SETSCROLLINFO = 0xE9;
//	public static final int SBS_BOTTOMALIGN = 0x4;
	public static final int SBS_HORZ = 0x0;
//	public static final int SBS_LEFTALIGN = 0x2;
//	public static final int SBS_RIGHTALIGN = 0x4;
//	public static final int SBS_SIZEBOX = 0x8;
//	public static final int SBS_SIZEBOXBOTTOMRIGHTALIGN = 0x4;
//	public static final int SBS_SIZEBOXTOPLEFTALIGN = 0x2;
//	public static final int SBS_SIZEGRIP = 0x10;
//	public static final int SBS_TOPALIGN = 0x2;
	public static final int SBS_VERT = 0x1;
//	public static final int SBT_NOBORDERS = 0x100;
//	public static final int SBT_OWNERDRAW = 0x1000;
//	public static final int SBT_POPOUT = 0x200;
//	public static final int SBT_RTLREADING = 0x400;
//	public static final int SC_ARRANGE = 0xF110;
	public static final int SC_CLOSE = 0xF060;
//	public static final int SC_CLOSE = 0xF060;
//	public static final int SC_CONTEXTHELP = 0xF180;
//	public static final int SC_DEFAULT = 0xF160;
//	public static final int SC_HOTKEY = 0xF150;
	public static final int SC_HSCROLL = 0xF080;
//	public static final int SC_ICON = 0xF020;
	public static final int SC_KEYMENU = 0xF100;
//	public static final int SC_MANAGER_ALL_ACCESS = 0xF003F;
//	public static final int SC_MANAGER_CONNECT = 0x1;
//	public static final int SC_MANAGER_CREATE_SERVICE = 0x2;
//	public static final int SC_MANAGER_ENUMERATE_SERVICE = 0x4;
//	public static final int SC_MANAGER_LOCK = 0x8;
//	public static final int SC_MANAGER_MODIFY_BOOT_CONFIG = 0x20;
//	public static final int SC_MANAGER_QUERY_LOCK_STATUS = 0x10;
	public static final int SC_MAXIMIZE = 0xF030;
	public static final int SC_MINIMIZE = 0xF020;
//	public static final int SC_MONITORPOWER = 0xF170;
//	public static final int SC_MOUSEMENU = 0xF090;
//	public static final int SC_MOVE = 0xF010;
//	public static final int SC_NEXTWINDOW = 0xF040;
//	public static final int SC_PREVWINDOW = 0xF050;
	public static final int SC_RESTORE = 0xF120;
//	public static final int SC_SCREENSAVE = 0xF140;
//	public static final int SC_SEPARATOR = 0xF00F;
	public static final int SC_SIZE = 0xF000;	
	public static final int SC_TASKLIST = 0xF130;
	public static final int SC_VSCROLL = 0xF070;
//	public static final int SC_ZOOM = 0xF030;
//	public static final int SCALINGFACTORX = 0x72;
//	public static final int SCALINGFACTORY = 0x73;
	public static final int SCF_ALL = 0x0004;
	public static final int SCF_DEFAULT = 0x0000;
	public static final int SCF_SELECTION = 0x0001;
//	public static final int SCF_USEUIRULES = 0x0008;
//	public static final int SCF_WORD = 0x0002;
//	public static final int SCR1 = 0x490;
//	public static final int SCR2 = 0x491;
//	public static final int SCR3 = 0x492;
//	public static final int SCR4 = 0x493;
//	public static final int SCR5 = 0x494;
//	public static final int SCR6 = 0x495;
//	public static final int SCR7 = 0x496;
//	public static final int SCR8 = 0x497;
//	public static final int SCREEN_FONTTYPE = 0x2000;
//	public static final int SCROLLLOCK_ON = 0x40;
//	public static final int SCS_CAP_COMPSTR = 0x1;
//	public static final int SCS_CAP_MAKEREAD = 0x2;
//	public static final int SCS_CHANGEATTR = 0x12;
//	public static final int SCS_CHANGECLAUSE = 0x24;
//	public static final int SCS_DOS_BINARY = 0x1;
//	public static final int SCS_OS216_BINARY = 0x5;
//	public static final int SCS_PIF_BINARY = 0x3;
//	public static final int SCS_POSIX_BINARY = 0x4;
//	public static final int SCS_SETSTR = 0x9;
//	public static final int SCS_WOW_BINARY = 0x2;
//	public static final int SCS32BIT_BINARY = 0x0;
//	public static final int SEL_EMPTY = 0x0000;
//	public static final int SEL_MULTICHAR = 0x0004;
//	public static final int SEL_MULTIOBJECT = 0x0008;
//	public static final int SEL_OBJECT = 0x0002;
//	public static final int SEL_TEXT = 0x0001;
	public static final int SF_RTF = 0x0002;
//	public static final int SF_RTFNOOBJS = 0x0003;
//	public static final int SF_TEXT = 0x0001;
//	public static final int SF_TEXTIZED = 0x0004;
//	public static final int SF_UNICODE = 0x0010;
//	public static final int SFF_PLAINRTF = 0x4000;
//	public static final int SFF_SELECTION = 0x8000;
	public static final int SIF_ALL = 0x17;
	public static final int SIF_DISABLENOSCROLL = 0x8;
	public static final int SIF_PAGE = 0x2;
	public static final int SIF_POS = 0x4;
	public static final int SIF_RANGE = 0x1;
	public static final int SIF_TRACKPOS = 0x10;
//	public static final int SIMPLEREGION = 0x2;
//	public static final int SIZE_MAXHIDE = 0x4;
//	public static final int SIZE_MAXIMIZED = 0x2;
//	public static final int SIZE_MAXSHOW = 0x3;
	public static final int SIZE_MINIMIZED = 0x1;
//	public static final int SIZE_OF80387_REGISTERS = 0x50;
//	public static final int SIZE_RESTORED = 0x0;
//	public static final int SIZEFULLSCREEN = 0x2;
//	public static final int SIZEICONIC = 0x1;
//	public static final int SIZENORMAL = 0x0;
//	public static final int SIZEOF_RFPO_DATA = 0x10;
//	public static final int SIZEPALETTE = 0x68;
//	public static final int SIZEZOOMHIDE = 0x4;
//	public static final int SIZEZOOMSHOW = 0x3;
//	public static final int SM_ARRANGE = 0x38;
//	public static final int SM_CLEANBOOT = 0x43;
//	public static final int SM_CMETRICS = 0x4B;
//	public static final int SM_CMOUSEBUTTONS = 0x2B;
	public static final int SM_CXBORDER = 0x5;
	public static final int SM_CXCURSOR = 0xD;
//	public static final int SM_CXDLGFRAME = 0x7;
//	public static final int SM_CXDOUBLECLK = 0x24;
//	public static final int SM_CXDRAG = 0x44;
	public static final int SM_CXEDGE = 0x2D;
//	public static final int SM_CXFIXEDFRAME = 0x7;
//	public static final int SM_CXFRAME = 0x20;
//	public static final int SM_CXFULLSCREEN = 0x10;
	public static final int SM_CXHSCROLL = 0x15;
//	public static final int SM_CXHTHUMB = 0xA;
//	public static final int SM_CXICON = 0xB;
//	public static final int SM_CXICONSPACING = 0x26;
//	public static final int SM_CXMAXIMIZED = 0x3D;
//	public static final int SM_CXMAXTRACK = 0x3B;
//	public static final int SM_CXMENUCHECK = 0x47;
//	public static final int SM_CXMENUSIZE = 0x36;
//	public static final int SM_CXMIN = 0x1C;
//	public static final int SM_CXMINIMIZED = 0x39;
//	public static final int SM_CXMINSPACING = 0x2F;
//	public static final int SM_CXMINTRACK = 0x22;
	public static final int SM_CXSCREEN = 0x0;
//	public static final int SM_CXSIZE = 0x1E;
//	public static final int SM_CXSIZEFRAME = 0x20;
//	public static final int SM_CXSMICON = 0x31;
//	public static final int SM_CXSMSIZE = 0x34;
	public static final int SM_CXVSCROLL = 0x2;
	public static final int SM_CYBORDER = 0x6;
//	public static final int SM_CYCAPTION = 0x4;
	public static final int SM_CYCURSOR = 0xE;
//	public static final int SM_CYDLGFRAME = 0x8;
//	public static final int SM_CYDOUBLECLK = 0x25;
//	public static final int SM_CYDRAG = 0x45;
//	public static final int SM_CYEDGE = 0x2E;
//	public static final int SM_CYFIXEDFRAME = 0x8;
//	public static final int SM_CYFRAME = 0x21;
//	public static final int SM_CYFULLSCREEN = 0x11;
	public static final int SM_CYHSCROLL = 0x3;
//	public static final int SM_CYICON = 0xC;
//	public static final int SM_CYICONSPACING = 0x27;
//	public static final int SM_CYKANJIWINDOW = 0x12;
//	public static final int SM_CYMAXIMIZED = 0x3E;
//	public static final int SM_CYMAXTRACK = 0x3C;
	public static final int SM_CYMENU = 0xF;
//	public static final int SM_CYMENUCHECK = 0x48;
//	public static final int SM_CYMENUSIZE = 0x37;
//	public static final int SM_CYMIN = 0x1D;
//	public static final int SM_CYMINIMIZED = 0x3A;
//	public static final int SM_CYMINSPACING = 0x30;
//	public static final int SM_CYMINTRACK = 0x23;
	public static final int SM_CYSCREEN = 0x1;
//	public static final int SM_CYSIZE = 0x1F;
//	public static final int SM_CYSIZEFRAME = 0x21;
//	public static final int SM_CYSMCAPTION = 0x33;
//	public static final int SM_CYSMICON = 0x32;
//	public static final int SM_CYSMSIZE = 0x35;
	public static final int SM_CYVSCROLL = 0x14;
//	public static final int SM_CYVTHUMB = 0x9;
//	public static final int SM_DBCSENABLED = 0x2A;
//	public static final int SM_DEBUG = 0x16;
//	public static final int SM_MENUDROPALIGNMENT = 0x28;
//	public static final int SM_MIDEASTENABLED = 0x4A;
//	public static final int SM_MOUSEPRESENT = 0x13;
//	public static final int SM_NETWORK = 0x3F;
//	public static final int SM_PENWINDOWS = 0x29;
//	public static final int SM_RESERVED1 = 0x18;
//	public static final int SM_RESERVED2 = 0x19;
//	public static final int SM_RESERVED3 = 0x1A;
//	public static final int SM_RESERVED4 = 0x1B;
//	public static final int SM_SECURE = 0x2C;
//	public static final int SM_SHOWSOUNDS = 0x46;
//	public static final int SM_SLOWMACHINE = 0x49;
//	public static final int SM_SWAPBUTTON = 0x17;
//	public static final int SMTO_ABORTIFHUNG = 0x2;
//	public static final int SMTO_BLOCK = 0x1;
//	public static final int SMTO_NORMAL = 0x0;
	public static final int SRCAND = 0x8800C6;
	public static final int SRCCOPY = 0xCC0020;
//	public static final int SRCERASE = 0x440328;
	public static final int SRCINVERT = 0x660046;
//	public static final int SRCINVERT = 0x660046;
	public static final int SRCPAINT = 0xEE0086;
	public static final int SS_BITMAP = 0xE;
//	public static final int SS_BLACKFRAME = 0x7;
//	public static final int SS_BLACKRECT = 0x4;
	public static final int SS_CENTER = 0x1;
	public static final int SS_CENTERIMAGE = 0x200;
//	public static final int SS_ENHMETAFILE = 0xF;
//	public static final int SS_ETCHEDFRAME = 0x12;
//	public static final int SS_ETCHEDHORZ = 0x10;
//	public static final int SS_ETCHEDVERT = 0x11;
//	public static final int SS_GRAYFRAME = 0x8;
//	public static final int SS_GRAYRECT = 0x5;
	public static final int SS_ICON = 0x3;
	public static final int SS_LEFT = 0x0;
	public static final int SS_LEFTNOWORDWRAP = 0xC;
//	public static final int SS_NOPREFIX = 0x80;
	public static final int SS_NOTIFY = 0x100;
	public static final int SS_OWNERDRAW = 0xD;
	public static final int SS_REALSIZEIMAGE = 0x800;
	public static final int SS_RIGHT = 0x2;
//	public static final int SS_RIGHTJUST = 0x400;
//	public static final int SS_SIMPLE = 0xB;
//	public static final int SS_SUNKEN = 0x1000;
//	public static final int SS_TYPEMASK = 0x1F;
//	public static final int SS_USERITEM = 0xA;
//	public static final int SS_WHITEFRAME = 0x9;
//	public static final int SS_WHITERECT = 0x6;
//	public static final int SSF_AVAILABLE = 0x2;
//	public static final int SSF_INDICATOR = 0x4;
//	public static final int SSF_SOUNDSENTRYON = 0x1;
//	public static final int SSGF_DISPLAY = 0x3;
//	public static final int SSGF_NONE = 0x0;
//	public static final int SSTF_BORDER = 0x2;
//	public static final int SSTF_CHARS = 0x1;
//	public static final int SSTF_DISPLAY = 0x3;
//	public static final int SSTF_NONE = 0x0;
//	public static final int SSWF_CUSTOM = 0x4;
//	public static final int SSWF_DISPLAY = 0x3;
//	public static final int SSWF_NONE = 0x0;
//	public static final int SSWF_TITLE = 0x1;
//	public static final int SSWF_WINDOW = 0x2;
	public static final int STD_COPY = 0x1;
	public static final int STD_CUT = 0x0;
//	public static final int STD_DELETE = 0x5;
	public static final int STD_FILENEW = 0x6;
	public static final int STD_FILEOPEN = 0x7;
	public static final int STD_FILESAVE = 0x8;
//	public static final int STD_FIND = 0xC;
//	public static final int STD_HELP = 0xB;
	public static final int STD_PASTE = 0x2;
//	public static final int STD_PRINT = 0xE;
//	public static final int STD_PRINTPRE = 0x9;
//	public static final int STD_PROPERTIES = 0xA;
//	public static final int STD_REDOW = 0x4;
//	public static final int STD_REPLACE = 0xD;
//	public static final int STD_UNDO = 0x3;
//	public static final int STM_GETICON = 0x171;
//	public static final int STM_GETIMAGE = 0x173;
//	public static final int STM_MSGMAX = 0x174;
//	public static final int STM_SETICON = 0x170;
	public static final int STM_SETIMAGE = 0x172;
//	public static final int STN_CLICKED = 0x0;
//	public static final int STN_DBLCLK = 0x1;
//	public static final int STN_DISABLE = 0x3;
//	public static final int STN_ENABLE = 0x2;
	public static final int SW_ERASE = 0x4;
	public static final int SW_HIDE = 0x0;
	public static final int SW_INVALIDATE = 0x2;
//	public static final int SW_MAX = 0xA;
//	public static final int SW_MAXIMIZE = 0x3;
//	public static final int SW_MINIMIZE = 0x6;
//	public static final int SW_NORMAL = 0x1;
//	public static final int SW_OTHERUNZOOM = 0x4;
//	public static final int SW_OTHERZOOM = 0x2;
//	public static final int SW_PARENTCLOSING = 0x1;
	public static final int SW_PARENTOPENING = 0x3;
	public static final int SW_RESTORE = 0x9;
	public static final int SW_SCROLLCHILDREN = 0x1;
	public static final int SW_SHOW = 0x5;
//	public static final int SW_SHOWDEFAULT = 0xA;
	public static final int SW_SHOWMAXIMIZED = 0x3;
//	public static final int SW_SHOWMINIMIZED = 0x2;
	public static final int SW_SHOWMINNOACTIVE = 0x7;
	public static final int SW_SHOWNA = 0x8;
	public static final int SW_SHOWNOACTIVATE = 0x4;
//	public static final int SW_SHOWNORMAL = 0x1;
//	public static final int SWP_ASYNCWINDOWPOS = 0x4000;
//	public static final int SWP_DEFERERASE = 0x2000;
	public static final int SWP_DRAWFRAME = 0x20;
//	public static final int SWP_FRAMECHANGED = 0x20;
//	public static final int SWP_HIDEWINDOW = 0x80;
	public static final int SWP_NOACTIVATE = 0x10;
	public static final int SWP_NOCOPYBITS = 0x100;
	public static final int SWP_NOMOVE = 0x2;
//	public static final int SWP_NOOWNERZORDER = 0x200;
	public static final int SWP_NOREDRAW = 0x8;
//	public static final int SWP_NOREPOSITION = 0x200;
//	public static final int SWP_NOSENDCHANGING = 0x400;
	public static final int SWP_NOSIZE = 0x1;
	public static final int SWP_NOZORDER = 0x4;
//	public static final int SWP_SHOWWINDOW = 0x40;
//	public static final int SYSTEM_FIXED_FONT = 0x10;
	public static final int SYSTEM_FONT = 0xD;
//	public static final int TB_ADDBITMAP = 0x413;
//	public static final int TB_ADDBUTTONS = 0x414;
	public static final int TB_ADDSTRING = 0x41C;
//	public static final int TB_ADDSTRINGA = 0x41C;
//	public static final int TB_ADDSTRINGW = 0x44D;
//	public static final int TB_AUTOSIZE = 0x421;
//	public static final int TB_BOTTOM = 0x7;
	public static final int TB_BUTTONCOUNT = 0x418;
	public static final int TB_BUTTONSTRUCTSIZE = 0x41E;
//	public static final int TB_CHANGEBITMAP = 0x42B;
//	public static final int TB_CHECKBUTTON = 0x402;
	public static final int TB_COMMANDTOINDEX = 0x419;
//	public static final int TB_CUSTOMIZE = 0x41B;
	public static final int TB_DELETEBUTTON = 0x416;
//	public static final int TB_ENABLEBUTTON = 0x401;
	public static final int TB_ENDTRACK = 0x8;
//	public static final int TB_GETBITMAP = 0x42C;
//	public static final int TB_GETBITMAPFLAGS = 0x429;
	public static final int TB_GETBUTTON = 0x417;
	public static final int TB_GETBUTTONINFO = WM_USER + 65;
//	public static final int TB_GETBUTTONINFOW        (WM_USER + 63) 
	public static final int TB_GETBUTTONSIZE = (WM_USER + 58);
	public static final int TB_GETBUTTONTEXT = 0x42D;
//	public static final int TB_GETBUTTONTEXTA = 0x42D;
//	public static final int TB_GETBUTTONTEXTW = 0x44B;
	public static final int TB_GETDISABLEDIMAGELIST = (WM_USER + 55);
//	public static final int TB_GETEXTENDEDSTYLE = (WM_USER + 85);
	public static final int TB_GETHOTIMAGELIST = (WM_USER + 53);
	public static final int TB_GETIMAGELIST = (WM_USER + 49);
	public static final int TB_GETITEMRECT = 0x41D;
//	public static final int TB_GETRECT = (WM_USER + 51); // wParam is the Cmd instead of index 
	public static final int TB_GETROWS = 0x428;
	public static final int TB_GETSTATE = 0x412;
//	public static final int TB_GETSTYLE = (WM_USER + 57);
//	public static final int TB_GETTEXTROWS = (WM_USER + 61);
	public static final int TB_GETTOOLTIPS = 0x423;
//	public static final int TB_HIDEBUTTON = 0x404;
//	public static final int TB_INDETERMINATE = 0x405;
	public static final int TB_INSERTBUTTON = 0x415;
//	public static final int TB_ISBUTTONCHECKED = 0x40A;
//	public static final int TB_ISBUTTONENABLED = 0x409;
//	public static final int TB_ISBUTTONHIDDEN = 0x40C;
//	public static final int TB_ISBUTTONINDETERMINATE = 0x40D;
//	public static final int TB_ISBUTTONPRESSED = 0x40B;
//	public static final int TB_LINEDOWN = 0x1;
//	public static final int TB_LINEUP = 0x0;
	public static final int TB_LOADIMAGES = (WM_USER + 50);
//	public static final int TB_PAGEDOWN = 0x3;
//	public static final int TB_PAGEUP = 0x2;
//	public static final int TB_PRESSBUTTON = 0x403;
//	public static final int TB_REPLACEBITMAP = 0x42E;
//	public static final int TB_SAVERESTORE = 0x41A;
//	public static final int TB_SAVERESTOREA = 0x41A;
//	public static final int TB_SAVERESTOREW = 0x44C;
	public static final int TB_SETBITMAPSIZE = 0x420;
	public static final int TB_SETBUTTONINFO = WM_USER + 66;
//	public static final int TB_SETBUTTONINFOW        (WM_USER + 64) 
	public static final int TB_SETBUTTONSIZE = 0x41F;
//	public static final int TB_SETBUTTONWIDTH = (WM_USER + 59);
//	public static final int TB_SETCMDID = 0x42A;
	public static final int TB_SETDISABLEDIMAGELIST = (WM_USER + 54);
	public static final int TB_SETEXTENDEDSTYLE = (WM_USER + 84);
	public static final int TB_SETHOTIMAGELIST = (WM_USER + 52);
	public static final int TB_SETIMAGELIST = (WM_USER + 48);
//	public static final int TB_SETINDENT = (WM_USER + 47);
//	public static final int TB_SETMAXTEXTROWS = (WM_USER + 60);
//	public static final int TB_SETPARENT = 0x425;
	public static final int TB_SETROWS = 0x427;
	public static final int TB_SETSTATE = 0x411;
//	public static final int TB_SETSTYLE = (WM_USER + 56);
//	public static final int TB_SETTOOLTIPS = 0x424;
//	public static final int TB_THUMBPOSITION = 0x4;
//	public static final int TB_THUMBTRACK = 0x5;
//	public static final int TB_TOP = 0x6;
//	public static final int TBBF_LARGE = 0x1;
//	public static final int TBDDRET_DEFAULT 		= 0;
//	public static final int TBDDRET_NODEFAULT       = 1;
//	public static final int TBDDRET_TREATPRESSED    = 2;
//	public static final int TBIF_COMMAND = 0x00000020;
	public static final int TBIF_IMAGE = 0x00000001;
	public static final int TBIF_LPARAM = 0x00000010;
	public static final int TBIF_SIZE = 0x00000040;
//	public static final int TBIF_STATE = 0x00000004;
	public static final int TBIF_STYLE = 0x00000008;
	public static final int TBIF_TEXT = 0x00000002;
//	public static final int TBM_CLEARSEL = 0x413;
//	public static final int TBM_CLEARTICS = 0x409;
//	public static final int TBM_GETCHANNELRECT = 0x41A;
	public static final int TBM_GETLINESIZE = 0x418;
//	public static final int TBM_GETNUMTICS = 0x410;
	public static final int TBM_GETPAGESIZE = 0x416;
	public static final int TBM_GETPOS = 0x400;
//	public static final int TBM_GETPTICS = 0x40E;
	public static final int TBM_GETRANGEMAX = 0x402;
	public static final int TBM_GETRANGEMIN = 0x401;
//	public static final int TBM_GETSELEND = 0x412;
//	public static final int TBM_GETSELSTART = 0x411;
//	public static final int TBM_GETTHUMBLENGTH = 0x41C;
	public static final int TBM_GETTHUMBRECT = 0x419;
//	public static final int TBM_GETTIC = 0x403;
//	public static final int TBM_GETTICPOS = 0x40F;
	public static final int TBM_SETLINESIZE = 0x417;
	public static final int TBM_SETPAGESIZE = 0x415;
	public static final int TBM_SETPOS = 0x405;
//	public static final int TBM_SETRANGE = 0x406;
	public static final int TBM_SETRANGEMAX = 0x408;
	public static final int TBM_SETRANGEMIN = 0x407;
//	public static final int TBM_SETSEL = 0x40A;
//	public static final int TBM_SETSELEND = 0x40C;
//	public static final int TBM_SETSELSTART = 0x40B;
//	public static final int TBM_SETTHUMBLENGTH = 0x41B;
//	public static final int TBM_SETTIC = 0x404;
	public static final int TBM_SETTICFREQ = 0x414;
//	public static final int TBN_BEGINADJUST = 0xFFFFFD41;
//	public static final int TBN_BEGINDRAG = 0xFFFFFD43;
//	public static final int TBN_CUSTHELP = 0xFFFFFD3B;
	public static final int TBN_DROPDOWN = -710;
//	public static final int TBN_ENDADJUST = 0xFFFFFD40;
//	public static final int TBN_ENDDRAG = 0xFFFFFD42;
//	public static final int TBN_GETBUTTONINFO = 0xFFFFFD44;
//	public static final int TBN_GETBUTTONINFOA = 0xFFFFFD44;
//	public static final int TBN_GETBUTTONINFOW = 0xFFFFFD30;
//	public static final int TBN_LAST = 0xFFFFFD30;
//	public static final int TBN_QUERYDELETE = 0xFFFFFD3D;
//	public static final int TBN_QUERYINSERT = 0xFFFFFD3E;
//	public static final int TBN_RESET = 0xFFFFFD3F;
//	public static final int TBN_TOOLBARCHANGE = 0xFFFFFD3C;
	public static final int TBS_AUTOTICKS = 0x1;
	public static final int TBS_BOTH = 0x8;
//	public static final int TBS_BOTTOM = 0x0;
//	public static final int TBS_ENABLESELRANGE = 0x20;
//	public static final int TBS_FIXEDLENGTH = 0x40;
	public static final int TBS_HORZ = 0x0;
//	public static final int TBS_LEFT = 0x4;
//	public static final int TBS_NOTHUMB = 0x80;
//	public static final int TBS_NOTICKS = 0x10;
//	public static final int TBS_RIGHT = 0x0;
//	public static final int TBS_TOP = 0x4;
	public static final int TBS_VERT = 0x2;
	public static final int TBSTATE_CHECKED = 0x1;
//	public static final int TBSTATE_ELLIPSES = 0x40;
	public static final int TBSTATE_ENABLED = 0x4;
//	public static final int TBSTATE_HIDDEN = 0x8;
//	public static final int TBSTATE_INDETERMINATE = 0x10;
//	public static final int TBSTATE_MARKED = 0x80;
//	public static final int TBSTATE_PRESSED = 0x2;
//	public static final int TBSTATE_WRAP = 0x20;
//	public static final int TBSTYLE_ALTDRAG = 0x400;
//	public static final int TBSTYLE_CUSTOMERASE = 0x2000;
	public static final int TBSTYLE_EX_DRAWDDARROWS = 0x00000001;
	public static final int TBSTYLE_FLAT = 0x0800;
	public static final int TBSTYLE_LIST = 0x1000;
//	public static final int TBSTYLE_REGISTERDROP = 0x4000;
	public static final int TBSTYLE_TOOLTIPS = 0x100;
//	public static final int TBSTYLE_TRANSPARENT = 0x8000;
	public static final int TBSTYLE_WRAPABLE = 0x200;
//	public static final int TC_NORMAL = 0x0;
//	public static final int TC_OP_CHARACTER = 0x1;
//	public static final int TC_OP_STROKE = 0x2;
//	public static final int TC_RA_ABLE = 0x2000;
//	public static final int TC_RESERVED = 0x8000;
//	public static final int TC_SA_CONTIN = 0x100;
//	public static final int TC_SA_DOUBLE = 0x40;
//	public static final int TC_SA_INTEGER = 0x80;
//	public static final int TC_SCROLLBLT = 0x10000;
//	public static final int TC_SF_X_YINDEP = 0x20;
//	public static final int TC_SIGNAL = 0x3;
//	public static final int TC_SO_ABLE = 0x1000;
//	public static final int TC_UA_ABLE = 0x800;
//	public static final int TC_VA_ABLE = 0x4000;
	public static final int TCI_SRCCHARSET = 1;
	public static final int TCI_SRCCODEPAGE = 2;
	public static final int TCIF_IMAGE = 0x0002;
//	public static final int TCIF_PARAM = 0x0008;
//	public static final int TCIF_RTLREADING = 0x0004;
//	public static final int TCIF_STATE = 0x0010;
	public static final int TCIF_TEXT = 0x0001;
//	public static final int TCIS_BUTTONPRESSED = 0x0001;
//	public static final int TCIS_HIGHLIGHTED = 0x0002;
	public static final int TCM_ADJUSTRECT = 0x1328;
//	public static final int TCM_DELETEALLITEMS = 0x1309;
	public static final int TCM_DELETEITEM = 0x1308;
//	public static final int TCM_FIRST = 0x1300;
//	public static final int TCM_GETCURFOCUS = 0x132F;
	public static final int TCM_GETCURSEL = 0x130B;
//	public static final int TCM_GETIMAGELIST = 0x1302;
//	public static final int TCM_GETITEM = 0x1305;
//	public static final int TCM_GETITEMA = 0x1305;
	public static final int TCM_GETITEMCOUNT = 0x1304;
	public static final int TCM_GETITEMRECT = 0x130A;
//	public static final int TCM_GETITEMW = 0x133C;
//	public static final int TCM_GETROWCOUNT = 0x132C;
	public static final int TCM_GETTOOLTIPS = 0x132D;
//	public static final int TCM_HITTEST = 0x130D;
	public static final int TCM_INSERTITEM = 0x1307;
//	public static final int TCM_INSERTITEMA = 0x1307;
//	public static final int TCM_INSERTITEMW = 0x133E;
//	public static final int TCM_REMOVEIMAGE = 0x132A;
//	public static final int TCM_SETCURFOCUS = 0x1330;
	public static final int TCM_SETCURSEL = 0x130C;
	public static final int TCM_SETIMAGELIST = 0x1303;
	public static final int TCM_SETITEM = 0x1306;
//	public static final int TCM_SETITEMA = 0x1306;
//	public static final int TCM_SETITEMEXTRA = 0x130E;
//	public static final int TCM_SETITEMSIZE = 0x1329;
//	public static final int TCM_SETITEMW = 0x133D;
//	public static final int TCM_SETPADDING = 0x132B;
//	public static final int TCM_SETTOOLTIPS = 0x132E;
//	public static final int TCN_FIRST = 0xFFFFFDDA;
//	public static final int TCN_KEYDOWN = 0xFFFFFDDA;
//	public static final int TCN_LAST = 0xFFFFFDBC;
	public static final int TCN_SELCHANGE = 0xFFFFFDD9;
	public static final int TCN_SELCHANGING = 0xFFFFFDD8;
//	public static final int TCP_BSDURGENT = 0x7000;
//	public static final int TCP_NODELAY = 0x1;
//	public static final int TCS_BOTTOM = 0x0002;
//	public static final int TCS_BUTTONS = 0x100;
//	public static final int TCS_EX_FLATSEPARATORS = 0x00000001;
//	public static final int TCS_EX_REGISTERDROP= 0x00000002;
//	public static final int TCS_FIXEDWIDTH = 0x400;
//	public static final int TCS_FLATBUTTONS = 0x0008;
	public static final int TCS_FOCUSNEVER = 0x8000;
//	public static final int TCS_FOCUSONBUTTONDOWN = 0x1000;
//	public static final int TCS_FORCEICONLEFT = 0x10;
//	public static final int TCS_FORCELABELLEFT = 0x20;
//	public static final int TCS_HOTTRACK = 0x0040;
	public static final int TCS_MULTILINE = 0x200;
//	public static final int TCS_MULTISELECT = 0x0004;
//	public static final int TCS_OWNERDRAWFIXED = 0x2000;
//	public static final int TCS_RAGGEDRIGHT = 0x800;
//	public static final int TCS_RIGHT = 0x0002;
//	public static final int TCS_RIGHTJUSTIFY = 0x0;
//	public static final int TCS_SCROLLOPPOSITE = 0x0001;
//	public static final int TCS_SINGLELINE = 0x0;
	public static final int TCS_TABS = 0x0;
	public static final int TCS_TOOLTIPS = 0x4000;
//	public static final int TM_MULTICODEPAGE = 32;
//	public static final int TM_MULTILEVELUNDO = 8;
//	public static final int TM_PLAINTEXT = 1; 
//	public static final int TM_RICHTEXT = 2;
//	public static final int TM_SINGLECODEPAGE = 16;
//	public static final int TM_SINGLELEVELUNDO = 4;
//	public static final int TMPF_DEVICE = 8;
//	public static final int TMPF_FIXED_PITCH = 1;
//	public static final int TMPF_TRUETYPE = 4;
	public static final int TMPF_VECTOR = 2;
//	public static final int TPM_BOTTOMALIGN = 0x20;
//	public static final int TPM_CENTERALIGN = 0x4;
//	public static final int TPM_HORIZONTAL = 0x0;
	public static final int TPM_LEFTALIGN = 0x0;
	public static final int TPM_LEFTBUTTON = 0x0;
//	public static final int TPM_NONOTIFY = 0x80;
//	public static final int TPM_RETURNCMD = 0x100;
//	public static final int TPM_RIGHTALIGN = 0x8;
	public static final int TPM_RIGHTBUTTON = 0x2;
//	public static final int TPM_TOPALIGN = 0x0;
//	public static final int TPM_VCENTERALIGN = 0x10;
//	public static final int TPM_VERTICAL = 0x40;
	public static final int TRANSPARENT = 0x1;
//	public static final int TRUETYPE_FONTTYPE = 0x0004;
//	public static final int TTDT_AUTOMATIC = 0;
//	public static final int TTDT_AUTOPOP = 2;
//	public static final int TTDT_INITIAL = 3;
//	public static final int TTDT_RESHOW = 1;
//	public static final int TTF_ABSOLUTE = 0x0080;
//	public static final int TTF_CENTERTIP = 0x0002;
//	public static final int TTF_DI_SETITEM = 0x8000;
	public static final int TTF_IDISHWND = 0x0001;
//	public static final int TTF_RTLREADING = 0x0004;
	public static final int TTF_SUBCLASS = 0x0010;
//	public static final int TTF_TRACK = 0x0020;
//	public static final int TTF_TRANSPARENT = 0x0100;
//	public static final int TTM_ACTIVATE = (WM_USER + 1);
	public static final int TTM_ADDTOOL = (WM_USER + 4);
	public static final int TTM_DELTOOL = (WM_USER + 5);
//	public static final int TTM_ENUMTOOLS = (WM_USER + 14);
//	public static final int TTM_GETCURRENTTOOL = (WM_USER + 15);
//	public static final int TTM_GETDELAYTIME = (WM_USER + 21);
//	public static final int TTM_GETMARGIN = (WM_USER + 27);  
//	public static final int TTM_GETMAXTIPWIDTH = (WM_USER + 25);
//	public static final int TTM_GETTEXT = (WM_USER + 11);
//	public static final int TTM_GETTIPBKCOLOR = (WM_USER + 22);
//	public static final int TTM_GETTIPTEXTCOLOR = (WM_USER + 23);
//	public static final int TTM_GETTOOLCOUNT = (WM_USER + 13);
//	public static final int TTM_GETTOOLINFO = (WM_USER + 8);
//	public static final int TTM_HITTEST = (WM_USER + 10);
//	public static final int TTM_NEWTOOLRECT = (WM_USER + 6);
//	public static final int TTM_POP = (WM_USER + 28);
//	public static final int TTM_RELAYEVENT = (WM_USER + 7);
//	public static final int TTM_SETDELAYTIME = (WM_USER + 3);
//	public static final int TTM_SETMARGIN = (WM_USER + 26);
	public static final int TTM_SETMAXTIPWIDTH = (WM_USER + 24);
//	public static final int TTM_SETTIPBKCOLOR = (WM_USER + 19);
//	public static final int TTM_SETTIPTEXTCOLOR = (WM_USER + 20);
//	public static final int TTM_SETTOOLINFO = (WM_USER + 9);
//	public static final int TTM_TRACKACTIVATE = (WM_USER + 17);
//	public static final int TTM_TRACKPOSITION = (WM_USER + 18);
//	public static final int TTM_UPDATE = (WM_USER + 29);
//	public static final int TTM_UPDATETIPTEXT = (WM_USER + 12);
//	public static final int TTM_WINDOWFROMPOINT = (WM_USER + 16);
	public static final int TTN_FIRST	= -520;
	public static final int TTN_GETDISPINFO =  (TTN_FIRST - 0);
//	public static final int TTN_GETDISPINFOA =  (TTN_FIRST - 0);
	public static final int TTN_GETDISPINFOW =  (TTN_FIRST - 10);
//	public static final int TTN_LAST	= -549;
//	public static final int TTN_POP = (TTN_FIRST - 2);
//	public static final int TTN_SHOW = (TTN_FIRST - 1);
	public static final int TTS_ALWAYSTIP = 0x01;
//	public static final int TTS_NOPREFIX = 0x02;
	public static final int TV_FIRST = 0x1100;
//	public static final int TVC_BYKEYBOARD = 0x0002;
//	public static final int TVC_BYMOUSE = 0x0001;
//	public static final int TVC_UNKNOWN = 0x0000;
//	public static final int TVCDRF_NOIMAGES = 0x00010000;
	public static final int TVE_COLLAPSE = 0x0001;
//	public static final int TVE_COLLAPSERESET = 0x8000;
	public static final int TVE_EXPAND = 0x0002;
//	public static final int TVE_EXPANDPARTIAL = 0x4000;
//	public static final int TVE_TOGGLE = 0x0003;
	public static final int TVGN_CARET = 0x0009;
	public static final int TVGN_CHILD = 0x0004;
//	public static final int TVGN_DROPHILITE = 0x0008;
//	public static final int TVGN_FIRSTVISIBLE = 0x0005;
//	public static final int TVGN_LASTVISIBLE = 0x000A;
	public static final int TVGN_NEXT = 0x0001;
	public static final int TVGN_NEXTVISIBLE = 0x0006;
	public static final int TVGN_PARENT = 0x0003;
//	public static final int TVGN_PREVIOUS =  0x0002;
	public static final int TVGN_PREVIOUSVISIBLE = 0x0007;
	public static final int TVGN_ROOT = 0x0000;
//	public static final int TVHT_ABOVE = 0x0100;
//	public static final int TVHT_BELOW = 0x0200;
//	public static final int TVHT_NOWHERE = 0x0001;
	public static final int TVHT_ONITEM = (TVHT_ONITEMICON | TVHT_ONITEMLABEL | TVHT_ONITEMSTATEICON);
//	public static final int TVHT_ONITEMBUTTON = 0x0010;
//	public static final int TVHT_ONITEMINDENT = 0x0008;
//	public static final int TVHT_ONITEMRIGHT = 0x0020;
//	public static final int TVHT_TOLEFT = 0x0800;
//	public static final int TVHT_TORIGHT = 0x0400;
	public static final int TVI_FIRST = 0xFFFF0001;
	public static final int TVI_LAST = 0xFFFF0002;
	public static final int TVI_ROOT = 0xFFFF0000;
//	public static final int TVI_SORT = 0xFFFF0003;
//	public static final int TVIF_CHILDREN = 0x0040;
//	public static final int TVIF_DI_SETITEM = 0x1000;
	public static final int TVIF_HANDLE = 0x0010;
	public static final int TVIF_IMAGE = 0x0002;
//	public static final int TVIF_INTEGRAL = 0x0080;
	public static final int TVIF_PARAM = 0x0004;
	public static final int TVIF_SELECTEDIMAGE = 0x0020;
	public static final int TVIF_STATE = 0x0008;
	public static final int TVIF_TEXT = 0x0001;
//	public static final int TVIS_BOLD = 0x0010;
//	public static final int TVIS_CUT = 0x0004;
	public static final int TVIS_DROPHILITED = 0x0008;
	public static final int TVIS_EXPANDED = 0x0020;
//	public static final int TVIS_EXPANDEDONCE = 0x0040;
//	public static final int TVIS_EXPANDPARTIAL = 0x0080;
//	public static final int TVIS_OVERLAYMASK = 0x0F00;
	public static final int TVIS_SELECTED = 0x0002;
	public static final int TVIS_STATEIMAGEMASK = 0xF000;
//	public static final int TVIS_USERMASK = 0xF000;
//	public static final int TVM_CREATEDRAGIMAGE = (TV_FIRST + 18);
	public static final int TVM_DELETEITEM = (TV_FIRST + 1);
//	public static final int TVM_EDITLABEL = (TV_FIRST + 14);
//	public static final int TVM_ENDEDITLABELNOW = (TV_FIRST + 22);
	public static final int TVM_ENSUREVISIBLE = (TV_FIRST + 20);
	public static final int TVM_EXPAND = (TV_FIRST + 2);
	public static final int TVM_GETBKCOLOR = (TV_FIRST + 31);
	public static final int TVM_GETCOUNT = (TV_FIRST + 5);
//	public static final int TVM_GETEDITCONTROL = (TV_FIRST + 15);
	public static final int TVM_GETIMAGELIST = (TV_FIRST + 8);
//	public static final int TVM_GETINDENT = (TV_FIRST + 6);
//	public static final int TVM_GETINSERTMARKCOLOR = (TV_FIRST + 38);
//	public static final int TVM_GETISEARCHSTRING = (TV_FIRST + 23);
	public static final int TVM_GETITEM = (TV_FIRST + 12);
	public static final int TVM_GETITEMHEIGHT = (TV_FIRST + 28);
	public static final int TVM_GETITEMRECT = (TV_FIRST + 4);
	public static final int TVM_GETNEXTITEM = (TV_FIRST + 10);
//	public static final int TVM_GETSCROLLTIME = (TV_FIRST + 34);
	public static final int TVM_GETTEXTCOLOR = (TV_FIRST + 32);
//	public static final int TVM_GETTOOLTIPS = (TV_FIRST + 25);
//	public static final int TVM_GETUNICODEFORMAT = CCM_GETUNICODEFORMAT;
//	public static final int TVM_GETVISIBLECOUNT = (TV_FIRST + 16);
	public static final int TVM_HITTEST = (TV_FIRST + 17);
	public static final int TVM_INSERTITEM = (TV_FIRST + 0);
	public static final int TVM_SELECTITEM  = (TV_FIRST + 11);
	public static final int TVM_SETBKCOLOR = (TV_FIRST + 29);
	public static final int TVM_SETIMAGELIST = (TV_FIRST + 9);
//	public static final int TVM_SETINDENT = (TV_FIRST + 7);
	public static final int TVM_SETINSERTMARK = (TV_FIRST + 26);
//	public static final int TVM_SETINSERTMARKCOLOR = (TV_FIRST + 37);
	public static final int TVM_SETITEM = (TV_FIRST + 13);
//	public static final int TVM_SETITEMHEIGHT = (TV_FIRST + 27);
//	public static final int TVM_SETSCROLLTIME = (TV_FIRST + 33);
	public static final int TVM_SETTEXTCOLOR = (TV_FIRST + 30);
//	public static final int TVM_SETTOOLTIPS = (TV_FIRST + 24);
//	public static final int TVM_SETUNICODEFORMAT = CCM_SETUNICODEFORMAT;
//	public static final int TVM_SORTCHILDREN = (TV_FIRST + 19);
//	public static final int TVM_SORTCHILDRENCB = (TV_FIRST + 21);
	public static final int TVN_BEGINDRAG = (TVN_FIRST-7);
//	public static final int TVN_BEGINLABELEDIT = (TVN_FIRST-10);
	public static final int TVN_BEGINRDRAG = (TVN_FIRST-8);
//	public static final int TVN_DELETEITEM = (TVN_FIRST-9);
//	public static final int TVN_ENDLABELEDIT = (TVN_FIRST-11);
//	public static final int TVN_GETDISPINFO = (TVN_FIRST-3);
//	public static final int TVN_GETINFOTIP = (TVN_FIRST-13);
//	public static final int TVN_ITEMEXPANDED = (TVN_FIRST-6);
	public static final int TVN_ITEMEXPANDING = (TVN_FIRST-5);
//	public static final int TVN_KEYDOWN = (TVN_FIRST-12);
	public static final int TVN_SELCHANGED = (TVN_FIRST-2);
	public static final int TVN_SELCHANGING = (TVN_FIRST-1);
//	public static final int TVN_SETDISPINFO = (TVN_FIRST-4);
//	public static final int TVN_SINGLEEXPAND = (TVN_FIRST-15);
//	public static final int TVS_CHECKBOXES = 0x0100;
	public static final int TVS_DISABLEDRAGDROP = 0x0010;
//	public static final int TVS_EDITLABELS = 0x0008;
	public static final int TVS_FULLROWSELECT= 0x1000;
	public static final int TVS_HASBUTTONS = 0x0001;
	public static final int TVS_HASLINES = 0x0002;
//	public static final int TVS_INFOTIP = 0x0800;
	public static final int TVS_LINESATROOT = 0x0004;
//	public static final int TVS_NONEVENHEIGHT = 0x4000;
//	public static final int TVS_NOSCROLL = 0x2000;
	public static final int TVS_NOTOOLTIPS = 0x0080;
//	public static final int TVS_RTLREADING = 0x0040;
	public static final int TVS_SHOWSELALWAYS = 0x0020;
//	public static final int TVS_SINGLEEXPAND = 0x0400;
//	public static final int TVS_TRACKSELECT = 0x0200;
	public static final int TVSIL_NORMAL = 0;
	public static final int TVSIL_STATE = 2;
//	public static final int UID_CUT = 4;
//	public static final int UID_DELETE = 2;
//	public static final int UID_DRAGDROP= 3;
//	public static final int UID_PASTE = 5;
//	public static final int UID_TYPING = 1;
//	public static final int UID_UNKNOWN = 0;
	public static final int VERTRES		= 10;
//	public static final int VK_ADD = 0x6B;
//	public static final int VK_APPS = 0x5D;
//	public static final int VK_ATTN = 0xF6;
	public static final int VK_BACK = 0x8;
//	public static final int VK_CANCEL = 0x3;
	public static final int VK_CAPITAL = 0x14;
//	public static final int VK_CLEAR = 0xC;
	public static final int VK_CONTROL = 0x11;
//	public static final int VK_CRSEL = 0xF7;
//	public static final int VK_DECIMAL = 0x6E;
	public static final int VK_DELETE = 0x2E;
	public static final int VK_DIVIDE = 0x6F;
	public static final int VK_DOWN = 0x28;
	public static final int VK_END = 0x23;
//	public static final int VK_EREOF = 0xF9;
	public static final int VK_ESCAPE = 0x1B;
//	public static final int VK_EXECUTE = 0x2B;
//	public static final int VK_EXSEL = 0xF8;
	public static final int VK_F1 = 0x70;
	public static final int VK_F10 = 0x79;
	public static final int VK_F11 = 0x7A;
	public static final int VK_F12 = 0x7B;
//	public static final int VK_F13 = 0x7C;
//	public static final int VK_F14 = 0x7D;
//	public static final int VK_F15 = 0x7E;
//	public static final int VK_F16 = 0x7F;
//	public static final int VK_F17 = 0x80;
//	public static final int VK_F18 = 0x81;
//	public static final int VK_F19 = 0x82;
	public static final int VK_F2 = 0x71;
//	public static final int VK_F20 = 0x83;
//	public static final int VK_F21 = 0x84;
//	public static final int VK_F22 = 0x85;
//	public static final int VK_F23 = 0x86;
//	public static final int VK_F24 = 0x87;
	public static final int VK_F3 = 0x72;
//	public static final int VK_F3 = 0x72;
	public static final int VK_F4 = 0x73;
//	public static final int VK_F4 = 0x73;
	public static final int VK_F5 = 0x74;
//	public static final int VK_F5 = 0x74;
	public static final int VK_F6 = 0x75;
//	public static final int VK_F6 = 0x75;
	public static final int VK_F7 = 0x76;
//	public static final int VK_F7 = 0x76;
	public static final int VK_F8 = 0x77;
//	public static final int VK_F8 = 0x77;
	public static final int VK_F9 = 0x78;
//	public static final int VK_F9 = 0x78;
//	public static final int VK_HELP = 0x2F;
	public static final int VK_HOME = 0x24;
	public static final int VK_INSERT = 0x2D;
	public static final int VK_LBUTTON = 0x1;
//	public static final int VK_LCONTROL = 0xA2;
	public static final int VK_LEFT = 0x25;
//	public static final int VK_LMENU = 0xA4;
//	public static final int VK_LSHIFT = 0xA0;
//	public static final int VK_LWIN = 0x5B;
	public static final int VK_MBUTTON = 0x4;
	public static final int VK_MENU = 0x12;
//	public static final int VK_MULTIPLY = 0x6A;
	public static final int VK_NEXT = 0x22;
//	public static final int VK_NONAME = 0xFC;
	public static final int VK_NUMLOCK = 0x90;
	public static final int VK_NUMPAD0 = 0x60;
//	public static final int VK_NUMPAD1 = 0x61;
//	public static final int VK_NUMPAD2 = 0x62;
//	public static final int VK_NUMPAD3 = 0x63;
//	public static final int VK_NUMPAD4 = 0x64;
//	public static final int VK_NUMPAD5 = 0x65;
//	public static final int VK_NUMPAD6 = 0x66;
//	public static final int VK_NUMPAD7 = 0x67;
//	public static final int VK_NUMPAD8 = 0x68;
//	public static final int VK_NUMPAD9 = 0x69;
//	public static final int VK_OEM_CLEAR = 0xFE;
//	public static final int VK_PA1 = 0xFD;
//	public static final int VK_PAUSE = 0x13;
//	public static final int VK_PLAY = 0xFA;
//	public static final int VK_PRINT = 0x2A;
	public static final int VK_PRIOR = 0x21;
//	public static final int VK_PROCESSKEY = 0xE5;
	public static final int VK_RBUTTON = 0x2;
//	public static final int VK_RCONTROL = 0xA3;
	public static final int VK_RETURN = 0xD;
	public static final int VK_RIGHT = 0x27;
//	public static final int VK_RMENU = 0xA5;
//	public static final int VK_RSHIFT = 0xA1;
//	public static final int VK_RWIN = 0x5C;
	public static final int VK_SCROLL = 0x91;
//	public static final int VK_SELECT = 0x29;
//	public static final int VK_SEPARATOR = 0x6C;
	public static final int VK_SHIFT = 0x10;
//	public static final int VK_SNAPSHOT = 0x2C;
	public static final int VK_SPACE = 0x20;
//	public static final int VK_SUBTRACT = 0x6D;
	public static final int VK_TAB = 0x9;
	public static final int VK_UP = 0x26;
//	public static final int VK_ZOOM = 0xFB;
//	public static final int WB_CLASSIFY = 3;
//	public static final int WB_LEFTBREAK = 6;
//	public static final int WB_MOVEWORDLEFT = 4;
//	public static final int WB_MOVEWORDNEXT = 5;
//	public static final int WB_MOVEWORDPREV = 4;
//	public static final int WB_MOVEWORDRIGHT = 5;
//	public static final int WB_NEXTBREAK = 7;
//	public static final int WB_PREVBREAK = 6;
//	public static final int WB_RIGHTBREAK = 7;
//	public static final int WBF_CUSTOM = 0x200;
//	public static final int WBF_LEVEL1 = 0x080;
//	public static final int WBF_LEVEL2 = 0x100;
//	public static final int WBF_OVERFLOW = 0x040;
//	public static final int WBF_WORDBREAK = 0x020;
//	public static final int WBF_WORDWRAP = 0x010;
//	public static final int WCH_EMBEDDING = 0xFFFC;
//	public static final int WHITE_BRUSH = 0x0;
//	public static final int WHITE_PEN = 0x6;
//	public static final int WHITENESS = 0xFF0062;
	public static final int WM_ACTIVATE = 0x6;
//	public static final int WM_ACTIVATEAPP = 0x1C;
//	public static final int WM_AFXFIRST = 0x360;
//	public static final int WM_AFXLAST = 0x37F;
	public static final int WM_APP = 0x8000;
//	public static final int WM_ASKCBFORMATNAME = 0x30C;
//	public static final int WM_CANCELJOURNAL = 0x4B;
	public static final int WM_CANCELMODE = 0x1F;
//	public static final int WM_CANCELMODE = 0x1F;
//	public static final int WM_CAPTURECHANGED = 0x215;
//	public static final int WM_CHANGECBCHAIN = 0x30D;
	public static final int WM_CHAR = 0x102;
//	public static final int WM_CHARTOITEM = 0x2F;
//	public static final int WM_CHILDACTIVATE = 0x22;
//	public static final int WM_CHOOSEFONT_GETLOGFONT = 0x401;
//	public static final int WM_CHOOSEFONT_SETFLAGS = 0x466;
//	public static final int WM_CHOOSEFONT_SETLOGFONT = 0x465;
	public static final int WM_CLEAR = 0x303;
	public static final int WM_CLOSE = 0x10;
	public static final int WM_COMMAND = 0x111;
//	public static final int WM_COMMNOTIFY = 0x44;
//	public static final int WM_COMPACTING = 0x41;
//	public static final int WM_COMPAREITEM = 0x39;
	public static final int WM_CONTEXTMENU = 0x7B;
	public static final int WM_COPY = 0x301;
//	public static final int WM_COPYDATA = 0x4A;
//	public static final int WM_CREATE = 0x1;
	public static final int WM_CTLCOLORBTN = 0x135;
	public static final int WM_CTLCOLORDLG = 0x136;
	public static final int WM_CTLCOLOREDIT = 0x133;
	public static final int WM_CTLCOLORLISTBOX = 0x134;
	public static final int WM_CTLCOLORMSGBOX = 0x132;
	public static final int WM_CTLCOLORSCROLLBAR = 0x137;
	public static final int WM_CTLCOLORSTATIC = 0x138;
	public static final int WM_CUT = 0x300;
//	public static final int WM_DDE_ACK = 0x3E4;
//	public static final int WM_DDE_ADVISE = 0x3E2;
//	public static final int WM_DDE_DATA = 0x3E5;
//	public static final int WM_DDE_EXECUTE = 0x3E8;
//	public static final int WM_DDE_FIRST = 0x3E0;
//	public static final int WM_DDE_INITIATE = 0x3E0;
//	public static final int WM_DDE_LAST = 0x3E8;
//	public static final int WM_DDE_POKE = 0x3E7;
//	public static final int WM_DDE_REQUEST = 0x3E6;
//	public static final int WM_DDE_TERMINATE = 0x3E1;
//	public static final int WM_DDE_UNADVISE = 0x3E3;
//	public static final int WM_DEADCHAR = 0x103;
//	public static final int WM_DELETEITEM = 0x2D;
	public static final int WM_DESTROY = 0x2;
//	public static final int WM_DESTROYCLIPBOARD = 0x307;
//	public static final int WM_DEVICECHANGE = 0x219;
//	public static final int WM_DEVMODECHANGE = 0x1B;
//	public static final int WM_DISPLAYCHANGE = 0x7E;
//	public static final int WM_DRAWCLIPBOARD = 0x308;
	public static final int WM_DRAWITEM = 0x2B;
//	public static final int WM_DROPFILES = 0x233;
//	public static final int WM_ENABLE = 0xA;
//	public static final int WM_ENDSESSION = 0x16;
//	public static final int WM_ENTERIDLE = 0x121;
//	public static final int WM_ENTERMENULOOP = 0x211;
//	public static final int WM_ENTERSIZEMOVE = 0x231;
	public static final int WM_ERASEBKGND = 0x14;
//	public static final int WM_EXITMENULOOP = 0x212;
//	public static final int WM_EXITSIZEMOVE = 0x232;
//	public static final int WM_FONTCHANGE = 0x1D;
	public static final int WM_GETDLGCODE = 0x87;
	public static final int WM_GETFONT = 0x31;
//	public static final int WM_GETHOTKEY = 0x33;
	public static final int WM_GETICON = 0x7F;
//	public static final int WM_GETMINMAXINFO = 0x24;
//	public static final int WM_GETTEXT = 0xD;
//	public static final int WM_GETTEXTLENGTH = 0xE;
//	public static final int WM_HANDHELDFIRST = 0x358;
//	public static final int WM_HANDHELDLAST = 0x35F;
	public static final int WM_HELP = 0x53;
//	public static final int WM_HOTKEY = 0x312;
	public static final int WM_HSCROLL = 0x114;
//	public static final int WM_HSCROLLCLIPBOARD = 0x30E;
//	public static final int WM_ICONERASEBKGND = 0x27;
	public static final int WM_IME_CHAR = 0x286;
	public static final int WM_IME_COMPOSITION = 0x10F;
//	public static final int WM_IME_COMPOSITIONFULL = 0x284;
//	public static final int WM_IME_CONTROL = 0x283;
//	public static final int WM_IME_ENDCOMPOSITION = 0x10E;
//	public static final int WM_IME_KEYDOWN = 0x290;
//	public static final int WM_IME_KEYLAST = 0x10F;
//	public static final int WM_IME_KEYUP = 0x291;
//	public static final int WM_IME_NOTIFY = 0x282;
//	public static final int WM_IME_SELECT = 0x285;
//	public static final int WM_IME_SETCONTEXT = 0x281;
//	public static final int WM_IME_STARTCOMPOSITION = 0x10D;
	public static final int WM_INITDIALOG = 0x110;
//	public static final int WM_INITMENU = 0x116;
	public static final int WM_INITMENUPOPUP = 0x117;
//	public static final int WM_INPUTLANGCHANGE = 0x51;
//	public static final int WM_INPUTLANGCHANGEREQUEST = 0x50;
	public static final int WM_KEYDOWN = 0x100;
	public static final int WM_KEYFIRST = 0x100;
	public static final int WM_KEYLAST = 0x108;
	public static final int WM_KEYUP = 0x101;
	public static final int WM_KILLFOCUS = 0x8;
	public static final int WM_LBUTTONDBLCLK = 0x203;
	public static final int WM_LBUTTONDOWN = 0x201;
	public static final int WM_LBUTTONUP = 0x202;
	public static final int WM_MBUTTONDBLCLK = 0x209;
	public static final int WM_MBUTTONDOWN = 0x207;
	public static final int WM_MBUTTONUP = 0x208;
//	public static final int WM_MDIACTIVATE = 0x222;
//	public static final int WM_MDICASCADE = 0x227;
//	public static final int WM_MDICREATE = 0x220;
//	public static final int WM_MDIDESTROY = 0x221;
//	public static final int WM_MDIGETACTIVE = 0x229;
//	public static final int WM_MDIICONARRANGE = 0x228;
//	public static final int WM_MDIMAXIMIZE = 0x225;
//	public static final int WM_MDINEXT = 0x224;
//	public static final int WM_MDIREFRESHMENU = 0x234;
//	public static final int WM_MDIRESTORE = 0x223;
//	public static final int WM_MDISETMENU = 0x230;
//	public static final int WM_MDITILE = 0x226;
	public static final int WM_MEASUREITEM = 0x2C;
	public static final int WM_MENUCHAR = 0x120;
	public static final int WM_MENUSELECT = 0x11F;
	public static final int WM_MOUSEACTIVATE = 0x21;
//	public static final int WM_MOUSEFIRST = 0x200;
//	public static final int WM_MOUSELAST = 0x209;
	public static final int WM_MOUSEMOVE = 0x200;
	public static final int WM_MOVE = 0x3;
//	public static final int WM_MOVING = 0x216;
	public static final int WM_NCACTIVATE = 0x86;
	public static final int WM_NCCALCSIZE = 0x83;
//	public static final int WM_NCCREATE = 0x81;
//	public static final int WM_NCDESTROY = 0x82;
	public static final int WM_NCHITTEST = 0x84;
//	public static final int WM_NCLBUTTONDBLCLK = 0xA3;
//	public static final int WM_NCLBUTTONDOWN = 0xA1;
//	public static final int WM_NCLBUTTONUP = 0xA2;
//	public static final int WM_NCMBUTTONDBLCLK = 0xA9;
//	public static final int WM_NCMBUTTONDOWN = 0xA7;
//	public static final int WM_NCMBUTTONUP = 0xA8;
//	public static final int WM_NCMOUSEMOVE = 0xA0;
//	public static final int WM_NCPAINT = 0x85;
//	public static final int WM_NCRBUTTONDBLCLK = 0xA6;
//	public static final int WM_NCRBUTTONDOWN = 0xA4;
//	public static final int WM_NCRBUTTONUP = 0xA5;
//	public static final int WM_NEXTDLGCTL = 0x28;
//	public static final int WM_NEXTMENU = 0x213;
	public static final int WM_NOTIFY = 0x4E;
//	public static final int WM_NOTIFYFORMAT = 0x55;
	public static final int WM_NULL = 0x0;
	public static final int WM_PAINT = 0xF;
//	public static final int WM_PAINTCLIPBOARD = 0x309;
//	public static final int WM_PAINTICON = 0x26;
	public static final int WM_PALETTECHANGED = 0x311;
//	public static final int WM_PALETTEISCHANGING = 0x310;
//	public static final int WM_PARENTNOTIFY = 0x210;
	public static final int WM_PASTE = 0x302;
//	public static final int WM_PENWINFIRST = 0x380;
//	public static final int WM_PENWINLAST = 0x38F;
//	public static final int WM_POWER = 0x48;
//	public static final int WM_POWERBROADCAST = 0x218;
//	public static final int WM_PRINT = 0x317;
//	public static final int WM_PRINTCLIENT = 0x318;
//	public static final int WM_PSD_ENVSTAMPRECT = 0x405;
//	public static final int WM_PSD_FULLPAGERECT = 0x401;
//	public static final int WM_PSD_GREEKTEXTRECT = 0x404;
//	public static final int WM_PSD_MARGINRECT = 0x403;
//	public static final int WM_PSD_MINMARGINRECT = 0x402;
//	public static final int WM_PSD_PAGESETUPDLG = 0x400;
//	public static final int WM_PSD_YAFULLPAGERECT = 0x406;
//	public static final int WM_QUERYDRAGICON = 0x37;
//	public static final int WM_QUERYENDSESSION = 0x11;
	public static final int WM_QUERYNEWPALETTE = 0x30F;
	public static final int WM_QUERYOPEN = 0x13;
//	public static final int WM_QUEUESYNC = 0x23;
//	public static final int WM_QUIT = 0x12;
	public static final int WM_RBUTTONDBLCLK = 0x206;
	public static final int WM_RBUTTONDOWN = 0x204;
	public static final int WM_RBUTTONUP = 0x205;
//	public static final int WM_RENDERALLFORMATS = 0x306;
//	public static final int WM_RENDERFORMAT = 0x305;
	public static final int WM_SETCURSOR = 0x20;
	public static final int WM_SETFOCUS = 0x7;
	public static final int WM_SETFONT = 0x30;
//	public static final int WM_SETHOTKEY = 0x32;
	public static final int WM_SETICON = 0x80;
	public static final int WM_SETREDRAW = 0xB;
//	public static final int WM_SETTEXT = 0xC;
//	public static final int WM_SETTINGCHANGE = 0x1A;
	public static final int WM_SHOWWINDOW = 0x18;
	public static final int WM_SIZE = 0x5;
//	public static final int WM_SIZECLIPBOARD = 0x30B;
//	public static final int WM_SIZING = 0x214;
//	public static final int WM_SPOOLERSTATUS = 0x2A;
//	public static final int WM_STYLECHANGED = 0x7D;
//	public static final int WM_STYLECHANGING = 0x7C;
	public static final int WM_SYSCHAR = 0x106;
	public static final int WM_SYSCOLORCHANGE = 0x15;
	public static final int WM_SYSCOMMAND = 0x112;
//	public static final int WM_SYSDEADCHAR = 0x107;
	public static final int WM_SYSKEYDOWN = 0x104;
	public static final int WM_SYSKEYUP = 0x105;
//	public static final int WM_TCARD = 0x52;
//	public static final int WM_TIMECHANGE = 0x1E;
	public static final int WM_TIMER = 0x113;
	public static final int WM_UNDO = 0x304;
//	public static final int WM_USERCHANGED = 0x54;
//	public static final int WM_VKEYTOITEM = 0x2E;
	public static final int WM_VSCROLL = 0x115;
//	public static final int WM_VSCROLLCLIPBOARD = 0x30A;
//	public static final int WM_WINDOWPOSCHANGED = 0x47;
	public static final int WM_WINDOWPOSCHANGING = 0x46;
//	public static final int WM_WININICHANGE = 0x1A;
//	public static final int WMSZ_BOTTOM = 0x6;
//	public static final int WMSZ_BOTTOMLEFT = 0x7;
//	public static final int WMSZ_BOTTOMRIGHT = 0x8;
//	public static final int WMSZ_LEFT = 0x1;
//	public static final int WMSZ_RIGHT = 0x2;
//	public static final int WMSZ_TOP = 0x3;
//	public static final int WMSZ_TOPLEFT = 0x4;
//	public static final int WMSZ_TOPRIGHT = 0x5;
	public static final int WS_BORDER = 0x800000;
	public static final int WS_CAPTION = 0xC00000;
	public static final int WS_CHILD = 0x40000000;
//	public static final int WS_CHILDWINDOW = 0x40000000;
	public static final int WS_CLIPCHILDREN = 0x2000000;
	public static final int WS_CLIPSIBLINGS = 0x4000000;
//	public static final int WS_DISABLED = 0x8000000;
//	public static final int WS_DLGFRAME = 0x400000;
//	public static final int WS_EX_ACCEPTFILES = 0x10;
//	public static final int WS_EX_APPWINDOW = 0x40000;
	public static final int WS_EX_CLIENTEDGE = 0x200;
//	public static final int WS_EX_CONTEXTHELP = 0x400;
//	public static final int WS_EX_CONTROLPARENT = 0x10000;
	public static final int WS_EX_DLGMODALFRAME = 0x1;
//	public static final int WS_EX_LEFT = 0x0;
//	public static final int WS_EX_LEFTSCROLLBAR = 0x4000;
//	public static final int WS_EX_LTRREADING = 0x0;
//	public static final int WS_EX_MDICHILD = 0x40;
//	public static final int WS_EX_NOPARENTNOTIFY = 0x4;
//	public static final int WS_EX_OVERLAPPEDWINDOW = 0x300;
//	public static final int WS_EX_PALETTEWINDOW = 0x188;
//	public static final int WS_EX_RIGHT = 0x1000;
//	public static final int WS_EX_RIGHTSCROLLBAR = 0x0;
//	public static final int WS_EX_RTLREADING = 0x2000;
	public static final int WS_EX_STATICEDGE = 0x20000;
	public static final int WS_EX_TOOLWINDOW = 0x80;
//	public static final int WS_EX_TOPMOST = 0x8;
//	public static final int WS_EX_TRANSPARENT = 0x20;
//	public static final int WS_EX_WINDOWEDGE = 0x100;
//	public static final int WS_GROUP = 0x20000;
	public static final int WS_HSCROLL = 0x100000;
//	public static final int WS_ICONIC = 0x20000000;
//	public static final int WS_MAXIMIZE = 0x1000000;
	public static final int WS_MAXIMIZEBOX = 0x10000;
//	public static final int WS_MINIMIZE = 0x20000000;
	public static final int WS_MINIMIZEBOX = 0x20000;
	public static final int WS_OVERLAPPED = 0x0;
	public static final int WS_OVERLAPPEDWINDOW = 0xCF0000;
	public static final int WS_POPUP = 0x80000000;
//	public static final int WS_POPUPWINDOW = 0x80880000;
//	public static final int WS_SIZEBOX = 0x40000;
	public static final int WS_SYSMENU = 0x80000;
	public static final int WS_TABSTOP = 0x10000;
	public static final int WS_THICKFRAME = 0x40000;
//	public static final int WS_TILED = 0x0;
//	public static final int WS_TILEDWINDOW = 0xCF0000;
	public static final int WS_VISIBLE = 0x10000000;
	public static final int WS_VSCROLL = 0x200000;
//	public static final int WSF_VISIBLE = 0x1;

	/* Unused Structs */
	/*
	public class CHARFORMAT2 extends CHARFORMAT {
		public short wWeight;
		public short sSpacing;
		public int crBackColor;
		public int lcid;
		public int dwReserved;
		public short sStyle;
		public short wKerning;
		public byte bUnderlineType;
		public byte bAnimation;
		public byte bRevAuthor;
	//	public byte bReserved1;
		public static final int sizeof = 84;
	}

	public class NMTVCUSTOMDRAW extends NMCUSTOMDRAW {
		public int clrText;
		public int clrTextBk;
		public int iLevel;
		public static final int sizeof = 60;
	}

	public class NMCUSTOMDRAW extends NMHDR {
		public int dwDrawStage;
		public int hdc;
	//	public RECT rc;
		public int left, top, right, bottom;
		public int dwItemSpec;
		public int uItemState;
		public int lItemlParam;
		public static final int sizeof = 48;
	}
	public class MSGFILTER extends NMHDR {
		public int msg;
		public int wParam; 
		public int lParam;
		public static final int sizeof = 24;
	}	
	*/

	/* Unused Natives */
	/*
	public static final native int CopyAcceleratorTable (int hAccelSrc byte [] lpAccelDst, int cAccelEntries);
	public static final native int ChildWindowFromPoint (int hwndParent, POINT lpPoint);
	public static final native boolean EnumPrinters(int Flags, byte Name[], int Level, byte pPrinterEnum[], int cbBuf, int pcbNeeded[], int pcReturned[]);
	public static final native boolean EqualRect (RECT lprc1, RECT lprc2);
	public static final native int ExtractIcon(int hInst, byte[] lpszFile, int nIconIndex);	
	public static final native int GetCaretBlinkTime ();
	public static final native int GetCaretBlinkTime ();
	public static final native int GetClassLong (int hWnd, int nIndex);
	public static final native int GetDIBits (int hdc, int hbmp, int uStartScan, int cScanLines, byte[] lpvBits, byte[] lpbi, int uUsage);
	public static final native int GetDlgCtrlID (int hWnd);
	public static final native boolean GetTextExtentPoint32 (int hWnd, byte lpString[], int cbString, SIZE s);
	public static final native boolean IntersectRect (RECT lprcDst, RECT lprcSrc1, RECT lprcSrc2);
	public static final native boolean IsMenu (int hMenu);
	public static final native boolean IsWindow (int hwnd);
	public static final native int LoadBitmap (int hInstance, byte [] lpBitmapName);
	public static final native int LoadCursor (int hInstance, byte [] lpCursorName);
	public static final native int LoadIcon (int hInstance, byte [] lpIconName);
	public static final native int LoadImage (int hinst, int lpszName, int uType, int cxDesired, int cyDesired, int fuLoad);
	public static final native void MoveMemory (ACCEL Destination, byte [] Source, int Length);
	public static final native void MoveMemory (NMTVCUSTOMDRAW Destination, int Source, int Length);
	public static final native void MoveMemory (RECT Destination, int Source, int Length);
	public static final native boolean PageSetupDlg (PAGESETUPDLG lppsd);
	public static final native void PostQuitMessage (int nExitCode);
	public static final native boolean Rectangle (int hdc, int nLeftRect, int nTopRect, int nRightRect, int nBottomRect);
	public static final native int SendMessage (int hWnd, int Msg, int wParam, CHARFORMAT2 lParam);
	public static final native int SendMessage (int hWnd, int Msg, int wParam, MSG lParam);  
	public static final native boolean SetCaretBlinkTime (int uMSeconds);
	public static final native boolean TextOut (int hdc, int nXStart, int nYStart, byte[] lpString, int cbString);
	*/
public static final native int AbortDoc (int hdc);
public static final native int ActivateKeyboardLayout(int hkl, int Flags);
public static final native boolean AdjustWindowRectEx (RECT lpRect, int dwStyle, boolean bMenu, int dwExStyle);
public static final native boolean Arc (int hdc,int nLeftRect,int nTopRect,int nRightRect,int nBottomRect,int nXStartArc,int nYStartArc,int nXEndArc,int nYEndArc);
public static final native int BeginDeferWindowPos (int nNumWindows);
public static final native int BeginPaint (int hWnd, PAINTSTRUCT lpPaint);
public static final native boolean BitBlt (int hdcDest,int nXDest,int nYDest,int nWidth,int nHeight,int hdcSrc,int nXSrc,int nYSrc,int dwRop);
public static final native boolean BringWindowToTop (int hWnd);
public static final native int Call (int address, DLLVERSIONINFO arg0);
public static final native int CallNextHookEx(int hhk, int nCode, int wParam, int lParam);
public static final native int CallWindowProc (int lpPrevWndFunc, int hWnd, int Msg, int wParam, int lParam);
public static final native short CharLower (short ch);
public static final native short CharUpper (short ch);
public static final native boolean ChooseColor (CHOOSECOLOR lpcc);
public static final native boolean ChooseFont (CHOOSEFONT chooseFont);
public static final native boolean ClientToScreen (int hWnd, POINT lpPoint);
public static final native boolean CloseClipboard ();
public static final native int CombineRgn (
  int hrgnDest,      // handle to destination region
  int hrgnSrc1,      // handle to source region
  int hrgnSrc2,      // handle to source region
  int fnCombineMode   // region combining mode
);
public static final native int CommDlgExtendedError ();
public static final native int CopyImage (
	int hImage,  // handle to the image to copy
	int uType,     // type of image to copy
	int cxDesired,  // desired width of new image
  	int cyDesired,  // desired height of new image
  	int fuFlags    // copy flags
);
public static final native int CreateAcceleratorTable (
  byte [] lpaccl,  // pointer to structure array with accelerator data
  int cEntries     // number of structures in the array
);
public static final native int CreateBitmap (
	int nWidth,         // bitmap width, in pixels
	int nHeight,        // bitmap height, in pixels
	int cPlanes,       // number of color planes used by device
	int cBitsPerPel,   // number of bits required to identify a color
	byte [] lpvBits 	// pointer to array containing color data);
);
public static final native int CreateBitmapIndirect (BITMAP lpbm);
public static final native boolean CreateCaret (int hWnd, int hBitmap, int nWidth, int nHeight);
public static final native int CreateCompatibleBitmap (
	int hdc,        // handle to device context
	int nWidth,     // width of bitmap, in pixels
	int nHeight     // height of bitmap, in pixels
	);
public static final native int CreateCompatibleDC (int hdc);
public static final native int CreateCursor (int hInst, int xHotSpot, int yHotSpot, int nWidth, int nHeight, byte [] pvANDPlane, byte [] pvXORPlane);
public static final native int CreateDC (byte [] lpszDriver, byte [] lpszDevice, int lpszOutput, int lpInitData);
public static final native int CreateDIBSection(int hdc, byte[] pbmi, int iUsage, int[] ppvBits, int hSection, int dwOffset);
public static final native int CreateFontIndirect (int lplf);
public static final native int CreateFontIndirect (LOGFONT lplf);
public static final native int CreateIconIndirect (ICONINFO lplf);
public static final native int CreateMenu ();
public static final native int CreatePalette (byte[] logPalette);
public static final native int CreatePatternBrush (int colorRef);
public static final native int CreatePen (int fnPenStyle, int nWidth, int crColor);
//public static final native int ExtCreatePen (int fnPenStyle, int nWidth, LOGBRUSH lplb, int dwStyleCount, int lpStyle);
public static final native int CreatePopupMenu ();
public static final native int CreateRectRgn (int left, int top, int right, int bottom);
public static final native int CreateSolidBrush (int colorRef);
public static final native int CreateWindowEx (int dwExStyle, byte [] lpClassName, byte [] lpWindowName, int dwStyle, int X, int Y, int nWidth, int nHeight, int hWndParent, int hMenu, int hInstance, CREATESTRUCT lpParam);
public static final native int DeferWindowPos (int hWinPosInfo, int hWnd, int hWndInsertAfter, int X, int Y, int cx, int cy, int uFlags);
public static final native int DefWindowProc (int hWnd, int Msg, int wParam, int lParam);
public static final native boolean DeleteDC (int hdc);
public static final native boolean DeleteMenu (int hMenu, int uPosition, int uFlags);
public static final native boolean DeleteObject (int hGdiObj);
public static final native boolean DestroyAcceleratorTable (int hAccel);
public static final native boolean DestroyCaret ();
public static final native boolean DestroyCursor (int hCursor);
public static final native boolean DestroyIcon (int hIcon);
public static final native boolean DestroyMenu (int hMenu);
public static final native boolean DestroyWindow (int hWnd);
public static final native int DispatchMessage (MSG lpmsg);
public static final native boolean DragDetect (int hwnd, POINT pt);
public static final native boolean DrawEdge (
	int hdc, // handle to device context
 	RECT qrc,    // pointer to rectangle coordinates
  	int edge,     // type of inner and outer edge to draw
  	int grfFlags  // type of border
);
public static final native boolean DrawFocusRect (int hDC, RECT lpRect);
public static final native boolean DrawFrameControl (int hdc, RECT lprc, int uType, int uState);
public static final native boolean DrawIconEx (
  int hdc,                    // handle to device context
  int xLeft,                  // x-coordinate of upper left corner
  int yTop,                   // y-coordinate of upper left corner
  int hIcon,                // handle to icon to draw
  int cxWidth,                // width of the icon
  int cyWidth,                // height of the icon
  int istepIfAniCur,         // index of frame in animated cursor
  int hbrFlickerFreeDraw,  // handle to background brush
  int diFlags                // icon-drawing flags
);
public static final native boolean DrawMenuBar (int hWnd);
public static final native boolean DrawState (int hdc, int hbr, int lpOutputFunc, int lData, int wData, int x, int y, int cx, int cy, int fuFlags);
public static final native int DrawText (int hDC, byte [] lpString, int nCount, RECT lpRect, int uFormat);
public static final native boolean Ellipse (int hdc,int nLeftRect,int nTopRect,int nRightRect,int nBottomRect);
public static final native boolean EnableMenuItem (int hMenu, int uIDEnableItem, int uEnable);
public static final native boolean EnableScrollBar (int hWnd, int wSBflags, int wArrows);
public static final native boolean EnableWindow (int hWnd, boolean bEnable);
public static final native boolean EndDeferWindowPos (int hWinPosInfo);
public static final native int EndDoc (int hdc);
public static final native int EndPage (int hdc);
public static final native int EndPaint (int hWnd, PAINTSTRUCT lpPaint);
public static final native int EnumFontFamilies (int hdc, byte [] lpszFamily, int lpEnumFontFamProc, int lParam);
public static final native boolean EnumSystemLocales(int lpLocaleEnumProc, int dwFlags);
public static final native boolean EqualRgn (
  int hSrcRgn1,  // handle to first region
  int hSrcRgn2   // handle to second region
);
public static final native int ExpandEnvironmentStrings (byte [] lpSrc, byte [] lpDest, int nSize);
public static final native int ExtractIconEx (byte [] lpszFile, int nIconIndex, int [] phiconLarge, int [] phiconSmall, int nIcons);
public static final native boolean ExtTextOut(int hdc, int X, int Y, int fuOptions, RECT lprc, byte[] lpString, int cbCount, int[] lpDx);
public static final native int FillRect(int hDC, RECT lprc, int hbr);
public static final native boolean FreeLibrary (int hLibModule);
public static final native int GetACP ();
public static final native int GetActiveWindow ();
public static final native int GetBkColor (int hDC);
public static final native int GetCapture ();
public static final native boolean GetCaretPos (POINT lpPoint);
public static final native boolean GetCharABCWidths (int hdc, int iFirstChar, int iLastChar, int [] lpabc);
public static final native int GetCharacterPlacement(int hdc, byte[] lpString, int nCount, int nMaxExtent, GCP_RESULTS lpResults, int dwFlags);
public static final native boolean GetCharWidth (int hdc, int iFirstChar, int iLastChar, int [] lpBuffer);
public static final native boolean GetClassInfoEx (int hInstance, byte [] lpClassName, WNDCLASSEX lpWndClass);
public static final native boolean GetClientRect (int hWnd, RECT lpRect);
public static final native int GetClipboardData (int uFormat);
public static final native int GetClipBox (int hdc, RECT lprc);
public static final native int GetClipRgn (int hdc, int hrgn);
public static final native int GetCurrentObject (int hdc, int uObjectType);
public static final native int GetCurrentProcessId ();
public static final native int GetCurrentThreadId ();
public static final native int GetCursor ();
public static final native boolean GetCursorPos (POINT lpPoint);
public static final native int GetDC (int hwnd);
public static final native int GetDCEx (int hWnd, int hrgnClip, int flags);
public static final native int GetDesktopWindow ();
public static final native int GetDeviceCaps (int hdc, int nIndex);
public static final native int GetDialogBaseUnits ();
public static final native int GetDIBColorTable (int hdc, int uStartIndex, int cEntries, byte[] pColors);
public static final native int GetDIBits (int hdc, int hbmp, int uStartScan, int cScanLines, int lpvBits, byte[] lpbi, int uUsage);
public static final native int GetDlgItem (
  int hDlg,       // handle of dialog box
  int nIDDlgItem   // identifier of control
);
public static final native int GetDoubleClickTime ();
public static final native short GetFileTitle (
  byte [] lpszFile,   // pointer to full path and filename for file
  byte [] lpszTitle,  // pointer to buffer that receives filename
  short cbBuf     // length of buffer
);
public static final native int GetFocus ();
public static final native int GetFontLanguageInfo(int hdc);
public static final native boolean GetIconInfo (int hIcon, ICONINFO piconinfo);
public static final native int GetKeyboardLayout(int idThread);
public static final native int GetKeyboardLayoutList(int nBuff, int[] lpList);
public static final native boolean GetKeyboardState (byte [] lpKeyState);
public static final native short GetKeyState (int nVirtKey);
public static final native int GetLastActivePopup (int hWnd);
public static final native int GetLastError ();
public static final native int GetLocaleInfo(int Locale, int LCType, byte[] lpLCData, int cchData);
public static final native int GetMenu (int hWnd);
public static final native int GetMenuDefaultItem (int hMenu, int fByPos, int gmdiFlags);
public static final native boolean GetMenuInfo (int hmenu, MENUINFO lpcmi);
public static final native int GetMenuItemCount (int hMenu);
public static final native boolean GetMenuItemInfo (
  int hMenu,          
  int uItem,           
  boolean fByPosition,     
  MENUITEMINFO lpmii  
);
public static final native boolean GetMessage (MSG lpMsg, int hWnd, int wMsgFilterMin, int wMsgFilterMax);
public static final native int GetMessagePos ();
public static final native int GetMessageTime ();
public static final native int GetModuleHandle (byte [] lpModuleName);
public static final native int GetNearestPaletteIndex(int hPal, int crColor);
public static final native int GetObject (
  int hgdiobj,  	// handle to graphics object of interest
  int cbBuffer,     // size of buffer for object information
  BITMAP lpvObject  // pointer to buffer for object information
);
public static final native int GetObject (
  int hgdiobj,  	// handle to graphics object of interest
  int cbBuffer,     // size of buffer for object information
  DIBSECTION lpvObject	// pointer to buffer for object information
);
public static final native int GetObject (
  int hgdiobj,  	// handle to graphics object of interest
  int cbBuffer,     // size of buffer for object information
  LOGBRUSH lpvObject  // pointer to buffer for object information
);
public static final native int GetObject (
  int hgdiobj,  	// handle to graphics object of interest
  int cbBuffer,     // size of buffer for object information
  LOGFONT lpvObject	// pointer to buffer for object information
);
//public static final native int GetObject (
//  int hgdiobj,  	// handle to graphics object of interest
//  int cbBuffer,     // size of buffer for object information
//  EXTLOGPEN lpvObject  // pointer to buffer for object information
//);
public static final native int GetObject (
  int hgdiobj,  	// handle to graphics object of interest
  int cbBuffer,     // size of buffer for object information
  LOGPEN lpvObject  // pointer to buffer for object information
);
public static final native boolean GetOpenFileName (OPENFILENAME lpofn);
public static final native int GetPaletteEntries (int hPalette, int iStartIndex, int nEntries, byte[] logPalette);
public static final native int GetParent (int hWnd);
public static final native int GetProcAddress (int hModule, byte [] lpProcName);
public static final native int GetProcessHeap ();
public static final native int GetProfileString (byte [] lpAppName, byte [] lpKeyName, byte [] lpDefault, byte [] lpReturnedString, int nSize);
public static final native int GetRegionData (
  int hRgn,            // handle to region
  int dwCount,        // size of buffer containing region data
  int [] lpRgnData   // address of buffer containing region data
);
public static final native int GetRgnBox (
  int hrgn,  // handle to a region
  RECT lprc // address of structure that receives bounding rect.
);
public static final native int GetROP2 (int hdc);
public static final native boolean GetSaveFileName (OPENFILENAME lpofn);
public static final native boolean GetScrollInfo (int hwnd, int flags, SCROLLINFO info);
public static final native int GetStockObject (int fnObject);
public static final native int GetSysColor (int nIndex);
public static final native int GetSysColorBrush (int nIndex);
public static final native int GetSystemMenu (int hWnd, boolean bRevert);
public static final native int GetSystemMetrics (int nIndex);
public static final native int GetTextCharset(int hdc);
public static final native int GetTextColor (int hDC);
public static final native boolean GetTextExtentPoint32 (int hdc, byte [] lpString, int cbString, SIZE lpSize);
public static final native boolean GetTextMetrics (int hdc, TEXTMETRIC lptm);
public static final native int GetUpdateRgn (int hWnd, int hRgn, boolean bErase);
public static final native int GetVersion ();
public static final native int GetWindow (int hWnd, int uCmd);
public static final native int GetWindowLong (int hWnd, int nIndex);
public static final native boolean GetWindowPlacement (int hWnd, WINDOWPLACEMENT lpwndpl);
public static final native boolean GetWindowRect (int hWnd, RECT lpRect);
public static final native int GetWindowText (int hWnd, byte [] lpString, int nMaxCount);
public static final native int GetWindowTextLength (int hWnd);
public static final native int GetWindowThreadProcessId (int hWnd, int [] lpdwProcessId);
public static final native int GlobalAlloc (int uFlags, int dwBytes);
public static final native int GlobalFree (int hMem);
public static final native int GlobalLock (int hMem);
public static final native int GlobalSize (int hMem);
public static final native boolean GlobalUnlock (int hMem);
public static final native int HeapAlloc (
  int hHeap,  // handle to the private heap block
  int dwFlags, // heap allocation control flags
  int dwBytes  // number of bytes to allocate
);
public static final native boolean HeapFree (
  int hHeap,  // handle to the heap
  int dwFlags, // heap freeing flags
  int lpMem   // pointer to the memory to free
);
public static final native boolean HideCaret (int hWnd);
public static final native int ImageList_AddMasked (
	int himl,
	int hbmImage,
	int crMask);
public static final native int ImageList_Create (
	int cx, 	
	int cy, 	
	int flags, 	
	int cInitial, 	
	int cGrow	
   );   
public static final native boolean ImageList_Destroy (int himl);
public static final native int ImageList_GetIcon (int himl, int i, int flags);
public static final native boolean ImageList_GetIconSize (
	int himl, 	
	int [] cx, 	
	int [] cy 	
   );   
public static final native int ImageList_GetImageCount (int himl);
public static final native boolean ImageList_Remove (int himl, int i);
public static final native boolean ImageList_Replace (int himl, int i, int hbmImage, int hbmMask);
public static final native int ImageList_ReplaceIcon (
	int himl,
	int i,
	int hicon);
public static final native boolean ImageList_SetIconSize (
	int himl,
	int cx,
	int cy);
public static final native int ImmAssociateContext (int hWnd, int hIMC);
public static final native int ImmCreateContext ();
public static final native boolean ImmDestroyContext (int hIMC);
public static final native boolean ImmGetCompositionFont (int hIMC, LOGFONT lplf);
public static final native int ImmGetCompositionString (int hIMC, int dwIndex, byte [] lpBuf, int dwBufLen);
public static final native int ImmGetContext (int hWnd);
public static final native boolean ImmGetConversionStatus (int hIMC, int [] lpfdwConversion, int [] lpfdwSentence);
public static final native int ImmGetDefaultIMEWnd (int hWnd);
public static final native boolean ImmGetOpenStatus (int hIMC);
public static final native boolean ImmReleaseContext (int hWnd, int hIMC);
public static final native boolean ImmSetCompositionFont (int hIMC, LOGFONT lplf);
public static final native boolean ImmSetCompositionWindow (int hIMC, COMPOSITIONFORM lpCompForm);
public static final native boolean ImmSetConversionStatus (int hIMC, int fdwConversion, int dwSentence);
public static final native boolean ImmSetOpenStatus (int hIMC, boolean fOpen);
public static final native void InitCommonControls ();
public static final native boolean InitCommonControlsEx (INITCOMMONCONTROLSEX lpInitCtrls);
public static final native boolean InsertMenuItem (
  int hMenu,
  int uItem,
  boolean fByPosition,
  MENUITEMINFO lpmii
);
public static final native boolean InvalidateRect(int hWnd, RECT lpRect, boolean bErase);
public static final native boolean InvalidateRgn (int hWnd, int hRgn, boolean bErase);
public static final native boolean IsDBCSLeadByte (byte TestChar);
public static final native boolean IsIconic (int hWnd);
public static final native boolean IsWindowEnabled (int hWnd);
public static final native boolean IsWindowVisible (int hWnd);
public static final native boolean IsZoomed (int hWnd);
public static final native boolean KillTimer (int hWnd, int uIDEvent);
public static final native boolean LineTo (int hdc,int x1, int x2);
public static final native int LoadBitmap (int hInstance, int lpBitmapName);
public static final native int LoadCursor (int hInstance, int lpCursorName);
public static final native int LoadIcon (int hInstance, int lpIconName);
public static final native int LoadImage (int hinst, byte [] lpszName, int uType, int cxDesired, int cyDesired, int fuLoad);
public static final native int LoadLibrary (byte [] lpLibFileName);
public static final native int MapVirtualKey (int uCode, int uMapType);
public static final native int MapWindowPoints (int hWndFrom, int hWndTo, POINT lpPoints, int cPoints);
public static final native int MapWindowPoints (int hWndFrom, int hWndTo, RECT lpPoints, int cPoints);
public static final native boolean MessageBeep (int uType);
public static final native int MessageBox (
  int hWnd,          // handle of owner window
  byte [] lpText,     // address of text in message box
  byte [] lpCaption,  // address of title of message box
  int uType          // style of message box
);
public static final native void MoveMemory (
  byte [] Destination,  // address of move destination
  int Source, 			// address of block to move
  int Length        	// size, in bytes, of block to move
);
public static final native void MoveMemory (
  byte [] Destination,  // address of move destination
  ACCEL Source, 	// address of block to move
  int Length        // size, in bytes, of block to move
);
public static final native void MoveMemory (
  int [] Destination,  // address of move destination
  int Source, 			// address of block to move
  int Length        	// size, in bytes, of block to move
);
public static final native void MoveMemory (
  int Destination,  // address of move destination
  byte [] Source, 	// address of block to move
  int Length        // size, in bytes, of block to move
);
public static final native void MoveMemory (
  int Destination,  // address of move destination
  char [] Source, 	// address of block to move
  int Length        // size, in bytes, of block to move
);
public static final native void MoveMemory (
  int Destination,  // address of move destination
  int [] Source, 	// address of block to move
  int Length        // size, in bytes, of block to move
);
public static final native void MoveMemory (
  int Destination,				// address of move destination
  LOGFONT Source, 				// address of block to move
  int Length        			// size, in bytes, of block to move
);
public static final native void MoveMemory (
  int Destination,	// address of move destination
  MEASUREITEMSTRUCT Source, // address of block to move
  int Length        			// size, in bytes, of block to move
);
public static final native void MoveMemory (
  int Destination,  // address of move destination
  NMTTDISPINFO Source, 	// address of block to move
  int Length        // size, in bytes, of block to move
);
public static final native void MoveMemory (
  int Destination,  // address of move destination
  RECT Source, 	// address of block to move
  int Length        // size, in bytes, of block to move
);
public static final native void MoveMemory (
  DRAWITEMSTRUCT Destination,	// address of move destination
  int Source, 					// address of block to move
  int Length        			// size, in bytes, of block to move
);
public static final native void MoveMemory (
  HDITEM Destination,			// address of move destination
  int Source, 					// address of block to move
  int Length        			// size, in bytes, of block to move
);
public static final native void MoveMemory (
  HELPINFO Destination,	// address of move destination
  int Source, 			// address of block to move
  int Length        	// size, in bytes, of block to move
);
public static final native void MoveMemory (
  LOGFONT Destination,			// address of move destination
  int Source, 					// address of block to move
  int Length        			// size, in bytes, of block to move
);
public static final native void MoveMemory (
  MEASUREITEMSTRUCT Destination,	// address of move destination
  int Source, 					// address of block to move
  int Length        			// size, in bytes, of block to move
);
public static final native void MoveMemory (
  MSG Destination,	// address of move destination
  int Source,		// address of block to move
  int Length		// size, in bytes, of block to move
);
public static final native void MoveMemory (
  NMHDR Destination,	// address of move destination
  int Source, 			// address of block to move
  int Length        	// size, in bytes, of block to move
);
public static final native void MoveMemory (
  NMHEADER Destination,	// address of move destination
  int Source, 			// address of block to move
  int Length        	// size, in bytes, of block to move
);
public static final native void MoveMemory (
  NMLISTVIEW Destination,	// address of move destination
  int Source,				// address of block to move
  int Length				// size, in bytes, of block to move
);
public static final native void MoveMemory (
  NMTOOLBAR Destination,	// address of move destination
  int Source,				// address of block to move
  int Length				// size, in bytes, of block to move
);
public static final native void MoveMemory (
  NMTTDISPINFO Destination,	// address of move destination
  int Source,				// address of block to move
  int Length				// size, in bytes, of block to move
);
public static final native void MoveMemory (
  TVITEM Destination,	// address of move destination
  int Source,			// address of block to move
  int Length			// size, in bytes, of block to move
);
public static final native void MoveMemory (
  WINDOWPOS Destination,	// address of move destination
  int Source,				// address of block to move
  int Length				// size, in bytes, of block to move
);
public static final native boolean MoveToEx (int hdc,int x1, int x2, int lPoint);
public static final native int MultiByteToWideChar (int CodePage, int dwFlags, byte [] lpMultiByteStr, int cchMultiByte, char [] lpWideCharStr, int cchWideChar);
public static final native int MultiByteToWideChar (int CodePage, int dwFlags, int lpMultiByteStr, int cchMultiByte, char [] lpWideCharStr, int cchWideChar);
public static final native int OleInitialize (int pvReserved);
public static final native void OleUninitialize ();
public static final native boolean OpenClipboard (int hWndNewOwner);
public static final native boolean PatBlt (int hdc,int x1, int x2,int w, int h, int rop);
public static final native boolean PeekMessage (
  MSG lpMsg,         // pointer to structure for message
  int hWnd,           // handle to window
  int wMsgFilterMin,  // first message
  int wMsgFilterMax,  // last message
  int wRemoveMsg      // removal flags
);
public static final native boolean Pie (int hdc, int nLeftRect, int nTopRect, int nRightRect, int nBottomRect, int nXStartArc, int nYStartArc, int nXEndArc, int nYEndArc);
public static final native boolean Polygon (int hdc, int [] points, int nPoints);
public static final native boolean Polyline (int hdc,int[] points, int nPoints);
public static final native boolean PostMessage (int hWnd, int Msg, int wParam, int lParam);
public static final native boolean PostThreadMessage (int idThread, int Msg, int wParam, int lParam);
public static final native boolean PrintDlg (PRINTDLG lppd);
public static final native boolean PtInRect (RECT rect, POINT pt);
public static final native boolean PtInRegion (
  int hrgn,  // handle to region
  int X,      // x-coordinate of point
  int Y       // y-coordinate of point
);
public static final native int RealizePalette(int hDC);
public static final native boolean Rectangle (int hdc, int nLeftRect, int nTopRect, int nRightRect, int nBottomRect);
public static final native boolean RectInRegion (
  int hrgn,   // handle to region
  RECT lprc   // address of structure with rectangle
);
public static final native boolean RedrawWindow (int hWnd, RECT lprcUpdate, int hrgnUpdate, int flags);
public static final native int RegCloseKey (int hKey);
public static final native int RegEnumKey (int hKey, int dwIndex, byte [] lpName, int cbName);
public static final native int RegisterClassEx (WNDCLASSEX lpWndClass);
public static final native int RegOpenKeyEx (int hKey, byte[] lpSubKey, int ulOptions, int samDesired, int[] phkResult);
public static final native int RegQueryInfoKey (int hKey, int lpClass, int[] lpcbClass, int lpReserved, int[] lpSubKeys, int[] lpcbMaxSubKeyLen, int[] lpcbMaxClassLen, int[] lpcValues, int[] lpcbMaxValueNameLen, int[] lpcbMaxValueLen, int[] lpcbSecurityDescriptor, int lpftLastWriteTime);
public static final native int RegQueryValueEx (int hKey, byte[] lpValueName, int lpReserved, int[] lpType, byte [] lpData, int[] lpcbData);
public static final native boolean ReleaseCapture ();
public static final native int ReleaseDC (int hWnd, int hDC);
public static final native boolean RemoveMenu (int hMenu, int uPosition, int uFlags);
public static final native boolean RoundRect (int hdc, int nLeftRect, int nTopRect, int nRightRect, int nBottomRect, int nWidth, int nHeight);
public static final native boolean ScreenToClient (int hWnd, POINT lpPoint);
public static final native int ScrollWindowEx (int hWnd, int dx, int dy, RECT prcScroll, RECT prcClip, int hrgnUpdate, RECT prcUpdate, int flags);
public static final native  int SelectClipRgn (int hdc, int hrgn);
public static final native int SelectObject(int hDC, int HGDIObj);
public static final native int SelectPalette(int hDC, int hpal, boolean bForceBackground);
public static final native int SendMessage (int hWnd, int Msg, int [] wParam, byte [] lParam);
public static final native int SendMessage (int hWnd, int Msg, int [] wParam, int [] lParam);
public static final native int SendMessage (int hWnd, int Msg, int [] wParam, int lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, byte [] lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, int [] lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, short [] lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, int lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, LVCOLUMN lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, LVHITTESTINFO lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, LVITEM lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, REBARBANDINFO lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, RECT lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, TBBUTTON lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, TBBUTTONINFO lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, TCITEM lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, TOOLINFO lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, TVHITTESTINFO lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, TVINSERTSTRUCT lParam);
public static final native int SendMessage (int hWnd, int Msg, int wParam, TVITEM lParam);
public static final native int SetActiveWindow (int hWnd);
public static final native int SetBkColor (int hdc, int colorRef);
public static final native int SetBkMode (int hdc, int mode);
public static final native int SetCapture (int hWnd);
public static final native boolean SetCaretPos (int X, int Y);
public static final native int SetClipboardData (int uFormat, int hMem);
public static final native int SetCursor (int hCursor);
public static final native int SetDIBColorTable (int hdc, int uStartIndex, int cEntries, byte[] pColors);
public static final native int SetFocus (int hWnd);
public static final native int SetMapMode (int hdc, int fnMapMode);
public static final native boolean SetMenu (int hWnd, int hMenu);
public static final native boolean SetMenuDefaultItem (int hMenu, int uItem, int fByPos);
public static final native boolean SetMenuInfo (int hmenu, MENUINFO lpcmi);
public static final native boolean SetMenuItemInfo (
  int hMenu,          
  int uItem,           
  boolean fByPosition,     
  MENUITEMINFO lpmii  
);
public static final native int SetPaletteEntries (int hPal, int iStart, int cEntries, byte[] lppe);
public static final native int SetParent (int hWndChild, int hWndNewParent);
public static final native int SetPixel (int hdc, int X, int Y, int crColor);
public static final native boolean SetRect(RECT lprc, int xLeft, int yTop, int xRight, int yBottom);
public static final native boolean SetRectRgn (int hrgn, int nLeftRect, int nTopRect, int nRightRect, int nBottomRect);
public static final native int SetROP2 (int hdc, int fnDrawMode);
public static final native boolean SetScrollInfo (int hwnd, int flags, SCROLLINFO info, boolean fRedraw);
public static final native int SetStretchBltMode(int hdc, int iStretchMode);
public static final native int SetTextAlign(int hdc, int fMode);
public static final native int SetTextColor (int hdc, int colorRef);
public static final native int SetTimer (int hWnd, int nIDEvent, int Elapse, int lpTimerFunc);
public static final native int SetWindowLong (int hWnd, int nIndex, int dwNewLong);
public static final native boolean SetWindowPlacement (int hWnd, WINDOWPLACEMENT lpwndpl);
public static final native boolean SetWindowPos(int hWnd, int hWndInsertAfter, int X, int Y, int cx, int cy, int uFlags);
public static final native int SetWindowsHookEx(int idHook, int lpfn,  int hMod,  int dwThreadId);
public static final native boolean SetWindowText (int hWnd, byte [] lpString);
public static final native int SHBrowseForFolder (BROWSEINFO lpbi);
public static final native int ShellExecute (int hwnd, byte [] lpOperation, byte [] lpFile, byte [] lpParameters, byte [] lpDirectory, int nShowCmd);
public static final native int SHGetMalloc (int [] ppMalloc);
public static final native boolean SHGetPathFromIDList (int pidl, byte [] pszPath);
public static final native boolean ShowCaret (int hWnd);
public static final native boolean ShowOwnedPopups (int hWnd, boolean fShow);
public static final native boolean ShowScrollBar (int hWnd, int wBar, boolean bShow);
public static final native boolean ShowWindow (int hWnd, int nCmdShow);
public static final native int StartDoc (int hdc, DOCINFO lpdi);
public static final native int StartPage (int hdc);
public static final native boolean StretchBlt (
  int hdcDest,      // handle to destination device context
  int nXOriginDest, // x-coordinate of upper-left corner of dest. 
					// rect.
  int nYOriginDest, // y-coordinate of upper-left corner of dest.
					// rect.
  int nWidthDest,   // width of destination rectangle
  int nHeightDest,  // height of destination rectangle
  int hdcSrc,       // handle to source device context
  int nXOriginSrc,  // x-coordinate of upper-left corner of source 
					// rectangle
  int nYOriginSrc,  // y-coordinate of upper-left corner of source 
					// rectangle
  int nWidthSrc,    // width of source rectangle
  int nHeightSrc,   // height of source rectangle
  int dwRop       	// raster operation code
);
public static final native boolean TextOut (int hdc, int nXStart, int nYStart, byte [] lpString, int cbString);
public static final native int ToAscii (
  int uVirtKey, 
  int uScanCode, 
  byte [] lpKeyState, 
  short [] lpChar, 
  int uFlags 
);
public static final native boolean TrackMouseEvent(TRACKMOUSEEVENT lpEventTrack);
public static final native boolean TrackPopupMenu (
  int hMenu,  // handle to shortcut menu
  int uFlags,  // screen-position and mouse-button flags
  int x,        // horizontal position, in screen coordinates
  int y,        // vertical position, in screen coordinates
  int nReserved, // reserved, must be zero
  int hWnd,    // handle to owner window
  RECT prcRect // pointer to RECT that specifies no-dismissal area
);
public static final native int TranslateAccelerator (
	int hWnd,         // handle of destination window
  	int hAccTable,  // handle of accelerator table
  	MSG lpMsg        // address of structure with message
);
public static final native boolean TranslateCharsetInfo(int lpSrc, int [] lpCs, int dwFlags);
public static final native boolean TranslateMessage (MSG lpmsg);
public static final native boolean UnhookWindowsHookEx(int hhk);
public static final native boolean UnregisterClass (byte [] lpClassName, int hInstance);
public static final native boolean UpdateWindow (int hWnd);
public static final native boolean ValidateRect (int hWnd, RECT lpRect);
public static final native short VkKeyScan (short ch);
public static final native int VtblCall (int ppVtbl, int fnNumber, int arg0);
public static final native boolean WaitMessage ();
public static final native int WideCharToMultiByte (int CodePage, int dwFlags, char [] lpWideCharStr, int cchWideChar, byte [] lpMultiByteStr, int cchMultiByte, byte [] lpDefaultChar, boolean [] lpUsedDefaultChar);
public static final native int WindowFromDC (int lpPoint);
public static final native int WindowFromPoint (POINT lpPoint);
}
